/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets;

import fr.exemole.bdfserver.response.*;
import java.io.*;
import java.util.*;
import fr.exemole.bdfserver.*;
import fr.exemole.bdfserver.users.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.util.localisation.*;
import net.mapeadores.util.servlets.*;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractContentStream implements ResponseHandler {

    private long lastModified = ResponseHandler.LASTMODIFIED_NOCACHE;
    protected short streamType;
    protected PrintWriter pw;
    protected OutputStream outputStream;
    /*protected ResourceBundle servletsBundle;*/
    protected BdfServer bdfServer;
    protected int workingLangInteger;
    protected Locale formatLocale;
    protected BdfUser bdfUser;
    protected Basedefiches basedefiches;
    protected LocalisationInfo localisationInfo;
    protected LocalisationLists localisationLists;
    protected BdfResponseParameters responseParameters;

    public AbstractContentStream(BdfResponseParameters responseParameters) {
        this.bdfServer = responseParameters.getBdfServer();
        this.bdfUser = responseParameters.getBdfUser();
        this.localisationInfo = responseParameters.getLocalisationInfo();
        this.localisationLists = LocalisationLists.newInstance(localisationInfo);
        this.workingLangInteger = localisationInfo.getWorkingLangInteger();
        this.formatLocale = localisationInfo.getFormatLocale();
        /*this.servletsBundle = ServletCommons.getResourceBundle(formatLocale);*/
        this.basedefiches = bdfServer.getBasedefiches();
        this.responseParameters = responseParameters;
    }

    public long getLastModified() {
        return lastModified;
    }

    public void setLastModified(long lastModified) {
        this.lastModified = lastModified;
    }

}
