/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration;

import fr.exemole.bdfserver.response.AdministrationResponseParameters;
import fr.exemole.bdfserver.request.*;
import java.io.*;


/**
 *
 * @author Vincent Calame
 */
public class BackupDeleteCommand extends AbstractAdministrationCommand {

    public BackupDeleteCommand() {
    }

    public static String getCommandString() {
        return "BackupDelete";
    }

    protected void doAdministrationCommand() {
        File backupFile = getBackupFile();
        boolean done = backupFile.delete();
        responseParameters.setHtmlPageCode(AdministrationResponseParameters.INDEX_PAGE);
        if (done) {
            responseParameters.setDoneMessage("admin_msg_suppsauvegardefait", null);
        }
    }

    protected void checkAdministrationParameters() throws ParameterException {
    }

    public static String getCommandKey() {
        return "ADM-02";
    }

}
