/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration;

/*import javax.servlet.http.*;
import java.io.*;
import fr.exemole.bdfserver.BdfServer;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.association.Document;
import net.mapeadores.basedefiches.association.DocumentSubset;
import net.mapeadores.basedefiches.association.DocumentSubsetEditor;
import net.mapeadores.basedefiches.croisement.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.corpus.*;
import java.util.*;
import net.mapeadores.util.html.HTMLUtils;
import net.mapeadores.util.primitives.PrimUtils;
import fr.exemole.bdfserver.request.ParameterException;
import fr.exemole.bdfserver.request.RequestUtils;
import fr.exemole.bdfserver.request.BdfBundle;*/

/**
 *
 * @author Vincent Calame
 */
public class DocumentCommand {
    /*public static final short ALL_FILTER = 0;
    public static final short NOLINK_FILTER = 1;
    public static final short SHARED_FILTER = 2;
    short filter;
    protected BdfServer bdfServer;
    protected BdfUser bdfUser;
    protected ResourceBundle servletsBundle;
    protected Locale formatLocale;
    protected DocumentSubset documentSubset;
    protected Croisement[] croisementArray;
    protected Corpus[] corpusArray;
    protected TreeSet<DocumentBundle> documentSet;
    String message;
    
    public DocumentCommand(BdfBundle bdfBundle,HttpServletRequest request, String subCommand) throws ParameterException {
    bdfServer = bdfBundle.getBdfServer();
    bdfUser = bdfBundle.getBdfUser();
    documentSubset = (DocumentSubset) bdfServer.getBasedefiches().getSubset(SubsetKey.DOCUMENT_SUBSET);
    formatLocale = bdfUser.getLocalisationInfo().getFormatLocale();
    servletsBundle = ServletCommons.getResourceBundle(formatLocale);
    initFilterParameter(request.getParameter("filter"));
    if (subCommand.length() > 0) {
    if (subCommand.equals("supp")) {
    String[] selectiondocfiche = request.getParameterValues("selection-docfiche");
    if ((selectiondocfiche == null) || (selectiondocfiche.length != 0)) {
    DocumentSubsetEditor documentManagerEditor = bdfServer.getBasedefichesEditor().getDocumentSubsetEditor();
    boolean allDone = true;
    for (int i = 0; i < selectiondocfiche.length;i++) {
    String baseName = selectiondocfiche[i];
    Document document = documentSubset.getDocumentByBasename(baseName);
    if (document != null) {
    boolean done = documentManagerEditor.removeDocument(document);
    if (!done) allDone = false;
    }
    }
    setMessage(servletsBundle.getString("admin_msg_suppdocfiche2"));
    }
    }
    else {
    throw new ParameterException(ParameterException.SUBCOMMAND_NOTEXIST, subCommand);
    }
    }
    }
    
    private void initFilterParameter(String filterParameter) throws ParameterException{
    if (filterParameter == null) {
    filter = ALL_FILTER;
    }
    else {
    if (filterParameter.equals("all")) {
    filter = ALL_FILTER;
    }
    else if (filterParameter.equals("nolink")) {
    filter = NOLINK_FILTER;
    }
    else if (filterParameter.equals("shared")) {
    filter = SHARED_FILTER;
    }
    else {
    throw new ParameterException(ParameterException.PARAMETER_WRONGVALUE, "filter" + " = " + filterParameter);
    }
    }
    }
    
    private void doRequest() {
    initCroisementArray();
    documentSet = new TreeSet();
    for (int i = 0; i < documentSubset.getTicketLength();i++) {
    Document document = (Document) documentSubset.getSubsetItemByTicket(i);
    if (document != null) {
    DocumentBundle documentBundle = new DocumentBundle(document);
    switch(filter) {
    case NOLINK_FILTER :
    if (documentBundle.getFicheCountSize() == 0) documentSet.add(documentBundle);
    break;
    case SHARED_FILTER :
    if (documentBundle.getFicheCountSize() > 1) documentSet.add(documentBundle);
    break;
    default :
    documentSet.add(documentBundle);
    }
    }
    }
    }
    
    private void initCroisementArray() {
    ArrayList list = new ArrayList();
    Basedefiches basedefiches = bdfServer.getBasedefiches();
    int corpusCount = basedefiches.getCorpusCount();
    croisementArray = new Croisement[corpusCount];
    corpusArray = new Corpus[corpusCount];
    for (int i = 0; i < corpusCount;i++) {
    Corpus corpus = basedefiches.getCorpus(i);
    croisementArray[i] =  basedefiches.getCroisement(SubsetKey.DOCUMENT_SUBSET, corpus.getSubsetKey());
    corpusArray[i] = corpus;
    }
    }
    
    public void setMessage(String message) {
    this.message = message;
    }
    
    private void printRow(PrintWriter pw,DocumentBundle documentBundle) {
    pw.print("<tr><td>");
    if (filter == NOLINK_FILTER) {
    pw.print("<input type=\"checkbox\" name=\"selection-docfiche\" value=\"");
    pw.print(documentBundle.document.getBasename());
    pw.print("\">");
    pw.print("</td><td>");
    }
    RequestUtils.printDocument(pw, documentBundle.document, formatLocale, true);
    pw.print("</td><td>");
    List liste = documentBundle.getAbregeFicheList();
    for (int i = 0;i< liste.size();i++){
    if (i > 0 ) {
    pw.print(" ");
    }
    AbregeFiche abregeFiche = (AbregeFiche) liste.get(i);
    pw.print("<a href=\"DocFiche?corpus=");
    pw.print(abregeFiche.getCorpus().getSubsetKey().getSubId());
    pw.print("&idcorpus=");
    pw.print(String.valueOf(abregeFiche.getIdcorpus()));
    pw.print("\">");
    pw.print(CorpusUtils.toKeyString(abregeFiche));
    pw.print("</a>");

    }
    pw.println("</td></tr>");
    }
    
    static String filterToString(short filter) {
    switch(filter) {
    case ALL_FILTER :
    return "all";
    case NOLINK_FILTER :
    return "nolink";
    case SHARED_FILTER :
    return "shared";
    default :
    throw new IllegalArgumentException();
    }
    }
    
    
    
    class DocumentBundle implements Comparable {
    Document document;
    ArrayList abregeFicheList = new ArrayList();

    DocumentBundle(Document document) {
    this.document = document;
    int ticket = document.getTicket();
    for (int i = 0; i< croisementArray.length;i++) {
    SubsetKey corpusKey = croisementArray[i].getSubsetCouple().getSubsetKey1();
    CroisementItem croisementItem = croisementArray[i].getCroisementItem(SubsetKey.DOCUMENT_SUBSET,ticket);
    int count = croisementItem.getCount();
    for (int j = 0; j < count;j++) {
    SubsetItem subsetItem = corpusArray[i].getSubsetItemByTicket(croisementItem.getTicket(j));
    abregeFicheList.add(subsetItem);
    }
    }

    }

    public int getFicheCountSize() {
    return abregeFicheList.size();
    }

    public ArrayList getAbregeFicheList() {
    return abregeFicheList;
    }

    public int hashCode() {
    return document.getTicket();
    }

    public boolean equals(Object obj) {
    if (obj == this) return true;
    if (!(obj instanceof DocumentBundle)) return false;
    return (obj.hashCode() == this.hashCode());
    }

    public int compareTo(Object obj) {
    DocumentBundle other = (DocumentBundle) obj;
    return this.document.getBasename().compareTo(other.document.getBasename());
    }
    }*/
}
