/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration;

import fr.exemole.bdfserver.response.AdministrationResponseParameters;
import net.mapeadores.util.servlets.*;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.util.text.*;
import fr.exemole.bdfserver.managers.*;
import fr.exemole.bdfserver.roles.*;


/**
 *
 * @author Vincent Calame
 */
public class RoleRemoveCommand extends AbstractAdministrationCommand {

    private Role role;

    public RoleRemoveCommand() {
    }

    public void doAdministrationCommand() {
        String roleName = role.getName();
        bdfServer.getPermissionManager().removeRole(role);
        responseParameters.setHtmlPageCode(AdministrationResponseParameters.ROLEINDEX_PAGE);
        responseParameters.setDoneMessage("admin_done_roleremove", roleName);
    }

    protected void checkAdministrationParameters() throws ParameterException {
        role = RequestUtils.getRole(requestMap, bdfServer.getPermissionManager());
        if (bdfServer.getPermissionManager().isDefaultRole(role)) {
            throw new ParameterException(ParameterException.PARAMETER_WRONGVALUE, "default role");
        }
        if (!RequestUtils.checkConfirmPassword(requestMap, bdfServer)) {
            responseParameters.setHtmlPageCode(AdministrationResponseParameters.ROLEREMOVE_PAGE);
            responseParameters.setErrorMessage("global_err_password", null);
            responseParameters.setRole(role);
            return;
        }
    }

    public static String getCommandString() {
        return "RoleRemove";
    }

    public static String getCommandKey() {
        return "ROL-03";
    }

}
