/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration.htmlpages;

import fr.exemole.bdfserver.response.AdministrationResponseParameters;
import fr.exemole.bdfserver.managers.transformation.*;
import fr.exemole.bdfserver.servlets.administration.*;
import fr.exemole.bdfserver.xsltfactory.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import fr.exemole.bdfserver.managers.*;
import net.mapeadores.basedefiches.corpus.*;
import fr.exemole.bdfserver.servlets.resources.*;
import net.mapeadores.util.exceptions.*;
import net.mapeadores.util.html.*;
import fr.exemole.bdfserver.servlets.exportation.htmlpages.*;
import fr.exemole.bdfserver.balayages.*;


/**
 *
 * @author Vincent Calame
 */
public class BalayageIndexPage extends AdministrationHtmlPage {

    public BalayageIndexPage(AdministrationResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        appendH1("exportation_title_balayageindex");
        printMessage();
        startUl(UlAttrs.getLinkAttr());
        BalayageManager balayageManager = bdfServer.getBalayageManager();
        int count = balayageManager.getBalayageCount();
        for (int i = 0; i < count; i++) {
            Balayage balayage = balayageManager.getBalayage(i);
            startLi();
            startP();
            ExportationHtmlPage.printBalayageLinks(this, balayage);
            endP();
            endLi();
        }
        startLi();
        startP();
        startSmall();
        append("(");
        appendA("Administration?page=" + DefaultCommand.BALAYAGEINDEX_PAGE_PARAMVALUE + "&reinit=1", "admin_link_balayageupdate");
        append(")");
        endSmall();
        endP();
        endLi();
        endUl();
        end();
    }

}
