/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration.htmlpages;

import fr.exemole.bdfserver.response.AdministrationResponseParameters;
import fr.exemole.bdfserver.request.RequestUtils;
import fr.exemole.bdfserver.servlets.administration.*;
import java.io.*;
import javax.servlet.http.*;
import net.mapeadores.basedefiches.corpus.*;
import java.util.*;
import fr.exemole.bdfserver.users.*;
import net.mapeadores.basedefiches.corpus.metadata.*;


/**
 *
 * @author Vincent Calame
 */
public class DeleteConfirmPage extends AdministrationHtmlPage {

    Corpus corpus;
    List abregeFicheList;

    public DeleteConfirmPage(AdministrationResponseParameters responseParameters) {
        super(responseParameters);
        corpus = (Corpus) responseParameters.getParameter(FicheDeleteCommand.CORPUS_PARAMNAME);
        abregeFicheList = (List) responseParameters.getParameter(FicheDeleteCommand.ABREGEFICHELIST_PARAMNAME);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printMessage();
        appendH1("admin_title_validsuppr");
        startH2();
        escape(CorpusMetadataUtils.getCorpusIntituleString(corpus, workingLangInteger));
        endH2();
        startPostForm(FicheDeleteCommand.getCommandString());
        addParameter(RequestUtils.CORPUS_PARAMNAME, corpus.getSubsetKey().getSubsetName());
        addStepParameter("2");
        startUl();
        for (Iterator it = abregeFicheList.iterator(); it.hasNext();) {
            AbregeFiche abregeFiche = (AbregeFiche) it.next();
            appendHiddenInput("idcorpusarray", String.valueOf(abregeFiche.getIdcorpus()));
            startLi();
            escape(BdfUserUtils.getAbregeFicheString(bdfUser, abregeFiche));
            endLi();
        }
        endUl();
        endFormWithConfirm("admin_bt_validersuppression");
        end();
    }

}
