/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration.htmlpages;

import fr.exemole.bdfserver.response.AdministrationResponseParameters;
import javax.servlet.http.*;
import java.io.*;
import fr.exemole.bdfserver.servlets.administration.*;
import fr.exemole.bdfserver.managers.*;
import fr.exemole.bdfserver.roles.*;
import fr.exemole.bdfserver.servlets.resources.*;


/**
 *
 * @author Vincent Calame
 */
public class RoleIndexPage extends AdministrationHtmlPage {

    PermissionManager permissionManager;

    public RoleIndexPage(AdministrationResponseParameters responseParameters) {
        super(responseParameters);
        permissionManager = bdfServer.getPermissionManager();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        appendH1("admin_title_roleindex");
        printMessage();
        appendH2("global_title_currentlist");
        startUl();
        printRoleLi(permissionManager.getDefaultRole());
        Role[] roleArray = permissionManager.getRoleArray(false);
        for (int i = 0; i < roleArray.length; i++) {
            printRoleLi(roleArray[i]);
        }
        endUl();

        String href = "Administration?page=" + DefaultCommand.ROLECREATION_PAGE_PARAMVALUE;
        startH2();
        appendA(href, "admin_title_rolecreation");
        endH2();

        end();
    }

    private void printRoleLi(Role role) {
        startLi();
        startP();
        printRoleIntitule(role);
        endP();
        startP();
        startSpan(CssClass.SPAN_SMALLLINKS);
        printRoleLinks(role);
        endSpan();
        endP();
        endLi();
        endLi();
    }

}
