/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation;

import fr.exemole.bdfserver.commands.AbstractBdfCommand;
import fr.exemole.bdfserver.response.*;
import fr.exemole.bdfserver.extension.*;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.util.servlets.*;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractExportationCommand extends AbstractBdfCommand {

    protected ExportationResponseParameters responseParameters;

    public AbstractExportationCommand() {
    }

    public BdfResponseParameters doCommand() throws ParameterException {
        checkParameters();
        if (responseParameters.mayBeDone()) {
            doExportationCommand();
        }
        return responseParameters;
    }

    protected CommandTest checkParameters() throws ParameterException {
        responseParameters = new ExportationResponseParameters(bdfServer, bdfUser);
        checkExportationParameters();
        return responseParameters;
    }

    protected abstract void checkExportationParameters() throws ParameterException;

    protected abstract void doExportationCommand();

    public boolean needSynchronisation() {
        return false;
    }

    public ResponsePrinterFactory getResponsePrinterFactory() {
        return new ExportationResponsePrinterFactory();
    }

}
