/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.contentstreams;

import net.mapeadores.basedefiches.tools.tableexport.SubsetTableExportOdsWriter;
import fr.exemole.bdfserver.response.*;
import java.io.*;
import javax.servlet.http.*;
import net.mapeadores.opendocument.io.*;
import fr.exemole.bdfserver.beans.*;
import net.mapeadores.basedefiches.tableexport.*;


/**
 *
 * @author Vincent Calame
 */
public class CorpusTableOdsStream extends ExportationContentStream {

    public CorpusTableOdsStream(ExportationResponseParameters responseParameters) {
        super(responseParameters);
        corpusTableExportArray = responseParameters.getCorpusTableExportArray();
        abregeFicheSortedList = responseParameters.getAbregeFicheSortedList();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        response.setContentType(OdUtils.getMimeType(OdUtils.OD_SPREADSHEET));
        TableExportParametersBean tepb = bdfUser.getTableExportParametersBean();
        short headerType = (tepb != null) ? tepb.getHeaderType() : TableExportCommon.KEY_HEADER;
        OutputStream outputStream = response.getOutputStream();
        SubsetTableExportOdsWriter odsWriter = new SubsetTableExportOdsWriter();
        odsWriter.setSubsetTableExportArray(corpusTableExportArray);
        odsWriter.setAbregeFicheSortedList(abregeFicheSortedList);
        odsWriter.setHeaderType(headerType);
        odsWriter.setFormatSourceLibelleProvider(bdfServer.getLibelleManager().getFormatSourceLibelleProvider());
        odsWriter.export(outputStream);
    }

}
