/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.contentstreams;

import fr.exemole.bdfserver.response.*;
import fr.exemole.bdfserver.servlets.*;
import net.mapeadores.util.servlets.*;
import net.mapeadores.basedefiches.tableexport.*;
import net.mapeadores.basedefiches.selection.*;


/**
 *
 * @author Vincent Calame
 */
public abstract class ExportationContentStream extends AbstractContentStream {

    protected SubsetTableExport[] corpusTableExportArray;
    protected AbregeFicheSortedList abregeFicheSortedList;

    public ExportationContentStream(ExportationResponseParameters responseParameters) {
        super(responseParameters);
        corpusTableExportArray = responseParameters.getCorpusTableExportArray();
        abregeFicheSortedList = responseParameters.getAbregeFicheSortedList();
    }

    public static ResponseHandler getInstance(ExportationResponseParameters responseParameters) {
        switch (responseParameters.getResponseCode()) {
            case ExportationResponseParameters.THESAURUSTABLE_SXC_CONTENTSTREAM:
                return new ThesaurusTableSxcStream(responseParameters);
            case ExportationResponseParameters.CORPUSTABLE_ODS_CONTENTSTREAM:
                return new CorpusTableOdsStream(responseParameters);
        }
        return null;
    }

}
