/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.contentstreams;

import fr.exemole.bdfserver.response.ExportationResponseParameters;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.servlets.exportation.*;
import net.mapeadores.basedefiches.tableexport.thesaurus.ThesaurusTableExport;
import net.mapeadores.util.sxio.SXIO;
import net.mapeadores.basedefiches.tools.misc.ThesaurusOOWriter;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusTableSxcStream extends ExportationContentStream {

    ThesaurusTableExport thesaurusTableExport;

    public ThesaurusTableSxcStream(ExportationResponseParameters responseParameters) {
        super(responseParameters);
        thesaurusTableExport = responseParameters.getThesaurusTableExport();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        response.setContentType(SXIO.getMimeType("sxc"));
        OutputStream outputStream = response.getOutputStream();
        ThesaurusOOWriter.exportSXC(outputStream, thesaurusTableExport);
    }

}
