/* @@@@@APPLICATION@@@@@
 **
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.htmlpages;

import fr.exemole.bdfserver.response.ExportationResponseParameters;
import fr.exemole.bdfserver.servlets.exportation.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import net.mapeadores.util.html.HTMLUtils;


/**
 *
 * @author Vincent Calame
 */
public class BalayageErrorPage extends ExportationHtmlPage {

    String balayageName;

    public BalayageErrorPage(ExportationResponseParameters responseParameters) {
        super(responseParameters);
        balayageName = responseParameters.getBalayage().getName();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printH1("exportation_title_balayageerror", balayageName);
        printMessage();
        startUl();
        startLi();
        startP();
        appendA("Administration?page=" + fr.exemole.bdfserver.servlets.administration.DefaultCommand.BALAYAGEINDEX_PAGE_PARAMVALUE + "&reinit=1", "admin_link_balayageupdate");
        endP();
        endLi();
        endUl();
        end();
    }

}
