/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2011 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.htmlpages;

import fr.exemole.bdfserver.response.ExportationResponseParameters;
import fr.exemole.bdfserver.balayages.engine.*;
import fr.exemole.bdfserver.balayages.*;
import fr.exemole.bdfserver.servlets.exportation.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;


/**
 *
 * @author Vincent Calame
 */
public class BalayagePage extends ExportationHtmlPage {

    private Balayage balayage;
    private BalayageLog balayageLog;
    private String mode;

    public BalayagePage(ExportationResponseParameters responseParameters) {
        super(responseParameters);
        balayage = responseParameters.getBalayage();
        mode = responseParameters.getMode();
        balayageLog = (BalayageLog) responseParameters.getParameter("balayageLog");
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        String balayageName = balayage.getName();
        initResponse(response);
        String title = balayageName;
        if (mode != null) {
            title = title + " [" + mode + "]";
        }
        start();
        printH1("exportation_title_balayage", title);
        printMessage();
        startP();
        startSmall();
        printLibColon("exportation_link_balayageagain");
        printBalayageLinks(balayage);
        printTiret();
        String href2 = "Administration?page=" + fr.exemole.bdfserver.servlets.administration.DefaultCommand.BALAYAGEINDEX_PAGE_PARAMVALUE + "&reinit=1";
        appendA(href2, "admin_link_balayageupdate");
        endSmall();
        endP();
        if (balayageLog != null) {
            startPre();
            balayageLog.printLog(getPrintWriter());
            endPre();
            startP();
            if (mode == null) {
                mode = "";
            } else {
                mode = "_" + mode;
            }
            String hreflog = "output/logs/log_balayage_" + balayageName + mode + ".txt";
            appendA(hreflog, "exportation_link_balayagelog");
            endP();
        }
        end();
    }

}
