/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.htmlpages;

import fr.exemole.bdfserver.response.ExportationResponseParameters;
import javax.servlet.http.*;
import java.io.*;
import fr.exemole.bdfserver.servlets.exportation.*;
import fr.exemole.bdfserver.managers.*;
import fr.exemole.bdfserver.servlets.resources.CssClass;
import net.mapeadores.basedefiches.scrutariexport.ScrutariExportDef;


/**
 *
 * @author Vincent Calame
 */
public class ScrutariExportIndexPage extends ExportationHtmlPage {

    ScrutariExportManager scrutariExportManager;

    public ScrutariExportIndexPage(ExportationResponseParameters responseParameters) {
        super(responseParameters);
        this.scrutariExportManager = bdfServer.getScrutariExportManager();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printMessage();
        appendH1("exportation_title_scrutariexportindex");
        int count = scrutariExportManager.getScrutariExportDefCount();
        if (count > 0) {
            appendH2("exportation_title_scrutariexportlist");
            startUl();
            for (int i = 0; i < count; i++) {
                ScrutariExportDef scrutariExport = scrutariExportManager.getScrutariExportDef(i);
                printScrutariExport(scrutariExport);
            }
            endUl();
        }
        startH2();
        appendA("Exportation?page=" + DefaultCommand.SCRUTARIEXPORTCREATION_PAGE_PARAMVALUE, "exportation_title_scrutariexportcreation");
        endH2();
        end();
    }

    void printScrutariExport(ScrutariExportDef scrutariExport) {
        startLi();
        startP();
        append(scrutariExport.getName());
        endP();
        startP(CssClass.P_SMALLLINKS);
        printScrutariLinks(scrutariExport);
        endP();
        endLi();
    }

}
