/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.htmlpages;

import fr.exemole.bdfserver.managers.SqlExportManager;
import fr.exemole.bdfserver.response.ExportationResponseParameters;
import javax.servlet.http.*;
import java.io.*;
import fr.exemole.bdfserver.servlets.exportation.*;


/**
 *
 * @author Vincent Calame
 */
public class SqlExportRemovePage extends ExportationHtmlPage {

    SqlExportManager sqlExportManager;

    public SqlExportRemovePage(ExportationResponseParameters responseParameters) {
        super(responseParameters);
        this.sqlExportManager = bdfServer.getSqlExportManager();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printSqlTitre();
        appendH2("exportation_title_sqlexportremove");
        startForm(sqlExportDef, SqlExportRemoveCommand.getCommandString());
        endFormWithConfirm("exportation_submit_sqlexportremove");
        end();
    }

}
