/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.htmlpages;

import fr.exemole.bdfserver.response.ExportationResponseParameters;
import javax.servlet.http.*;
import javax.servlet.*;
import java.io.*;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.BdfServer;
import fr.exemole.bdfserver.servlets.exportation.*;
import fr.exemole.bdfserver.beans.*;
import fr.exemole.bdfserver.managers.*;
import java.util.*;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import net.mapeadores.basedefiches.thesaurus.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.tableexport.*;
import java.util.*;
import net.mapeadores.util.html.*;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusFormPage extends ExportationHtmlPage {

    Thesaurus thesaurus;

    public ThesaurusFormPage(ExportationResponseParameters responseParameters) {
        super(responseParameters);
        thesaurus = responseParameters.getThesaurus();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printMessage();
        startH1();
        localize("exportation_title_thesaurustableexport");
        endH1();
        startPostForm(thesaurus, ThesaurusTableStreamCommand.getCommandString());
        startTable();

        startRow();
        printLibCells("exportation_lib_fields", true);
        startCell();
        appendLargeInput(ThesaurusTableStreamCommand.FIELDS_PARAMNAME, null);
        /*startTextArea(ThesaurusTableStreamCommand.FIELDS_PARAMNAME, 65,3);
        escape(value);
        endTextArea();*/
        endCell();
        endRow();

        startRow();
        printLibCells("exportation_lib_roots", true);
        startCell();
        appendMediumInput(ThesaurusTableStreamCommand.ROOTS_PARAMNAME, null);
        appendBr();
        HTMLAttributes checkAttributes = new HTMLAttributes();
        checkAttributes.setName(ThesaurusTableStreamCommand.INCLUDEROOTS_PARAMNAME);
        checkAttributes.setChecked(false);
        checkAttributes.setValue("1");
        addCheck(checkAttributes, "exportation_lib_includeroots", null);
        endCell();
        endRow();

        endTable();
        endForm("exportation_submit_thesaurustableexport");
        end();
    }

}
