/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.importation.htmlpages;

import fr.exemole.bdfserver.response.ImportationResponseParameters;
import fr.exemole.bdfserver.servlets.importation.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.basedefiches.*;
import fr.exemole.bdfserver.request.*;
import fr.exemole.bdfserver.ui.*;
import fr.exemole.bdfserver.servlets.*;


/**
 *
 * @author Vincent Calame
 */
public class MassIndexPage extends ImportationHtmlPage {

    public MassIndexPage(ImportationResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        appendH1("saisie_title_massindex");
        printMessage();
        appendH2("saisie_title_massindex_corpus");
        startGetForm(null);
        SubsetGroupList corpusGroupList = bdfServer.getUIManager().getCorpusSubsetKeyTree();
        startP();
        printLib("saisie_lib_corpusselection");
        BdfHtmlUtils.printSubsetSelect(this, corpusGroupList, RequestUtils.CORPUS_PARAMNAME, getSelectedCorpus());
        endP();
        printRadio(DefaultCommand.MASSFIELDFORM_PAGE_PARAMVALUE, true, "saisie_title_massfield");
        //printRadio(DefaultCommand.MASSFIELDTRANSFERFORM_PAGE_PARAMVALUE,false, "saisie_title_massfieldtransfer");@todo
        printRadio(DefaultCommand.MASSINDEXATIONFICHEFORM_PAGE_PARAMVALUE, false, "saisie_title_massindexationfiche");
        printRadio(DefaultCommand.MASSLIAGEFORM_PAGE_PARAMVALUE, false, "saisie_title_massliage");
        printRadio(DefaultCommand.MASSFICHECREATIONFORM_PAGE_PARAMVALUE, false, "saisie_title_massfichecreation");
        printRadio(DefaultCommand.MASSFICHEREMOVEFORM_PAGE_PARAMVALUE, false, "saisie_title_massficheremove");
        endForm("saisie_submit_masscorpuspage");
        appendH2("saisie_title_massindex_thesaurus");
        startGetForm(null);
        SubsetGroupList thesaurusGroupList = bdfServer.getUIManager().getThesaurusSubsetKeyTree();
        startP();
        printLib("saisie_lib_thesaurusselection");
        BdfHtmlUtils.printSubsetSelect(this, thesaurusGroupList, RequestUtils.THESAURUS_PARAMNAME, getSelectedThesaurus());
        printRadio(DefaultCommand.MASSLIBFORM_PAGE_PARAMVALUE, true, "saisie_title_masslib");
        printRadio(DefaultCommand.MASSMOTCLEREMOVEFORM_PAGE_PARAMVALUE, false, "saisie_title_massmotcleremove");
        printRadio(DefaultCommand.MASSMOTCLECREATIONFORM_PAGE_PARAMVALUE, false, "saisie_title_massmotclecreation");
        printRadio(DefaultCommand.MASSMOTCLEMERGEFORM_PAGE_PARAMVALUE, false, "saisie_title_massmotclemerge");
        printRadio(DefaultCommand.MASSMOTCLEMOVEFORM_PAGE_PARAMVALUE, false, "saisie_title_massmotclemove");
        endP();
        endForm("saisie_submit_massthesauruspage");
        appendH2("saisie_title_ui");
        startP();
        appendA("admin/ui.ods", "saisie_link_ui_ods");
        endP();
        startGetForm(null);
        appendHiddenInput("page", DefaultCommand.MASSUIFORM_PAGE_PARAMVALUE);
        endForm("saisie_submit_massthesauruspage");
        end();
    }

    private SubsetKey getSelectedThesaurus() {
        return (SubsetKey) bdfUser.getParameterValue("saisie.thesaurusselection");
    }

    private SubsetKey getSelectedCorpus() {
        return (SubsetKey) bdfUser.getParameterValue("saisie.corpusselection");
    }

    private void printRadio(String pageName, boolean checked, String key) {
        startP();
        appendRadioInput("page", pageName, checked, key);
        endP();
    }

}
