/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.importation.htmlpages;

import fr.exemole.bdfserver.response.ImportationResponseParameters;
import fr.exemole.bdfserver.servlets.importation.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.thesaurus.*;
import fr.exemole.bdfserver.ui.*;
import fr.exemole.bdfserver.servlets.*;


/**
 *
 * @author Vincent Calame
 */
public class MassIndexationFicheFormPage extends ImportationHtmlPage {

    public MassIndexationFicheFormPage(ImportationResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printTitre("saisie_title_massindexationfiche");
        printMessage();
        startParseCorpusForm(MassIndexationFicheCommand.getCommandString());
        startRow();
        printLibCells("saisie_lib_indexationthesaurus", false);
        startCell();
        SubsetGroupList thesaurusGroupList = bdfServer.getUIManager().getThesaurusSubsetKeyTree();
        Thesaurus ths = (Thesaurus) responseParameters.getParameter(MassIndexationFicheCommand.OTHERTHESAURUS_PARAMNAME);
        SubsetKey thsKey = (ths != null) ? ths.getSubsetKey() : null;
        BdfHtmlUtils.printSubsetSelect(this, thesaurusGroupList, MassIndexationFicheCommand.OTHERTHESAURUS_PARAMNAME, thsKey);
        endCell();
        endRow();
        printCroisementUpdateSelectRow();
        printCoupleSeparateurSelectRow();
        printFusionDoublonCheckBoxRow();
        printTextArea();
        endParseForm();
        end();
    }

}
