/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.resources;


/**
 *
 * @author Vincent Calame
 */
public interface ClassCatalog {

    /**
     * Classe utilisée par JQuery pour marquer si un élément est visible ou non.
     */
    public final static String INVISIBLE = "Invisible";
    public final static String FIELDSET_ROL = "fs_ROL";
    public final static String FIELDSET_USR = "fs_USR";
    public final static String FIELDSET_SPH = "fs_SPH";
    public final static String FIELDSET_CRP = "fs_CRP";
    public final static String FIELDSET_CNF = "fs_CNF";
    /**
     * Classe des petites boites avec + et - signifiant le déploiement
     */
    public final static String SPAN_GLB_DEPLOYICON = "s_GLB_DEPLOYICON";
    /**
     * Classe des DIV contenant les petites boites de déploiement ainsi que le texte : par exemple : +rattachement
     */
    public final static String DIV_GLB_DEPLOYTITLE = "d_GLB_DEPLOYTITLE";
    /*
     * Classe des boites à déployer
     */
    public final static String DIV_GLB_DEPLOYBLOCK = "d_GLB_DEPLOYBLOCK";
    /*
     * Classe des entêtes de formulaire
     */
    public final static String DIV_GLB_FORMHEADER = "d_GLB_FORMHEADER";
    /*
     * Classe du corps de formulaire
     */
    public final static String DIV_GLB_FORMBODY = "d_GLB_FORMBODY";
    /**
     * Classe des div comprenant un bouton de soummission au début de formulaire
     */
    public final static String DIV_GLB_FIXEDSUBMIT = "d_GLB_FIXEDSUBMIT";
    /**
     * Classe des DIV contenant une liste déroulante d'ensembles de la base (par exemple, la liste des sphères au début de la page d'une sphère)
     */
    public final static String DIV_GLB_SUBSETSELECT = "d_GLB_SUBSETSELECT";
    /**
     * Classe d'une liste de liens (par exemple, les statistiques d'une thésaurus)
     */
    public final static String UL_GLB_SMALLLINKLIST = "u_GLB_SMALLLINKLIST";
    /**
     * Table des rédacteurs inactifs.
     */
    public final static String TABLE_SPH_INACTIF = "tb_SPH_INACTIF";
    /**
     * Classe des DIV comprenant des permissions attribuées à un rôle
     */
    public final static String DIV_ADM_PERMISSION = "d_ADM_PERMISSION";
    public final static String TABLE_ADM_CORPUSPERMISSION = "tb_ADM_CORPUSPERMISSION";
}
