/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.session;

import fr.exemole.bdfserver.commands.AbstractBdfCommand;
import fr.exemole.bdfserver.response.*;
import fr.exemole.bdfserver.session.*;
import fr.exemole.bdfserver.extension.*;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.util.servlets.*;


/**
 *
 * @author Vincent Calame
 */
public class DefaultCommand extends AbstractBdfCommand {

    public final static String NEW_PAGE_PARAMVALUE = "new";

    public DefaultCommand() {
    }

    public BdfResponseParameters doCommand() throws ParameterException {
        if (requestMap.isPageDefined()) {
            String page_param = requestMap.getPageParameter();
            if (page_param.equals(NEW_PAGE_PARAMVALUE)) {
                SessionManager sessionManager = (SessionManager) bdfBundle.getObject(ServletCommons.SESSIONMANAGER_KEY);
                SessionResponseParameters responseParameters = new SessionResponseParameters(bdfServer, bdfUser.getLocalisationInfo());
                sessionManager.invalidateBdfUser(bdfUser);
                bdfUser = null;
                responseParameters.setHtmlPageCode(SessionResponseParameters.LOGIN_PAGE);
                return responseParameters;
            } else {
                throw new ParameterException(ParameterException.PAGE_WRONGVALUE, page_param);
            }
        } else {
            SessionResponseParameters responseParameters = new SessionResponseParameters(bdfServer, bdfUser);
            responseParameters.setHtmlPageCode(SessionResponseParameters.FRAME_PAGE);
            return responseParameters;
        }
    }

    public boolean needSynchronisation() {
        return false;
    }

    public ResponsePrinterFactory getResponsePrinterFactory() {
        return new SessionResponsePrinterFactory();
    }

}
