/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.session.htmlpages;

import fr.exemole.bdfserver.response.SessionResponseParameters;
import net.mapeadores.util.servlets.ResponseHandler;
import fr.exemole.bdfserver.servlets.session.*;
import fr.exemole.bdfserver.servlets.BdfHtmlPage;


/**
 *
 * @author Vincent Calame
 */
public abstract class SessionHtmlPage extends BdfHtmlPage {

    SessionResponseParameters responseParameters;

    public SessionHtmlPage(SessionResponseParameters responseParameters) {
        super(responseParameters);
        this.responseParameters = responseParameters;
    }

    public static ResponseHandler getInstance(SessionResponseParameters responseParameters) {
        switch (responseParameters.getResponseCode()) {
            case SessionResponseParameters.FRAME_PAGE:
                return new FramePage(responseParameters);
            case SessionResponseParameters.LOGIN_PAGE:
                return new LoginPage(responseParameters);
        }
        return null;
    }

}
