/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.thesaurus;

import fr.exemole.bdfserver.response.ThesaurusResponseParameters;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.basedefiches.thesaurus.metadata.*;
import net.mapeadores.util.langinteger.*;


/**
 *
 * @author Vincent Calame
 */
public class LangArrayCommand extends AbstractThesaurusCommand {

    public final static String LANGARRAY_PARAMNAME = "langarray";
    ThesaurusMetadataEditor thesaurusMetadataEditor;
    String listParam;

    public LangArrayCommand() {
    }

    public static String getCommandString() {
        return "LangArray";
    }

    protected void doThesaurusCommand() {
        boolean done = false;
        int[] array = LangIntegerUtils.toCleanLangIntegerArray(listParam);
        if (array.length > 0) {
            ThesaurusMetadataEditor thesaurusMetadataEditor = thesaurusEditor.getThesaurusMetadataEditor();
            done = thesaurusMetadataEditor.setAuthorizedLangIntegerArray(array);
        }
        responseParameters.setHtmlPageCode(ThesaurusResponseParameters.THESAURUSFORM_PAGE);
        if (done) {
            responseParameters.setDoneMessage("thesaurus_done_langlist", null);
        }
    }

    protected void checkThesaurusParameters() throws ParameterException {
        listParam = requestMap.getParameter(LANGARRAY_PARAMNAME);
        if (listParam == null) {
            throw new ParameterException(ParameterException.PARAMETER_UNDEFINED, LANGARRAY_PARAMNAME);
        }
    }

    public boolean needMotcleInit() {
        return false;
    }

}
