/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.thesaurus;

import fr.exemole.bdfserver.response.*;
import net.mapeadores.basedefiches.*;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.util.exceptions.*;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusRemoveCommand extends AbstractThesaurusCommand {

    public ThesaurusRemoveCommand() {
    }

    protected void doThesaurusCommand() {
        SubsetKey thesaurusKey = (SubsetKey) thesaurus.getSubsetKey();
        try {
            bdfServer.getBasedefichesEditor().removeThesaurus(thesaurus);
            responseParameters.setThesaurus(null);
            responseParameters.setHtmlPageCode(BdfResponseParameters.MESSAGE_SERVLETPAGE);
            responseParameters.setDoneMessage("thesaurus_done_thesaurusremove", thesaurusKey.getSubsetName());
        } catch (NoRemoveableSubsetException nrse) {
            throw new ShouldNotOccurException("test before");
        }
    }

    protected void checkThesaurusParameters() throws ParameterException {
        if (!checkConfirmPassword()) {
            responseParameters.setHtmlPageCode(ThesaurusResponseParameters.THESAURUSFORM_PAGE);
            responseParameters.setErrorMessage("global_err_password", null);
            return;
        }
        if (!BasedefichesUtils.isRemoveable(thesaurus)) {
            responseParameters.setHtmlPageCode(ThesaurusResponseParameters.THESAURUSFORM_PAGE);
            responseParameters.setErrorMessage("thesaurus_err_thesaurusnotremoveable", null);
            return;
        }
    }

    public static String getCommandString() {
        return "ThesaurusRemove";
    }

    public boolean needMotcleInit() {
        return false;
    }

}



