/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.thesaurus.htmlpages;

import fr.exemole.bdfserver.response.ThesaurusResponseParameters;
import fr.exemole.bdfserver.servlets.thesaurus.*;
import fr.exemole.bdfserver.request.RequestUtils;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import net.mapeadores.basedefiches.thesaurus.*;
import net.mapeadores.basedefiches.corpus.metadata.CorpusMetadataUtils;
import net.mapeadores.util.html.HTMLUtils;
import java.text.*;


/**
 *
 * @author Vincent Calame
 */
public class MergeConfirmationPage extends ThesaurusHtmlPage {

    Motcle destinationMotcle;

    public MergeConfirmationPage(ThesaurusResponseParameters responseParameters) {
        super(responseParameters);
        destinationMotcle = (Motcle) responseParameters.getParameter(MergeCommand.DESTINATIONIDMTCL_PARAMNAME);
        if (destinationMotcle == null) {
            throw new IllegalArgumentException(MergeCommand.DESTINATIONIDMTCL_PARAMNAME + " parameter is not defined");
        }
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printMessage();
        startThesaurusForm(MergeCommand.getCommandString());
        appendHiddenInput("step", "2");
        appendHiddenInput(MergeCommand.DESTINATIONTHESAURUS_PARAMNAME, destinationMotcle.getThesaurus().getSubsetKey().getSubsetName());
        appendHiddenInput(MergeCommand.DESTINATIONIDMTCL_PARAMNAME, String.valueOf(destinationMotcle.getIdths()));
        pw.print("<p>");
        localize("thesaurus_frm_fusionde");
        pw.println("</p>");
        pw.print("<p class=\"mtcl_libelle\">");
        printMotcleLibelle(motcle, thesaurusLangInteger);
        pw.print("</p>");
        pw.print("<hr>");
        pw.print("<p>");
        localize("thesaurus_frm_deplacementvers", ThesaurusUtils.getThesaurusIntitule(destinationMotcle.getThesaurus(), workingLangInteger));
        pw.println("</p>");
        pw.print("<p class=\"mtcl_libelle\">");
        printMotcleLibelle(destinationMotcle, workingLangInteger);
        pw.println("</p>");
        pw.println("<hr>");
        endFormWithConfirm("thesaurus_frm_fusion2");
        end();
    }

}
