/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.thesaurus.htmlpages;

import fr.exemole.bdfserver.response.ThesaurusResponseParameters;
import fr.exemole.bdfserver.servlets.thesaurus.*;
import fr.exemole.bdfserver.request.RequestUtils;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import net.mapeadores.basedefiches.thesaurus.*;
import net.mapeadores.basedefiches.corpus.metadata.CorpusMetadataUtils;
import net.mapeadores.util.html.HTMLUtils;
import java.text.*;


/**
 *
 * @author Vincent Calame
 */
public class MoveConfirmationPage extends ThesaurusHtmlPage {

    Thesaurus destination;

    public MoveConfirmationPage(ThesaurusResponseParameters responseParameters) {
        super(responseParameters);
        destination = (Thesaurus) responseParameters.getParameter(MoveCommand.DESTINATIONTHESAURUS_PARAMNAME);
        if (destination == null) {
            throw new IllegalArgumentException("destinationthesaurus parameter is not defined");
        }
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printMessage();
        startThesaurusForm(MoveCommand.getCommandString());
        appendHiddenInput("step", "2");
        appendHiddenInput(MoveCommand.DESTINATIONTHESAURUS_PARAMNAME, destination.getSubsetKey().getSubsetName());
        startP();
        localize("thesaurus_frm_deplacementde");
        endP();
        pw.print("<p class=\"mtcl_libelle\">");
        printMotcleLibelle(motcle, thesaurusLangInteger);
        endP();
        pw.print("<hr>");
        startP();
        localize("thesaurus_frm_deplacementvers", ThesaurusUtils.getThesaurusIntitule(destination, workingLangInteger));
        endP();
        endFormWithConfirm("thesaurus_frm_fusion2");
        end();
    }

}
