/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.thesaurus.htmlpages;

import fr.exemole.bdfserver.response.ThesaurusResponseParameters;
import fr.exemole.bdfserver.servlets.thesaurus.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.basedefiches.thesaurus.*;
import net.mapeadores.util.html.*;
import net.mapeadores.util.langinteger.LangInteger;


/**
 *
 * @author Vincent Calame
 */
public class NvIdthsPage extends ThesaurusHtmlPage {

    public NvIdthsPage(ThesaurusResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        startThesaurusForm(NVIdthsCommand.getCommandString(), false);
        if (ThesaurusUtils.isBabelienType(thesaurus)) {
            startP();
            localize("thesaurus_frm_titrenvidths");
            endP();
            startP();
            startTextArea("mtcl_lib", 50, 3);
            endTextArea();
            appendBr();
            localize("thesaurus_frm_languemtcl");
            appendSmallInput("mtcl_lgpref", LangInteger.toString(workingLangInteger));
            endP();
        } else {
            HTMLAttributes att = new HTMLAttributes();
            att.setName("mtcl_volib");
            att.setChecked(true);
            int[] array = thesaurus.getThesaurusMetadata().getAuthorizedLangIntegerArray();
            int length = array.length;
            startP();
            localize((length < 2) ? "thesaurus_frm_titrenvidths" : "thesaurus_frm_titrenvidthss");
            endP();
            startTable();
            for (int i = 0; i < length; i++) {
                String lang = LangInteger.toString(array[i]);
                startRow();
                startCellWithTopAlign();
                append(lang);
                append(" : ");
                endCell();
                startCell();
                startTextArea("mtcl_lib_" + lang, 50, 3);
                endTextArea();
                if (length > 1) {
                    att.setValue(lang);
                    addCheck(att, "thesaurus_frm_titrevo", null);
                }
                endCell();
                endRow();
            }
        }
        endTable();
        endForm("thesaurus_frm_modifiernvidths");
        end();
    }

}
