/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.util;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import net.mapeadores.util.text.Gabarit;
import net.mapeadores.util.html.*;
import net.mapeadores.util.text.ValueResolver;


/**
 *
 * @author Vincent Calame
 */
public class HTMLPrinterUtils {

    private HTMLPrinterUtils() {
    }

    public static void printTiret(HtmlPrinter hp) {
        hp.append(" - ");
    }

    public static void printTemplate(PrintWriter pw, InputStream inputStream, ValueResolver templateSource) throws IOException {
        Gabarit gabarit = new Gabarit(templateSource);
        BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream, "UTF-8"));
        gabarit.format(reader, pw);
        reader.close();
        pw.close();
    }

}
