/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus;

import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.sphere.RedacteurKey;


/**
 *
 * @author Vincent Calame
 */
public interface AbregeFiche extends SubsetItem {

    public Corpus getCorpus();

    /**
     * Entier positif ou nul
     */
    public int getIdcorpus();

    /**
     * Retourne le titre de la fiche. N'est jamais null.
     */
    public String getTitre();

    /**
     * Retourne 0 si la date de création n'est pas définie.
     */
    public int getCreationDate();

    /**
     * Retourne 0 si la date de modification n'est pas définie. La date de modification
     * ne peut pas être définie si et seulement si la date de création ne l'est pas non plus.
     * La date de modification doit toujours être égale ou supérieure à la date de création.
     */
    public int getModificationDate();

    public int getLangInteger();

    public boolean isRemoveable();

    public boolean hasRedacteur(RedacteurKey redacteurKey);

    public boolean hasRedacteurInSphere(SubsetKey sphereKey);

}
