/* BasedefichesLib_API - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;

import net.mapeadores.util.primitives.Decimal;
import net.mapeadores.util.primitives.CurrencyInteger;
import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class Montant implements FicheItem, Serializable {

    private static final long serialVersionUID = 2L;
    private Decimal decimal;
    private int currencyInteger;

    public Montant(Decimal decimal, int currencyInteger) {
        if (decimal == null) {
            throw new IllegalArgumentException("decimal argument is null");
        }
        this.decimal = decimal;
        this.currencyInteger = currencyInteger;
    }

    public int getCurrencyInteger() {
        return currencyInteger;
    }

    @Override
    public int hashCode() {
        return decimal.hashCode();
    }

    @Override
    public String toString() {
        return CurrencyInteger.toString(decimal, currencyInteger);
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof Montant)) {
            return false;
        }
        Montant other = (Montant) obj;
        if (other.currencyInteger != this.currencyInteger) {
            return false;
        }
        if (!other.decimal.equals(this.decimal)) {
            return false;
        }
        return true;
    }

    public Decimal getDecimal() {
        return decimal;
    }

}
