/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;


/**
 *
 * @author Vincent Calame
 */
public class P extends ParagraphBlock {

    private static final long serialVersionUID = 2L;
    public static final short TYPE_NORMAL = 0;
    public static final short TYPE_CITATION = 1;
    public static final short TYPE_NOTE = 2;
    public static final short TYPE_QUESTION = 3;
    public static final short TYPE_REMARQUE = 4;
    private short type;
    private String source = "";

    /**
     *@throws IllegalArgumentException
     */
    public P(short type) {
        if ((type < 0) || (type > 4)) {
            throw new IllegalArgumentException("wrong type value");
        }
        this.type = type;
        if (type == TYPE_NOTE) {
            type = TYPE_NORMAL;
        }
    }

    public void addS(S s) {
        super.addS(s);
        if ((contentList.size() == 1) && (type == TYPE_NORMAL)) {
            if (s.getType() == S.TYPE_ANCHOR) {
                if (s.getValue().length() > 0) {
                    type = TYPE_NOTE;
                }
            }
        }
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        if (source == null) {
            this.source = "";
        } else {
            this.source = source;
        }
    }

    public short getType() {
        return type;
    }

    public String getTypeString() {
        return getTypeToString(type);
    }

    static public String getTypeToString(short type) {
        switch (type) {
            case TYPE_QUESTION:
                return "question";
            case TYPE_CITATION:
                return "citation";
            case TYPE_NOTE:
                return "note";
            case TYPE_REMARQUE:
                return "remarque";
            default:
                return "";
        }
    }

    static public short getTypeToShort(String chtype) {
        if (chtype == null) {
            return TYPE_NORMAL;
        }
        if (chtype.equals("citation")) {
            return TYPE_CITATION;
        }
        if (chtype.equals("note")) {
            return TYPE_NOTE;
        }
        if (chtype.equals("question")) {
            return TYPE_QUESTION;
        }
        if (chtype.equals("remarque")) {
            return TYPE_REMARQUE;
        }
        if (chtype.equals("cit")) {
            return TYPE_CITATION; //compatibilité avec une ancienne version
        }
        return TYPE_NORMAL;
    }

}

