/* BasedefichesLib_API - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.metadata;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.format.BasedefichesFormatDef;
import net.mapeadores.util.primitives.IntegerList;


/**
 * Interface décrivant les options « officielles » (i.e. directemnt intégrées au cœur
 * du logiciel)
 *
 * @author Vincent Calame
 */
public interface FieldOptions {

    /**
     * Nul si non défini
     */
    public SubsetKey getDefaultSphereKey();

    /**
     * nul ou de longueur non nulle
     */
    public IntegerList getCurrencyList();

    public CorpusFieldList getAddressFieldList();

    /**
     * Nul si non défini
     */
    public BasedefichesFormatDef getGenerationFormatDef();

    /**
     * nul si et seulement si 'il ne s'agit pas d'un champ Information
     * (autrement dit, toujours non nul dans le cas d'un champ Information)
     */
    public Short getInformationDisplay();

    public boolean getSubfieldDisplay();

}
