/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.croisement;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.association.Document;


/**
 *
 * @author Vincent Calame
 */
public class DefaultDocumentCroisementList implements DocumentCroisementList {

    private Document[] documentArray;
    private int size;

    public DefaultDocumentCroisementList(int initialCapacity) {
        documentArray = new Document[initialCapacity];
        size = 0;
    }

    public DefaultDocumentCroisementList(Document document) {
        documentArray = new Document[1];
        size = 1;
        documentArray[0] = document;
    }

    public int getSubsetItemCount() {
        return size;
    }

    public SubsetKey getSubsetKey() {
        return SubsetKey.ADDENDA;
    }

    public Document getDocument(int index) {
        if (index >= size) {
            throw new IndexOutOfBoundsException();
        }
        return documentArray[index];
    }

    public void add(Document document) {
        for (int i = 0; i < size; i++) {
            if (documentArray[i].equals(document)) {
                return;
            }
        }
        checkLength();
        documentArray[size] = document;
        size++;
    }

    private void checkLength() {
        if (size == documentArray.length) {
            Document[] nv = new Document[Math.max(size * 2, 4)];
            System.arraycopy(documentArray, 0, nv, 0, size);
            documentArray = nv;
        }
    }

    public int getTicket(int index) {
        return getDocument(index).getTicket();
    }

    public int getPoids(int index) {
        return 1;
    }

}
