/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.event;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.Subset;
import net.mapeadores.basedefiches.corpus.Corpus;
import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.corpus.metadata.CorpusField;
import net.mapeadores.basedefiches.corpus.metadata.FieldKey;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;
import net.mapeadores.basedefiches.sphere.Sphere;
import net.mapeadores.basedefiches.sphere.RedacteurKey;
import net.mapeadores.basedefiches.album.Album;


/**
 * Implémentation de BasedefichesListener qui ne fait rien. Peut être étendue afin de
 *n'avoir à écrire que les méthodes utiles.
 *
 * @author Vincent Calame
 */
public class BasedefichesAdapter implements BasedefichesListener {

    public BasedefichesAdapter() {
    }

    public void corpusCreated(Corpus corpus) {
    }

    public void corpusRemoved(SubsetKey corpusKey, Subset masterSubset) {
    }

    public void corpusFieldCreated(Corpus corpus, CorpusField corpusField) {
    }

    public void corpusFieldRemoved(Corpus corpus, FieldKey fieldKey) {
    }

    public void ficheCreated(AbregeFiche abregeFiche) {
    }

    public void ficheSaved(AbregeFiche abregeFiche, Fiche fiche) {
    }

    public void thesaurusCreated(Thesaurus thesaurus) {
    }

    public void thesaurusRemoved(SubsetKey thesaurusKey) {
    }

    public void sphereCreated(Sphere sphere) {
    }

    public void sphereRemoved(SubsetKey sphereKey) {
    }

    public void redacteurRemoved(RedacteurKey redacteurKey) {
    }

    public void albumCreated(Album album) {
    }

    public void albumRemoved(SubsetKey albumKey) {
    }

}
