/* BasedefichesLib_API - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.patterns;

import net.mapeadores.basedefiches.corpus.fiche.Item;
import net.mapeadores.util.text.insertpattern.api.Instruction;
import net.mapeadores.util.text.insertpattern.api.Argument;
import net.mapeadores.util.localisation.LocalisationInfo;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public class ValueFormat extends FicheItemFormat {

    public ValueFormat() {
    }

    public String format(Object obj, LocalisationInfo localisationInfo) throws UnsupportedObjectException {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Item) {
            return formatItem((Item) obj);
        }
        throw new UnsupportedObjectException(obj);
    }

    public String formatItem(Item item) {
        if (item == null) {
            return null;
        }
        return processFormat(new ItemFormat(item));
    }

    public FormatPart convertToFormatPart(Instruction[] instructionArray) {
        Instruction inst1 = instructionArray[0];
        Argument arg1 = inst1.getArgument(0);
        String key = arg1.getKey();
        if (key.equals("value")) {
            return new FormatPart(1, null);
        } else {
            return null;
        }
    }


    private class ItemFormat implements ObjectFormatPartResolver {

        Item item;

        ItemFormat(Item item) {
            this.item = item;
        }

        public void append(Appendable buf, FormatPart formatPart) throws IOException {
            buf.append(item.getValue());
        }

    }

}
