/* BasedefichesLib_API - Copyright (c) 2007-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.include;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.util.primitives.RangeList;


/**
 *
 * @author Vincent Calame
 */
public interface IncludeSummary {

    public final static short CORPUS_TYPE = 1;
    public final static short THESAURUS_TYPE = 2;
    public final static short ALBUM_TYPE = 3;

    public int getSubsetInfoCount(short type);

    public SubsetInfo getSubsetInfo(short type, int i);

    public SubsetInfo getSubsetInfo(SubsetKey subsetKey);


    public interface SubsetInfo {

        public SubsetKey getSubsetKey();

        public boolean hasPoidsFilter();

        public boolean hasAnyPoidsInclude();

        public RangeList getPoidsFilterRangeList();

    }

}
