/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.patterns;

import net.mapeadores.basedefiches.thesaurus.Motcle;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.text.ValueResolver;
import net.mapeadores.util.text.AccoladeArgument;
import net.mapeadores.util.text.AccoladePattern;


/**
 *
 * @author Vincent Calame
 */
public class MotcleValueResolver implements ValueResolver {

    public final static String THESAURUS = "thesaurus";
    public final static String IDTHS = "idths";
    public final static String IDALPHA = "idalpha";
    public final static String LIB = "lib";
    private Motcle motcle;
    private int langInteger = 0;

    public MotcleValueResolver(Motcle motcle) {
        this.motcle = motcle;
    }

    public String getValue(AccoladeArgument accoladeArgument) {
        String name = accoladeArgument.getName();
        if (name.equals(THESAURUS)) {
            return motcle.getThesaurus().getSubsetKey().getSubsetName();
        }
        if (name.equals(IDTHS)) {
            return String.valueOf(motcle.getIdths());
        }
        if (name.equals(IDALPHA)) {
            return motcle.getIdalpha();
        }
        if (name.equals(LIB)) {
            if (langInteger == 0) {
                return motcle.getLibelleString(LangInteger.UNDETERMINED, true);
            }
            String lib = motcle.getLibelleString(langInteger, false);
            if (lib == null) {
                return "";
            }
            return lib;
        }
        return AccoladePattern.toString(accoladeArgument);
    }

    public void setLangInteger(int langInteger) {
        this.langInteger = langInteger;
    }

}
