/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.thesaurus;

import java.util.Comparator;


/**
 * Comparateur de mots-clés suivant la valeur de leurs idalpha.
 *
 * @author Vincent Calame
 */
public final class IdalphaComparator implements Comparator<Motcle> {

    public IdalphaComparator() {
    }

    public int compare(Motcle motcle1, Motcle motcle2) {
        String idalpha1 = motcle1.getIdalpha();
        String idalpha2 = motcle2.getIdalpha();
        return idalpha1.compareTo(idalpha2);
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof IdalphaComparator) {
            return true;
        }
        return false;
    }

}
