/* BasedefichesLib_Explore - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.conversion;

import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;
import net.mapeadores.basedefiches.corpus.fiche.FicheItem;
import net.mapeadores.basedefiches.corpus.fiche.Information;
import net.mapeadores.basedefiches.corpus.metadata.FieldKey;


/**
 *
 * @author Vincent Calame
 */
public class InformationToFicheItemField extends FicheConverter {

    private FieldKey sourceKey;
    private FieldKey destinationKey;

    public InformationToFicheItemField(FieldKey sourceKey, FieldKey destinationKey) {
        this.sourceKey = sourceKey;
        this.destinationKey = destinationKey;
    }

    void convertContent(AbregeFiche abregeFiche, Fiche fiche, boolean removeOldField) {
        Information source = fiche.getInformation(sourceKey);
        if ((source == null) || (source.getFicheItemCount() == 0)) {
            return;
        }
        if (destinationKey.isProprieteFieldKey()) {
            FicheItem ficheItem = source.getFicheItem(0);
            fiche.setPropriete(destinationKey, ficheItem);
            if (source.getFicheItemCount() > 1) {
                addLog("WRN", "warning_information_size", sourceKey.toString());
            }
        } else {
            fiche.appendInformation(destinationKey, source);
        }
        if (removeOldField) {
            fiche.setInformation(sourceKey, null);
        }
    }

}
