/* BasedefichesLib_Explore - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.conversion;

import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;
import net.mapeadores.basedefiches.corpus.fiche.FicheBlockList;
import net.mapeadores.basedefiches.corpus.metadata.FieldKey;


/**
 *
 * @author Vincent Calame
 */
public class SectionToFicheBlockField extends FicheConverter {

    private FieldKey sourceKey;
    private FieldKey destinationKey;

    public SectionToFicheBlockField(FieldKey sourceKey, FieldKey destinationKey) {
        this.sourceKey = sourceKey;
        this.destinationKey = destinationKey;
    }

    void convertContent(AbregeFiche abregeFiche, Fiche fiche, boolean removeOldField) {
        FicheBlockList list = fiche.getSection(sourceKey);
        if ((list == null) || (list.getFicheBlockCount() == 0)) {
            return;
        }
        fiche.appendSection(destinationKey, list);
        if (removeOldField) {
            fiche.setSection(sourceKey, null);
        }
    }

}
