/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.misc.LinkAnalyser;
import net.mapeadores.basedefiches.selection.FicheEligibility;
import net.mapeadores.util.localisation.LocalisationLists;


/**
 *
 * @author Vincent Calame
 */
public interface ExtractionContext {

    public Basedefiches getBasedefiches();

    public LocalisationLists getLocalisationLists();

    /**
     *  Peut être nul
     */
    public FicheEligibility getFicheEligibility();

    /**
     *  Peut être nul, instance de FicheEligibility qui s'applique aux extraits corpus de la partie statique
     */
    public FicheEligibility getStaticFicheEligibility();

    /**
     *  Peut être nul
     */
    public LinkAnalyser getLinkAnalyser();

}
