/* BasedefichesLib_Explore - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction;

import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.extraction.api.FicheFilter;


/**
 *
 *Encapsule les informations nécessaires à l'écriture de l'extraction d'une fiche,
 * à savoir la fiche concernée (sous forme AbregeFiche) et les informations de filtre et le poids de la
 * relation dans laquelle s'inscrit la fiche (dans les cas où c'est pertinent.
 *
 * @author Vincent Calame
 */
public final class FicheExtractInfo {

    private FicheFilter ficheFilter;
    private AbregeFiche abregeFiche;
    private int poids = 0;
    private Object groupClauseObject;

    public FicheExtractInfo(AbregeFiche abregeFiche, FicheFilter ficheFilter) {
        this.ficheFilter = ficheFilter;
        this.abregeFiche = abregeFiche;
    }

    public FicheFilter getFicheFilter() {
        return ficheFilter;
    }

    public AbregeFiche getAbregeFiche() {
        return abregeFiche;
    }

    public int getPoids() {
        return poids;
    }

    public void setPoids(int poids) {
        this.poids = poids;
    }

    public Object getGroupClauseObject() {
        return groupClauseObject;
    }

    public void setGroupClauseObject(Object groupClauseObject) {
        this.groupClauseObject = groupClauseObject;
    }

}
