/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction;

import net.mapeadores.basedefiches.corpus.metadata.FieldKey;


/**
 *
 * @author Vincent Calame
 */
public class FieldTypeInfo {

    public final static FieldTypeInfo NO_PART = new FieldTypeInfo();
    private String part1 = null;
    private String part2 = null;

    private FieldTypeInfo() {
    }

    public FieldTypeInfo(String part1, String part2) {
        this.part1 = part1;
        this.part2 = part2;
    }

    public String getPart1() {
        return part1;
    }

    public String getPart2() {
        return part2;
    }

    public static FieldTypeInfo testPrefix(FieldKey fieldKey, String prefix) {
        String typeString = fieldKey.getTypeString();
        if (typeString.startsWith(prefix)) {
            return new FieldTypeInfo(prefix, typeString.substring(prefix.length()));
        } else {
            return null;
        }
    }

}
