/* BasedefichesLib_Explore - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction;

import net.mapeadores.basedefiches.extraction.api.MotcleFilter;
import net.mapeadores.basedefiches.thesaurus.Motcle;


/**
 * Encapsule les informations nécessaires à l'écriture de l'extraction d'un mot-clé,
 * à savoir le mot-clé concerné et les informations de filtre et le poids de la
 * relation dans laquelle s'inscrit le mot-clé (dans les cas où c'est pertinent.
 *
 * @author Vincent Calame
 */
public interface MotcleExtractInfo {

    public Motcle getMotcle();

    public MotcleFilter getMotcleFilter();

    public int getPoids();

}
