/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction.builders;

import net.mapeadores.basedefiches.extraction.api.DocumentFilter;
import net.mapeadores.basedefiches.extraction.api.ExtractionConstants;


/**
 *
 * @author Vincent Calame
 */
public class DocumentFilterBuilder implements ExtractionConstants {

    public final static DocumentFilter FICHE_DOCUMENTFILTER = new FicheDocumentFilter();
    private InternaDocumentFilter internalDocumentFilter = new InternaDocumentFilter();

    public DocumentFilterBuilder() {
    }

    public void parseDocumentTagName(String tagName, String defaultTagName) {
        tagName = BuilderUtils.testTagName(tagName, defaultTagName);
        internalDocumentFilter.tagName = tagName;
    }

    public DocumentFilter toDocumentFilter() {
        return internalDocumentFilter;
    }


    private static class InternaDocumentFilter implements DocumentFilter {

        private String tagName = DOCUMENT_DEFAULT_TAGNAME;

        public String getTagName() {
            return tagName;
        }

    }


    private static class FicheDocumentFilter implements DocumentFilter {

        public String getTagName() {
            return DOCUMENT_DEFAULT_TAGNAME;
        }

    }

}
