/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction.builders;

import net.mapeadores.basedefiches.extraction.api.ExtractionConstants;
import net.mapeadores.basedefiches.extraction.api.ExtractionDef;
import net.mapeadores.basedefiches.extraction.api.ExtraitCorpusDef;
import net.mapeadores.basedefiches.extraction.api.ExtraitCorpusDefList;
import net.mapeadores.basedefiches.extraction.api.ExtraitThesaurusDef;
import net.mapeadores.basedefiches.extraction.api.ExtraitThesaurusDefList;


/**
 *
 * @author Vincent Calame
 */
public class ExtractionDefBuilder implements ExtractionConstants {

    private InternalExtractionDef internalExtractionDef;

    public ExtractionDefBuilder() {
        this.internalExtractionDef = new InternalExtractionDef();
    }

    public ExtractionDef toExtractionDef() {
        return internalExtractionDef;
    }

    public void setDynamicExtraitCorpusDef(ExtraitCorpusDef extraitCorpusDef) {
        internalExtractionDef.dynamicExtraitCorpusDef = extraitCorpusDef;
    }

    public void setDynamicExtraitThesaurusDef(ExtraitThesaurusDef extraitThesaurusDef) {
        internalExtractionDef.dynamicExtraitThesaurusDef = extraitThesaurusDef;
    }

    public void setTagName(String tagName) {
        internalExtractionDef.tagName = tagName;
    }

    public void setStaticTagName(String staticTagName) {
        internalExtractionDef.staticTagName = staticTagName;
    }

    public void setStaticExtraitCorpusDefList(ExtraitCorpusDefList extraitCorpusDefList) {
        internalExtractionDef.staticExtraitCorpusDefList = extraitCorpusDefList;
    }

    public void setStaticExtraitThesaurusDefList(ExtraitThesaurusDefList extraitThesaurusDefList) {
        internalExtractionDef.staticExtraitThesaurusDefList = extraitThesaurusDefList;
    }


    private static class InternalExtractionDef implements ExtractionDef {

        private ExtraitCorpusDef dynamicExtraitCorpusDef;
        private ExtraitThesaurusDef dynamicExtraitThesaurusDef;
        private String tagName = EXTRACTION_DEFAULT_TAGNAME;
        private String staticTagName = STATIC_DEFAULT_TAGNAME;
        private ExtraitCorpusDefList staticExtraitCorpusDefList = BuilderUtils.EMPTY_EXTRAITCORPUSDEFLIST;
        private ExtraitThesaurusDefList staticExtraitThesaurusDefList = BuilderUtils.EMPTY_EXTRAITTHESAURUSDEFLIST;

        private InternalExtractionDef() {
        }

        public ExtraitCorpusDef getDynamicExtraitCorpusDef() {
            return dynamicExtraitCorpusDef;
        }

        public ExtraitThesaurusDef getDynamicExtraitThesaurusDef() {
            return dynamicExtraitThesaurusDef;
        }

        public String getTagName() {
            return tagName;
        }

        public ExtraitCorpusDefList getStaticExtraitCorpusDefList() {
            return staticExtraitCorpusDefList;
        }

        public ExtraitThesaurusDefList getStaticExtraitThesaurusDefList() {
            return staticExtraitThesaurusDefList;
        }

        public String getStaticTagName() {
            return staticTagName;
        }

    }

}
