/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction.builders;

import java.util.List;
import net.mapeadores.basedefiches.extraction.api.ExtractionConstants;
import net.mapeadores.basedefiches.extraction.api.ExtraitThesaurusDef;
import net.mapeadores.basedefiches.extraction.api.MotcleFilter;
import net.mapeadores.basedefiches.selection.MotcleSelectOptions;
import net.mapeadores.basedefiches.selection.MotcleSelectOptionsList;
import net.mapeadores.basedefiches.selection.SelectionUtils;


/**
 *
 * @author Vincent Calame
 */
public class ExtraitThesaurusDefBuilder implements ExtractionConstants {

    private InternalExtraitThesaurusDef internalExtraitThesaurusDef = new InternalExtraitThesaurusDef();

    public ExtraitThesaurusDefBuilder() {
    }

    public ExtraitThesaurusDef toExtraitThesaurusDef() {
        if (internalExtraitThesaurusDef.motcleFilter == null) {
            throw new IllegalStateException("motcleFilter cannot be null");
        }
        return internalExtraitThesaurusDef;
    }

    public void setMotcleFilter(MotcleFilter motcleFilter) {
        internalExtraitThesaurusDef.motcleFilter = motcleFilter;
    }

    public void setTagName(String tagName) {
        internalExtraitThesaurusDef.tagName = BuilderUtils.testTagName(tagName, EXTRAITTHESAURUS_DEFAULT_TAGNAME);
    }

    public void setExtraitName(String extraitName) {
        if ((extraitName != null) && (extraitName.length() == 0)) {
            extraitName = null;
        }
        internalExtraitThesaurusDef.extraitName = extraitName;
    }

    public void setMotcleSelectOptionsList(List<MotcleSelectOptions> list) {
        internalExtraitThesaurusDef.motcleSelectOptionsList = SelectionUtils.toMotcleSelectOptionsList(list);
    }

    public void setMotcleSelectOptionsList(MotcleSelectOptions motcleSelectOptions) {
        internalExtraitThesaurusDef.motcleSelectOptionsList = SelectionUtils.toMotcleSelectOptionsList(motcleSelectOptions);
    }

    public void setMotcleSelectOptionsList(MotcleSelectOptionsList motcleSelectOptionsList) {
        if (motcleSelectOptionsList == null) {
            motcleSelectOptionsList = SelectionUtils.EMPTY_MOTCLESELECTOPTIONSLIST;
        }
        internalExtraitThesaurusDef.motcleSelectOptionsList = motcleSelectOptionsList;
    }


    private static class InternalExtraitThesaurusDef implements ExtraitThesaurusDef {

        private String extraitName = null;
        private String tagName = EXTRAITTHESAURUS_DEFAULT_TAGNAME;
        private MotcleFilter motcleFilter;
        private MotcleSelectOptionsList motcleSelectOptionsList = SelectionUtils.EMPTY_MOTCLESELECTOPTIONSLIST;

        public String getTagName() {
            return tagName;
        }

        public String getExtraitName() {
            return extraitName;
        }

        public MotcleFilter getMotcleFilter() {
            return motcleFilter;
        }

        public MotcleSelectOptionsList getMotcleSelectOptionsList() {
            return motcleSelectOptionsList;
        }

    }

}
