/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction.builders;

import net.mapeadores.basedefiches.extraction.api.IllustrationFilter;
import net.mapeadores.basedefiches.extraction.api.ExtractionConstants;


/**
 *
 * @author Vincent Calame
 */
public class IllustrationFilterBuilder implements ExtractionConstants {

    public final static IllustrationFilter FICHE_ILLUSTRATIONFILTER = new FicheIllustrationFilter();
    private InternaIllustrationFilter internalIllustrationFilter = new InternaIllustrationFilter();

    public IllustrationFilterBuilder() {
    }

    public void parseIllustrationTagName(String tagName, String defaultTagName) {
        tagName = BuilderUtils.testTagName(tagName, defaultTagName);
        internalIllustrationFilter.tagName = tagName;
    }

    public IllustrationFilter toIllustrationFilter() {
        return internalIllustrationFilter;
    }


    private static class InternaIllustrationFilter implements IllustrationFilter {

        private String tagName = ILLUSTRATION_DEFAULT_TAGNAME;

        public String getTagName() {
            return tagName;
        }

    }


    private static class FicheIllustrationFilter implements IllustrationFilter {

        public String getTagName() {
            return ILLUSTRATION_DEFAULT_TAGNAME;
        }

    }

}
