/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction.groups;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import net.mapeadores.basedefiches.corpus.fiche.FicheItem;
import net.mapeadores.basedefiches.extraction.FicheExtractInfo;
import net.mapeadores.util.exceptions.SwitchException;
import net.mapeadores.util.text.collation.group.CollationGroup;
import net.mapeadores.util.text.collation.group.ObjectWrapper;


/**
 *
 * @author Vincent Calame
 */
public class CollationGroupBasedGroup implements FicheGroup {

    private Map<String, String> attributesMap = new HashMap<String, String>();
    private CollationGroup collationGroup;
    private String name;
    private boolean asc;
    private String tagName;

    public CollationGroupBasedGroup(CollationGroup collationGroup, boolean asc, String tagName) {
        this.collationGroup = collationGroup;
        char[] array = new char[1];
        array[0] = collationGroup.getInitial();
        name = new String(array);
        this.asc = asc;
        int byInteger = getByInteger(array[0]);
        attributesMap.put("order", String.valueOf(byInteger));
        this.tagName = tagName;
    }

    private int getByInteger(char c) {
        if (c == CollationGroup.NOLETTER_INITIAL) {
            return 10;
        }
        if (c == CollationGroup.NOEUROPEAN_INITIAL) {
            return 37;
        }
        if (c >= '0' && c <= '9') {
            return (int) (c - 48);
        }
        if (c >= 'A' && c <= 'Z') {
            return (int) (c - 54);
        }
        throw new SwitchException("char = " + c);
    }

    public String getName() {
        return name;
    }

    public String getTagName() {
        return tagName;
    }

    public FicheItem[] getMatchingFicheItemArray() {
        return null;
    }

    public Map<String, String> getAttributesMap() {
        return attributesMap;
    }

    public FicheExtractInfo[] getFicheExtractInfoArray() {
        List<ObjectWrapper> list = collationGroup.getSortedObjectWrapperList();
        int size = list.size();
        FicheExtractInfo[] array = new FicheExtractInfo[size];
        for (int i = 0; i < size; i++) {
            ObjectWrapper objectWrapper = list.get(i);
            int p = (asc) ? i : (size - i - 1);
            array[p] = ((FicheExtractBundle) objectWrapper.getObject()).toFicheExtractInfo();
        }
        return array;
    }

    public FicheGroup[] getSubgroupArray() {
        return null;
    }

    public boolean isBottomGroup() {
        return true;
    }

}
