/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction.groups;

import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.extraction.FicheExtractInfo;
import net.mapeadores.basedefiches.extraction.api.FicheFilter;


/**
 *
 * @author Vincent Calame
 */
public class FicheExtractBundle {

    private AbregeFiche abregeFiche;
    private FicheFilter ficheFilter;
    private int poids;
    private Object groupClauseObject;
    private int innerSortValue;

    public FicheExtractBundle(AbregeFiche abregeFiche, FicheFilter ficheFilter, int poids) {
        this.abregeFiche = abregeFiche;
        this.ficheFilter = ficheFilter;
        this.poids = poids;
    }

    public AbregeFiche getAbregeFiche() {
        return abregeFiche;
    }

    public int getPoids() {
        return poids;
    }

    public void setGroupClauseObject(Object groupClauseObject) {
        this.groupClauseObject = groupClauseObject;
    }

    public FicheExtractInfo toFicheExtractInfo() {
        FicheExtractInfo ficheExtractInfo = new FicheExtractInfo(abregeFiche, ficheFilter);
        ficheExtractInfo.setPoids(poids);
        if (groupClauseObject != null) {
            ficheExtractInfo.setGroupClauseObject(groupClauseObject);
        }
        return ficheExtractInfo;
    }

    public int getInnerSortValue() {
        return innerSortValue;
    }

    public void setInnerSortValue(int innerSortValue) {
        this.innerSortValue = innerSortValue;
    }

}
