/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction.groups;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import net.mapeadores.basedefiches.corpus.fiche.FicheItem;
import net.mapeadores.basedefiches.extraction.FicheExtractInfo;


/**
 *
 * @author Vincent Calame
 */
public class NullFicheGroup implements MutableFicheGroup {

    private List<FicheExtractBundle> bundleList = new ArrayList<FicheExtractBundle>();

    public NullFicheGroup() {
    }

    public String getName() {
        return null;
    }

    public String getTagName() {
        return null;
    }

    public void setMatchingFicheItemArray(FicheItem[] matchingFicheItemArray) {
    }

    public FicheItem[] getMatchingFicheItemArray() {
        return null;
    }

    public Map<String, String> getAttributesMap() {
        return null;
    }

    public void add(FicheExtractBundle ficheExtractBundle) {
        bundleList.add(ficheExtractBundle);
    }

    public FicheExtractInfo[] getFicheExtractInfoArray() {
        int size = bundleList.size();
        FicheExtractInfo[] array = new FicheExtractInfo[size];
        for (int i = 0; i < size; i++) {
            array[i] = bundleList.get(i).toFicheExtractInfo();
        }
        return array;
    }

    public FicheGroup[] getSubgroupArray() {
        return null;
    }

    public boolean isBottomGroup() {
        return true;
    }

}
