/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute;

import net.mapeadores.util.localisation.LocalisationInfo;


/**
 *
 * @author Vincent Calame
 */
public class ComputeUtils {

    private ComputeUtils() {
    }

    public static FormatResolverListProvider getSimpleFormatResolverListProvider(FormatResolverList formatResolverList) {
        return new SimpleFormatResolverListProvider(formatResolverList);
    }

    public static FormatResolverList toFormatResolverList(FormatResolver[] formatResolverArray) {
        return new ArrayFormatResolverList(formatResolverArray);
    }


    private static class SimpleFormatResolverListProvider implements FormatResolverListProvider {

        private FormatResolverList formatResolverList;

        private SimpleFormatResolverListProvider(FormatResolverList formatResolverList) {
            this.formatResolverList = formatResolverList;
        }

        public FormatResolverList getFormatResolverList(LocalisationInfo localisationInfo) {
            return formatResolverList;
        }
    }

    private static class ArrayFormatResolverList implements FormatResolverList {

        private FormatResolver[] formatResolverArray;

        private ArrayFormatResolverList(FormatResolver[] formatResolverArray) {
            this.formatResolverArray = formatResolverArray;
        }

        public int getFormatResolverCount() {
            return formatResolverArray.length;
        }

        public FormatResolver getFormatResolver(int i) {
            return formatResolverArray[i];
        }

    }

}
