/* BasedefichesLib_Explore - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute;

import net.mapeadores.basedefiches.include.IncludeSummaryMap;
import net.mapeadores.basedefiches.pointeurs.SubsetItemPointeur;
import net.mapeadores.util.localisation.LocalisationInfo;


/**
 *
 * @author Vincent Calame
 */
public class FormatComputeUtils {

    private FormatComputeUtils() {
    }

    public static FormatSource toFormatSource(SubsetItemPointeur subsetItemPointeur, IncludeSummaryMap includeSummaryMap, LocalisationInfo localisationInfo) {
        return new InternalFormatSource(subsetItemPointeur, includeSummaryMap, localisationInfo);
    }


    private static class InternalFormatSource implements FormatSource {

        private SubsetItemPointeur subsetItemPointeur;
        private IncludeSummaryMap includeSummaryMap;
        private LocalisationInfo localisationInfo;

        InternalFormatSource(SubsetItemPointeur subsetItemPointeur, IncludeSummaryMap includeSummaryMap, LocalisationInfo localisationInfo) {
            this.subsetItemPointeur = subsetItemPointeur;
            this.includeSummaryMap = includeSummaryMap;
            this.localisationInfo = localisationInfo;
        }

        public SubsetItemPointeur getSubsetItemPointeur() {
            return subsetItemPointeur;
        }

        public IncludeSummaryMap getIncludeSummaryMap() {
            return includeSummaryMap;
        }

        public LocalisationInfo getLocalisationInfo() {
            return localisationInfo;
        }

    }

}
