/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.format.compute.FormatResolver;
import net.mapeadores.basedefiches.format.compute.FormatSource;
import net.mapeadores.basedefiches.include.IncludeSummary;
import net.mapeadores.basedefiches.include.IncludeSummaryMap;
import net.mapeadores.basedefiches.pointeurs.FichePointeur;
import net.mapeadores.basedefiches.pointeurs.MotclePointeur;
import net.mapeadores.basedefiches.pointeurs.SubsetItemPointeur;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractFormatResolver implements FormatResolver {

    protected SubsetKey slaveCorpusKey;

    protected AbstractFormatResolver(SubsetKey slaveCorpusKey) {
        this.slaveCorpusKey = slaveCorpusKey;
    }

    protected FichePointeur getFichePointeur(FormatSource formatSource) {
        SubsetItemPointeur subsetItemPointeur = formatSource.getSubsetItemPointeur();
        if (slaveCorpusKey != null) {
            return (FichePointeur) subsetItemPointeur.getSlaveFichePointeur(slaveCorpusKey);
        }
        return (FichePointeur) subsetItemPointeur;
    }

    protected MotclePointeur getMotclePointeur(FormatSource formatSource) {
        SubsetItemPointeur subsetItemPointeur = formatSource.getSubsetItemPointeur();
        return (MotclePointeur) subsetItemPointeur;
    }

    protected IncludeSummary getIncludeSummary(FormatSource formatSource) {
        IncludeSummaryMap includeSummaryMap = formatSource.getIncludeSummaryMap();
        if (includeSummaryMap == null) {
            return null;
        }
        if (slaveCorpusKey == null) {
            return includeSummaryMap.getMasterIncludeSummary();
        } else {
            return includeSummaryMap.getSlaveIncludeSummary(slaveCorpusKey);
        }
    }

}
