/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.croisement.DocumentCroisementList;
import net.mapeadores.basedefiches.format.compute.FormatSource;
import net.mapeadores.basedefiches.format.compute.LimitFormatBuilder;
import net.mapeadores.basedefiches.format.compute.PositionFormatBuilder;
import net.mapeadores.basedefiches.format.patterns.DocumentFormat;


/**
 *
 * @author Vincent Calame
 */
public class AssociationFormatResolver extends AbstractFormatResolver {

    private DocumentFormat documentFormat;

    public AssociationFormatResolver(DocumentFormat documentFormat, SubsetKey slaveCorpusKey) {
        super(slaveCorpusKey);
        this.documentFormat = documentFormat;
    }

    public void getInPosition(PositionFormatBuilder formatBuilder, FormatSource formatSource) {
        DocumentCroisementList documentCroisementList = getFichePointeur(formatSource).getDocumentCroisementList();
        int length = documentCroisementList.getSubsetItemCount();
        int position = formatBuilder.checkPosition(length);
        if (position != -1) {
            formatBuilder.set(documentFormat.formatDocument(documentCroisementList.getDocument(position)));
        }
    }

    public void addInList(LimitFormatBuilder formatBuilder, FormatSource formatSource) {
        DocumentCroisementList documentCroisementList = getFichePointeur(formatSource).getDocumentCroisementList();
        int length = documentCroisementList.getSubsetItemCount();
        for (int i = 0; i < length; i++) {
            boolean cont = formatBuilder.add(documentFormat.formatDocument(documentCroisementList.getDocument(i)));
            if (!cont) {
                break;
            }
        }
    }

}
