/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.corpus.fiche.Datation;
import net.mapeadores.basedefiches.format.compute.FormatSource;
import net.mapeadores.basedefiches.format.compute.LimitFormatBuilder;
import net.mapeadores.basedefiches.format.compute.PositionFormatBuilder;
import net.mapeadores.basedefiches.format.patterns.FicheItemFormat;
import net.mapeadores.basedefiches.include.IncludeKey;


/**
 *
 * @author Vincent Calame
 */
public class ChronoFormatResolver extends AbstractFormatResolver {

    private IncludeKey includeKey;
    private FicheItemFormat ficheItemFormat;

    public ChronoFormatResolver(IncludeKey includeKey, FicheItemFormat ficheItemFormat, SubsetKey slaveCorpusKey) {
        super(slaveCorpusKey);
        this.includeKey = includeKey;
        this.ficheItemFormat = ficheItemFormat;
    }

    public void getInPosition(PositionFormatBuilder positionFormatBuilder, FormatSource formatSource) {
        Datation datation = getFichePointeur(formatSource).getChronoToDatationDate(includeKey);
        if (datation != null) {
            int position = positionFormatBuilder.checkPosition(1);
            if (position != -1) {
                positionFormatBuilder.set(ficheItemFormat.formatFicheItem(datation, formatSource.getLocalisationInfo()));
            }
        }
    }

    public void addInList(LimitFormatBuilder limitFormatBuilder, FormatSource formatSource) {
        Datation datation = getFichePointeur(formatSource).getChronoToDatationDate(includeKey);
        if (datation != null) {
            limitFormatBuilder.add(ficheItemFormat.formatFicheItem(datation, formatSource.getLocalisationInfo()));
        }
    }

}
