/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import java.util.List;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.corpus.fiche.FicheBlockList;
import net.mapeadores.basedefiches.corpus.metadata.CorpusField;
import net.mapeadores.basedefiches.format.compute.FormatSource;
import net.mapeadores.basedefiches.format.compute.LimitFormatBuilder;
import net.mapeadores.basedefiches.format.compute.PositionFormatBuilder;
import net.mapeadores.basedefiches.format.patterns.FicheBlockFormat;


/**
 *
 * @author Vincent Calame
 */
public class FicheBlockFormatResolver extends AbstractFormatResolver {

    private CorpusField corpusField;

    public FicheBlockFormatResolver(CorpusField corpusField, SubsetKey slaveCorpusKey) {
        super(slaveCorpusKey);
        this.corpusField = corpusField;
    }

    public void getInPosition(PositionFormatBuilder formatBuilder, FormatSource formatSource) {
        FicheBlockList fbl = (FicheBlockList) getFichePointeur(formatSource).getValue(corpusField.getFieldKey());
        if (fbl != null) {
            List<String> stringList = FicheBlockFormat.formatFicheBlockList(fbl);
            int size = stringList.size();
            int position = formatBuilder.checkPosition(size);
            if (position != -1) {
                formatBuilder.set(stringList.get(position));
            }
        }
    }

    public void addInList(LimitFormatBuilder formatBuilder, FormatSource formatSource) {
        FicheBlockList fbl = (FicheBlockList) getFichePointeur(formatSource).getValue(corpusField.getFieldKey());
        if (fbl != null) {
            List<String> stringList = FicheBlockFormat.formatFicheBlockList(fbl);
            int size = stringList.size();
            for (int i = 0; i < size; i++) {
                boolean cont = formatBuilder.add(stringList.get(i));
                if (!cont) {
                    break;
                }
            }
        }
    }

}
