/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.corpus.metadata.CorpusField;
import net.mapeadores.basedefiches.format.compute.FormatSource;
import net.mapeadores.basedefiches.format.compute.LimitFormatBuilder;
import net.mapeadores.basedefiches.format.compute.PositionFormatBuilder;


/**
 *
 * @author Vincent Calame
 */
public class SimpleValueFormatResolver extends AbstractFormatResolver {

    CorpusField corpusField;

    public SimpleValueFormatResolver(CorpusField corpusField, SubsetKey slaveCorpusKey) {
        super(slaveCorpusKey);
        this.corpusField = corpusField;
    }

    public void getInPosition(PositionFormatBuilder formatBuilder, FormatSource formatSource) {
        Object obj = getFichePointeur(formatSource).getValue(corpusField.getFieldKey());
        if (obj != null) {
            int position = formatBuilder.checkPosition(1);
            if (position != -1) {
                formatBuilder.set(obj.toString());
            }
        }
    }

    public void addInList(LimitFormatBuilder formatBuilder, FormatSource formatSource) {
        Object obj = getFichePointeur(formatSource).getValue(corpusField.getFieldKey());
        if (obj != null) {
            formatBuilder.add(obj.toString());
        }
    }

}
