/* BasedefichesLib_Explore - Copyright (c) 2007-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.misc;

import net.mapeadores.basedefiches.thesaurus.Motcle;
import net.mapeadores.basedefiches.thesaurus.MotcleList;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;
import net.mapeadores.util.text.lexie.LexieMap;
import net.mapeadores.util.text.lexie.LexieSource;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusInverseFactory {

    private ThesaurusInverseFactory() {
    }

    public static LexieMap getLibelleLexieMap(Thesaurus thesaurus, int thesaurusLangInteger) {
        LexieMap lexieMap = new LexieMap(thesaurusLangInteger);
        add(lexieMap, thesaurus.getFirstLevelList(), thesaurusLangInteger);
        return lexieMap;
    }

    private static void add(LexieMap lexieMap, MotcleList level, int thesaurusLangInteger) {
        for (int i = 0; i < level.getMotcleCount(); i++) {
            Motcle motcle = level.getMotcle(i);
            String lib = motcle.getLibelleString(thesaurusLangInteger, false);
            if (lib != null) {
                LexieSource lexieSource = new LexieSource(lib, motcle, String.valueOf(motcle.getIdths()));
                lexieMap.addLexieSource(lexieSource);
            }
            add(lexieMap, motcle.getChildList(), thesaurusLangInteger);
        }
    }

}
