/* BasedefichesLib_Explore - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.pointeurs;

import net.mapeadores.basedefiches.Subset;
import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.album.Album;
import net.mapeadores.basedefiches.corpus.Corpus;
import net.mapeadores.basedefiches.croisement.DocumentCroisementList;
import net.mapeadores.basedefiches.croisement.FicheCroisementList;
import net.mapeadores.basedefiches.croisement.IllustrationCroisementList;
import net.mapeadores.basedefiches.croisement.MotcleCroisementList;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;


/**
 *
 * @author Vincent Calame
 */
public interface SubsetItemPointeur {

    public FichePointeur getSlaveFichePointeur(SubsetKey slaveCorpusKey);

    public void setCurrentSubsetItem(SubsetItem subsetItem);

    public SubsetItem getCurrentSubsetItem();

    public Subset getSubset();

    public FicheCroisementList getFicheCroisementList(Corpus corpus);

    public MotcleCroisementList getMotcleCroisementList(Thesaurus thesaurus);

    public IllustrationCroisementList getIllustrationCroisementList(Album album);

    public DocumentCroisementList getDocumentCroisementList();

}
