/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection;

import net.mapeadores.basedefiches.pointeurs.DocumentPointeur;

/**
 *
 * @author Vincent Calame
 */
public class DocumentSelectUnit {

    private DocumentPointeur documentPointeur;
    private PoidsCondition poidsCondition;

    public DocumentSelectUnit(DocumentPointeur documentPointeur) {
        this.documentPointeur = documentPointeur;
    }

    public static DocumentSelectUnit newInstance(DocumentPointeur documentPointeur, DocumentSelectOptions documentSelectOptions) {
        DocumentSelectUnit documentSelectUnit = new DocumentSelectUnit(documentPointeur);
        documentSelectUnit.setPoidsCondition(documentSelectOptions.getPoidsCondition());
        return documentSelectUnit;
    }

    public void setPoidsCondition(PoidsCondition poidsCondition) {
        this.poidsCondition = poidsCondition;
    }

    public boolean isCurrentDocumentSelected(int poids) {
        if (poidsCondition != null) {
            boolean inRange = poidsCondition.getPoidsRangeList().contains(poids);
            if (poidsCondition.isExclusionRangeList()) {
                if (inRange) {
                    return false;
                }
            } else {
                if (!inRange) {
                    return false;
                }
            }
        }
        return true;
    }

}
