/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection;

import net.mapeadores.basedefiches.SubsetKey;


/**
 *
 * @author Vincent Calame
 */
public class IllustrationSelectOptions {

    private SubsetKey[] albumKeyArray;
    private PoidsCondition poidsCondition;
    private String[] albumDimNameArray;

    public IllustrationSelectOptions() {
    }

    public PoidsCondition getPoidsCondition() {
        return poidsCondition;
    }

    public void setPoidsCondition(PoidsCondition poidsCondition) {
        this.poidsCondition = poidsCondition;
    }

    public SubsetKey[] getAlbumKeyArray() {
        return albumKeyArray;
    }

    public void setAlbumKeyArray(SubsetKey[] albumKeyArray) {
        if ((albumKeyArray != null) && (albumKeyArray.length == 0)) {
            albumKeyArray = null;
        } else {
            this.albumKeyArray = albumKeyArray;
        }
    }

    public String[] getAlbumDimNameArray() {
        return albumDimNameArray;
    }

    public void setAlbumDimNameArray(String[] albumDimNameArray) {
        this.albumDimNameArray = albumDimNameArray;
    }

    public boolean containsOption() {
        if (albumKeyArray != null) {
            return true;
        }
        if (albumDimNameArray != null) {
            return true;
        }
        return false;
    }

}
