/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection;

import net.mapeadores.basedefiches.pointeurs.IllustrationPointeur;


/**
 *
 * @author Vincent Calame
 */
public class IllustrationSelectUnit {

    private IllustrationPointeur illustrationPointeur;
    private PoidsCondition poidsCondition;

    public IllustrationSelectUnit(IllustrationPointeur illustrationPointeur) {
        this.illustrationPointeur = illustrationPointeur;
    }

    public static IllustrationSelectUnit newInstance(IllustrationPointeur illustrationPointeur, IllustrationSelectOptions illustrationSelectOptions) {
        IllustrationSelectUnit illustrationSelectUnit = new IllustrationSelectUnit(illustrationPointeur);
        illustrationSelectUnit.setPoidsCondition(illustrationSelectOptions.getPoidsCondition());
        return illustrationSelectUnit;
    }

    public void setPoidsCondition(PoidsCondition poidsCondition) {
        this.poidsCondition = poidsCondition;
    }

    public boolean isCurrentIllustrationSelected(int poids) {
        if (poidsCondition != null) {
            boolean inRange = poidsCondition.getPoidsRangeList().contains(poids);
            if (poidsCondition.isExclusionRangeList()) {
                if (inRange) {
                    return false;
                }
            } else {
                if (!inRange) {
                    return false;
                }
            }
        }
        return true;
    }

}
