/* BasedefichesLib_Explore - Copyright (c) 2007-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.sphere.Redacteur;
import net.mapeadores.basedefiches.beans.PersonneBean;
import net.mapeadores.util.conditions.Condition;
import net.mapeadores.util.conditions.ConditionUtils;
import net.mapeadores.util.conditions.TextTestEngine;
import net.mapeadores.util.exceptions.SwitchException;


/**
 *
 * @author Vincent Calame
 */
public class RedacteurSelectUnit {

    private Condition nomcompletCondition;
    private Basedefiches basedefiches;
    private TextTestEngine textTestEngine;

    public RedacteurSelectUnit(Basedefiches basedefiches) {
        this.basedefiches = basedefiches;
    }

    public void setNomcompletCondition(Condition nomCondition, int langInteger) {
        this.nomcompletCondition = nomCondition;
        if ((nomCondition != null) && (ConditionUtils.isPartState(nomCondition.getState()))) {
            textTestEngine = TextTestEngine.newInstance(nomCondition, langInteger);
        } else {
            textTestEngine = null;
        }

    }

    public boolean isSelected(Redacteur redacteur) {
        if (nomcompletCondition != null) {
            if (!isNomcompletSelected(redacteur)) {
                return false;
            }
        }
        return true;
    }

    public boolean isNomcompletSelected(Redacteur redacteur) {
        short state = nomcompletCondition.getState();
        switch (state) {
            case ConditionUtils.X:
                return false;
            case ConditionUtils.N:
            case ConditionUtils.U:
                return true;
            case ConditionUtils.T:
                return hasNom(redacteur);
            case ConditionUtils.A:
                return !hasNom(redacteur);
            case ConditionUtils.P:
            case ConditionUtils.PA:
                return textTestEngine.isSelected(redacteur.getPersonneBean().getNomComplet(PersonneBean.NORMAL_STYLE));
            default:
                throw new SwitchException("state = " + state);
        }
    }

    private boolean hasNom(Redacteur redacteur) {
        PersonneBean personneBean = redacteur.getPersonneBean();
        return (personneBean.getNom().length() != 0) || (personneBean.getPrenom().length() != 0) || (personneBean.getOriginal().length() != 0);
    }

}
