/* BasedefichesLib_Export - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.plainexport;

import java.io.Serializable;


/**
 * Peut être utilisé comme Bean.
 *
 * @author Vincent Calame
 */
public final class SeparatorOptionsBean implements Serializable {

    private static final long serialVersionUID = 1L;
    private char separator = ';';
    private boolean lastInclude = false;
    private boolean spaceInclude = false;

    public SeparatorOptionsBean() {
    }

    public SeparatorOptionsBean(char separator, boolean lastInclude, boolean spaceInclude) {
        this.separator = separator;
        this.lastInclude = lastInclude;
        this.spaceInclude = spaceInclude;
    }

    public SeparatorOptionsBean(SeparatorOptionsBean separatorOptions) {
        this(separatorOptions.getSeparator(), separatorOptions.isLastInclude(), separatorOptions.isSpaceInclude());
    }

    public char getSeparator() {
        return separator;
    }

    public boolean isLastInclude() {
        return lastInclude;
    }

    public boolean isSpaceInclude() {
        return spaceInclude;
    }

    public void setSeparator(char separator) {
        this.separator = separator;
    }

    public void setLastInclude(boolean lastInclude) {
        this.lastInclude = lastInclude;
    }

    public void setSpaceInclude(boolean spaceInclude) {
        this.spaceInclude = spaceInclude;
    }

}
