/* BasedefichesLib_Export - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.scrutariexport;

import net.mapeadores.basedefiches.SubsetKey;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusScrutariDefBuilder {

    private InternalThesaurusScrutariDef internalThesaurusScrutariDef;

    public ThesaurusScrutariDefBuilder(SubsetKey thesaurusSubsetKey) {
        internalThesaurusScrutariDef = new InternalThesaurusScrutariDef(thesaurusSubsetKey);
    }

    public ThesaurusScrutariDef toThesaurusScrutariDef() {
        return internalThesaurusScrutariDef;
    }

    public void setSelected(boolean selected) {
        internalThesaurusScrutariDef.setSelected(selected);
    }

    public void setMotcleFormatPattern(String motcleFormatPattern) {
        internalThesaurusScrutariDef.setMotcleFormatPattern(motcleFormatPattern);
    }


    private static class InternalThesaurusScrutariDef implements ThesaurusScrutariDef {

        private SubsetKey thesaurusSubsetKey;
        private boolean selected = false;
        private String motcleFormatPattern;

        public InternalThesaurusScrutariDef(SubsetKey thesaurusSubsetKey) {
            this.thesaurusSubsetKey = thesaurusSubsetKey;
        }

        public SubsetKey getThesaurusSubsetKey() {
            return thesaurusSubsetKey;
        }

        public boolean isSelected() {
            return selected;
        }

        public String getMotcleFormatPattern() {
            return motcleFormatPattern;
        }

        private void setSelected(boolean selected) {
            this.selected = selected;
        }

        private void setMotcleFormatPattern(String motcleFormatPattern) {
            this.motcleFormatPattern = motcleFormatPattern;
        }

    }

}
