/* BasedefichesLib_Export - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tableexport;


/**
 *
 * @author Vincent Calame
 */
public class ColDefTestResult {

    public final static String UNKNWON_FIELDKEY = "unknownFieldKey";
    public final static String UNKNWON_SUBFIELDKEY = "unknownSubfieldKey";
    public final static String ILLEGAL_SUBFIELDKEY = "illegalSubfieldKey";
    public final static String UNKNWON_SUBSETKEY = "unknownSubsetKey";
    public final static String WRONG_PATTERN = "wrongPattern";
    public final static String NOTASLAVECORPUSKEY = "notASlaveCorpusKey";
    public final static String ILLEGAL_FORMATSOURCEKEY = "illegalFormatSourceKey";
    public final static String NOTYPEPREFIX_FIELDKEY = "noTypePrefixFieldKey";
    public final static short DONE_MSG = 1;
    public final static short ERROR_MSG = 2;
    private short type;
    private String errorKey;
    private Object errorValue;

    private ColDefTestResult(short type) {
        this.type = type;
    }

    private ColDefTestResult(short type, String errorKey, Object errorValue) {
        this.type = type;
        this.errorKey = errorKey;
        this.errorValue = errorValue;
    }

    public boolean isDone() {
        return (type == DONE_MSG);
    }

    public boolean isError() {
        return (type == ERROR_MSG);
    }

    public short getType() {
        return type;
    }

    public String getErrorKey() {
        return errorKey;
    }

    public Object getErrorValue() {
        return errorValue;
    }

    public static ColDefTestResult newDoneResult() {
        return new ColDefTestResult(DONE_MSG);
    }

    public static ColDefTestResult newErrorResult(String errorKey, Object errorValue) {
        ColDefTestResult aR = new ColDefTestResult(ERROR_MSG, errorKey, errorValue);
        return aR;
    }

}
