/* BasedefichesLib_Export - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tableexport;


/**
 *
 * @author Vincent Calame
 */
public class TableExportCommon {

    public final static short NO_HEADER = 0;
    public final static short LIB_HEADER = 1;
    public final static short KEY_HEADER = 2;
    public final static short NO_INDEXATION = 0;
    public final static short ONLY_UI_INDEXATION = 1;
    public final static short ALL_INDEXATION = 2;

    private TableExportCommon() {
    }

    /**
     *
     *@throws IllegalArgumentException si le type est incorrect
     */
    public static String headerTypeToString(short type) {
        switch (type) {
            case NO_HEADER:
                return "noheader";
            case LIB_HEADER:
                return "libheader";
            case KEY_HEADER:
                return "keyheader";
            default:
                throw new IllegalArgumentException("wrong type value");
        }
    }

    public static short headerTypeToShort(String type) {
        if (type.equals("noheader")) {
            return NO_HEADER;
        }
        if (type.equals("libheader")) {
            return LIB_HEADER;
        }
        if (type.equals("keyheader")) {
            return KEY_HEADER;
        }
        throw new IllegalArgumentException("wrong type value");
    }

    public static String indexationIncludeTypeToString(short type) {
        switch (type) {
            case NO_INDEXATION:
                return "noindexation";
            case ONLY_UI_INDEXATION:
                return "onlyui";
            case ALL_INDEXATION:
                return "all";
            default:
                throw new IllegalArgumentException("wrong type value");
        }
    }

    public static short indexationIncludeTypeToShort(String type) {
        if (type.equals("noindexation")) {
            return NO_INDEXATION;
        }
        if (type.equals("onlyui")) {
            return ONLY_UI_INDEXATION;
        }
        if (type.equals("all")) {
            return ALL_INDEXATION;
        }
        throw new IllegalArgumentException("wrong type value");
    }

}
