/* BasedefichesLib_Impl - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.impl.croisements;


/**
 *
 * @author Vincent Calame
 */
public class CoupleCroisementItemMap {

    ImplCroisementItem[] array1;
    ImplCroisementItem[] array2;

    public CoupleCroisementItemMap() {
    }

    public ImplCroisementItem getCroisementItem(int number, int ticket) {
        switch (number) {
            case 1:
                return getCroisementItem(array1, ticket);
            case 2:
                return getCroisementItem(array2, ticket);
            default:
                throw new IllegalArgumentException();
        }
    }

    public ImplCroisementItem getCroisementItem1(int ticket) {
        return getCroisementItem(array1, ticket);
    }

    public ImplCroisementItem getCroisementItem2(int ticket) {
        return getCroisementItem(array2, ticket);
    }

    private ImplCroisementItem getCroisementItem(ImplCroisementItem[] array, int ticket) {
        if (ticket >= array.length) {
            return null;
        }
        return array[ticket];
    }

}
