/* BasedefichesLib_Tools - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tools.duplication;

import net.mapeadores.basedefiches.SubsetKey;


/**
 *
 * @author Vincent Calame
 */
public interface DuplicationDef {

    /**
     * Doit être de la catégorie Corpus
     */
    public SubsetKey getOriginCorpusSubsetKey();

    /**
     * Doit être de la catégorie Corpus
     */
    public SubsetKey getDestinationCorpusSubsetKey();

    /**
     * > 0 ou SAMEIDCORPUS ou NEWIDCORPUS, ne peut avoir la valeur SAMEIDCORPUS
     * si le corpus de destination est le même
     */
    public int getDestinationIdcorpusStart();

    public int getOriginIdcorpusCount();

    public int getOriginIdcorpus(int i);

    /**
     * Retourne le poids à appliquer pour le lien entre la fiche d'orgine et la fiche de destination
     * -1 s'il n'y a pas de lien à faire
     */
    public int getPoidsWithOrigin();

}
