/* BasedefichesLib_Tools - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tools.thesaurus;

import java.util.ArrayList;
import java.util.List;
import net.mapeadores.basedefiches.thesaurus.Motcle;
import net.mapeadores.basedefiches.thesaurus.MotcleList;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;


/**
 *
 * @author Vincent Calame
 */
public class ComparaisonEngine {

    List<ComparaisonItem> resultList;
    Thesaurus thesaurus;
    Thesaurus otherThesaurus;
    int lang;

    private ComparaisonEngine(Thesaurus thesaurus, Thesaurus otherThesaurus, int lang) {
        this.thesaurus = thesaurus;
        this.otherThesaurus = otherThesaurus;
        this.lang = lang;
    }

    public static List<ComparaisonItem> getComparaisonItemList(Thesaurus thesaurus, Thesaurus otherThesaurus, int lang) {
        ComparaisonEngine compEngine = new ComparaisonEngine(thesaurus, otherThesaurus, lang);
        compEngine.initList();
        return compEngine.resultList;
    }

    private void initList() {
        resultList = new ArrayList<ComparaisonItem>();
        append(thesaurus.getFirstLevelList());
    }

    private void append(MotcleList liste) {
        for (int i = 0; i < liste.getMotcleCount(); i++) {
            Motcle motcle = liste.getMotcle(i);
            ComparaisonItem compItem = new ComparaisonItem(motcle);
            String lib = motcle.getLibelleString(lang, false);
            if (lib != null) {
                Motcle other = otherThesaurus.getMotcleByLibelle(lib, lang);
                if (other != null) {
                    compItem.setOtherMotcle(other);
                }
            }
            resultList.add(compItem);
            append(motcle.getChildList());
        }
    }

}
