/* BasedefichesLib_Tools - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tools.thesaurus;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.thesaurus.Motcle;


/**
 *
 * @author Vincent Calame
 */
public class RecouvrementUnit {

    private Motcle motcle;
    private int statCount;
    private List<RecouvrementUnit.MotcleItem> motcleList = new ArrayList<RecouvrementUnit.MotcleItem>();

    public RecouvrementUnit(Motcle motcle) {
        this.motcle = motcle;
    }

    public int getSize() {
        return motcleList.size();
    }

    void add(Motcle motcle, int statCount, Set<AbregeFiche> commonSet) {
        motcleList.add(new MotcleItem(motcle, statCount, commonSet));
    }

    public List<RecouvrementUnit.MotcleItem> getMotcleList() {
        return motcleList;
    }

    public Motcle getMotcle() {
        return motcle;
    }

    public int getStatCount() {
        return statCount;
    }

    public void setStatCount(int statCount) {
        this.statCount = statCount;
    }


    public static class MotcleItem {

        private int statCount;
        private Motcle motcle;
        private Set<AbregeFiche> commonSet;

        private MotcleItem(Motcle motcle, int statCount, Set<AbregeFiche> commonSet) {
            this.motcle = motcle;
            this.statCount = statCount;
            this.commonSet = commonSet;
        }

        public int getStatCount() {
            return statCount;
        }

        public Motcle getMotcle() {
            return motcle;
        }

        public Set<AbregeFiche> getCommonSet() {
            return commonSet;
        }

    }

}
