/* BasedefichesLib_Xml - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml;

import java.io.IOException;
import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.association.Document;
import net.mapeadores.basedefiches.association.Addenda;
import net.mapeadores.basedefiches.filters.SubsetItemFilter;
import net.mapeadores.util.xml.UtilXMLWriter;


/**
 *
 * @author Vincent Calame
 */
public class AddendaXMLWriter extends UtilXMLWriter {

    public AddendaXMLWriter() {
    }

    public void appendAddenda(Addenda addenda) throws IOException {
        appendAddenda(addenda, null);
    }

    public void appendAddenda(Addenda addenda, SubsetItemFilter subsetItemFilter) throws IOException {
        openTag("addenda");
        int ticketLength = addenda.getTicketLength();
        for (int i = 0; i < ticketLength; i++) {
            Document document = (Document) addenda.getSubsetItemByTicket(i);
            if (testSubsetItem(document, subsetItemFilter)) {
                appendDocument(document);
            }
        }
        closeTag("addenda");
    }

    private boolean testSubsetItem(SubsetItem subsetItem, SubsetItemFilter subsetItemFilter) {
        if (subsetItem == null) {
            return false;
        }
        if (subsetItemFilter == null) {
            return true;
        }
        return subsetItemFilter.containsSubsetItem(subsetItem.getIdsubset());
    }

    private void appendDocument(Document document) throws IOException {
        startOpenTag("document");
        addAttribute("idaddenda", document.getIdsubset());
        addAttribute("basename", document.getBasename());
        closeEmptyTag();
    }

}
