/* BasedefichesLib_Xml - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml;

import net.mapeadores.basedefiches.BasedefichesUtils;
import net.mapeadores.basedefiches.Intitule;
import net.mapeadores.basedefiches.MetadataEditor;
import net.mapeadores.util.langinteger.LangIntegerException;
import net.mapeadores.util.text.Libelle;
import net.mapeadores.util.text.LibelleUtils;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;


/**
 *
 * @author Vincent Calame
 */
public class BasedefichesDOMReader {

    protected BasedefichesXmlErrorHandler basedefichesXmlErrorHandler;

    public BasedefichesDOMReader(BasedefichesXmlErrorHandler basedefichesXmlErrorHandler) {
        this.basedefichesXmlErrorHandler = basedefichesXmlErrorHandler;
    }

    protected void addIntitule(Element element_xml, MetadataEditor metadataEditor) {
        String name = element_xml.getAttribute("name");
        if (name.length() == 0) {
            return;
        }
        Intitule basedefichesIntitule = BasedefichesUtils.getOrCreateIntitule(metadataEditor, name);
        NodeList liste = element_xml.getChildNodes();
        for (int i = 0; i < liste.getLength(); i++) {
            Node nd = liste.item(i);
            if (nd.getNodeType() == Node.ELEMENT_NODE) {
                Element el = (Element) nd;
                String tagname = el.getTagName();
                if (tagname.equals("lib")) {
                    try {
                        Libelle libelle = LibelleUtils.readLib(el);
                        if (libelle != null) {
                            metadataEditor.putLibelle(basedefichesIntitule, libelle);
                        }
                    } catch (LangIntegerException e) {
                        basedefichesXmlErrorHandler.wrongLangAttributeError("intitule name=\"" + name + "\"", el.getAttribute("xml:lang"));
                    }
                } else {
                    basedefichesXmlErrorHandler.unknownTagWarning(tagname);
                }
            }
        }
    }

}
