/* BasedefichesLib_Xml - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml;

import net.mapeadores.basedefiches.BasedefichesEditor;
import net.mapeadores.basedefiches.metadata.BasedefichesMetadata;
import net.mapeadores.basedefiches.metadata.BasedefichesMetadataEditor;
import net.mapeadores.util.xml.XMLUtils;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;


/**
 *
 * @author Vincent Calame
 */
public class BasedefichesMetadataDOMReader extends BasedefichesDOMReader {

    private BasedefichesEditor basedefichesEditor;

    public BasedefichesMetadataDOMReader(BasedefichesXmlErrorHandler basedefichesXmlErrorHandler) {
        super(basedefichesXmlErrorHandler);
    }

    public void setBasedefichesEditor(BasedefichesEditor basedefichesEditor) {
        this.basedefichesEditor = basedefichesEditor;
    }

    public void fillBasedefichesMetadata(Element element_xml) {
        BasedefichesMetadataEditor basedefichesMetadataEditor = basedefichesEditor.getBasedefichesMetadataEditor();
        BasedefichesMetadata metadata = (BasedefichesMetadata) basedefichesMetadataEditor.getMetadata();
        AttributeDOMReader attributeDOMReader = new AttributeDOMReader(basedefichesEditor, basedefichesXmlErrorHandler);
        NodeList liste = element_xml.getChildNodes();
        for (int i = 0; i < liste.getLength(); i++) {
            Node nd = liste.item(i);
            if (nd.getNodeType() == Node.ELEMENT_NODE) {
                Element el = (Element) nd;
                String tagname = el.getTagName();
                if (tagname.equals("authority-uuid")) {
                    String authorityUUID = XMLUtils.getData(el);
                    try {
                        basedefichesMetadataEditor.setAuthorityUUID(authorityUUID);
                    } catch (IllegalArgumentException pe) {
                        basedefichesXmlErrorHandler.wrongElementValueError(tagname, authorityUUID);
                    }
                } else if (tagname.equals("basedefiches-name")) {
                    String name = XMLUtils.getData(el);
                    try {
                        basedefichesMetadataEditor.setBasedefichesName(name);
                    } catch (IllegalArgumentException pe) {
                        basedefichesXmlErrorHandler.wrongElementValueError(tagname, name);
                    }
                } else if (tagname.equals("intitule")) {
                    addIntitule(el, basedefichesMetadataEditor);
                } else if (tagname.equals("attr")) {
                    attributeDOMReader.readAttrElement(el, metadata);
                } else {
                    basedefichesXmlErrorHandler.unknownTagWarning(tagname);
                }
            }
        }
    }

}
