/*BasedefichesLib_Xml - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml.extraction;

import java.io.IOException;
import net.mapeadores.basedefiches.album.AlbumUtils;
import net.mapeadores.basedefiches.album.Illustration;
import net.mapeadores.basedefiches.extraction.IllustrationExtractInfo;
import net.mapeadores.basedefiches.extraction.api.IllustrationFilter;
import net.mapeadores.util.xml.XMLPart;
import net.mapeadores.util.xml.XMLWriter;


/**
 *
 * @author Vincent Calame
 */
public class IllustrationXMLPart extends XMLPart {

    public IllustrationXMLPart(XMLWriter xmlWriter) {
        super(xmlWriter);
    }

    public void addIllustration(IllustrationExtractInfo illustrationExtractInfo) throws IOException {
        IllustrationFilter illustrationFilter = illustrationExtractInfo.getIllustrationFilter();
        Illustration illustration = illustrationExtractInfo.getIllustration();
        String tagName = illustrationFilter.getTagName();
        if (tagName != null) {
            startOpenTag(tagName);
            addAttribute("idalbum", illustration.getIdalbum());
            addAttribute("album", illustration.getAlbum().getSubsetKey().getSubsetName());
            addAttribute("format", AlbumUtils.formatTypeToString(illustration.getFormatType()));
            int poids = illustrationExtractInfo.getPoids();
            if (poids > 0) {
                addAttribute("poids", poids);
            }
            closeEmptyTag();
        }
    }

}
