/* BasedefichesLib_Xml - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml.sqlexport;

import java.io.IOException;
import net.mapeadores.basedefiches.sqlexport.SqlExportDef;
import net.mapeadores.util.xml.XMLPart;
import net.mapeadores.util.xml.XMLWriter;


/**
 *
 * @author Vincent Calame
 */
public class SqlExportXMLPart extends XMLPart {

    public SqlExportXMLPart(XMLWriter xmlWriter) {
        super(xmlWriter);
    }

    public void addSqlExportDef(SqlExportDef sqlExportDef) throws IOException {
        openTag("sqlexport");
        addSimpleElement("tableexport-name", sqlExportDef.getTableExportName());
        addSimpleElement("sqlexport-classname", sqlExportDef.getSqlExportClassName());
        addSimpleElement("path", sqlExportDef.getPath());
        addSimpleElement("url", sqlExportDef.getUrl());
        addSimpleElement("post-command", sqlExportDef.getPostCommand());
        int paramCount = sqlExportDef.getParamCount();
        if (paramCount > 0) {
            for (int i = 0; i < paramCount; i++) {
                SqlExportDef.Param param = sqlExportDef.getParam(i);
                startOpenTag("param");
                addAttribute("name", param.getName());
                addAttribute("value", param.getValue());
                closeEmptyTag();
            }
        }
        closeTag("sqlexport");
    }

}
