/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.balayages;

import net.mapeadores.basedefiches.selection.FicheSelectOptions;
import net.mapeadores.basedefiches.selection.IllustrationSelectOptions;
import net.mapeadores.basedefiches.selection.MotcleSelectOptions;


/**
 *
 * @author Vincent Calame
 */
public interface BalayageUnit {

    /**
     * Peut être nul. Sinon, c'est un nom technique et doit suivre l'expression rationnelle : [a-z][_a-z0-9]+
     * et ne pas faire plus de 30 caractères.
     */
    public String getName();

    public short getType();

    public boolean isGlobalSelect();

    public boolean hasMode(String s);

    public String getExtractionPath();

    public int getOutputCount();

    public Output getOutput(int i);

    public FicheSelectOptions getFicheSelectOptions();

    public MotcleSelectOptions getMotcleSelectOptions();

    public IllustrationSelectOptions getIllustrationSelectOptions();

    public int getExtensionCount();

    public String getExtension(int i);

}
