/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.balayages;

import net.mapeadores.util.localisation.LocalisationLists;
import net.mapeadores.util.text.AccoladePattern;


/**
 *
 * @author Vincent Calame
 */
public interface Output {

    public BalayageUnit getBalayageUnit();

    /**
     * Peut-être nul
     */
    public String getName();

    /**
     * Retourne une valeur nulle ou de longueur non nulle.
     */
    public String getXsltPath();

    public AccoladePattern getPattern();

    /**
     * Retourne une valeur nulle ou de longueur non nulle.
     */
    public AccoladePattern getOutputPath();

    /**
     * Retourne une valeur nulle ou de longueur non nulle.
     */
    public String getMode();

    public short getLangOption();

    public boolean isCleanBefore();

    public String getReversePath();

    public boolean isIncludeOutput();

    public int getOutputParamCount();

    public OutputParam getOutputParam(int i);

    /**
     * Peut retourner null pour indiquer qu'il faut prendre celle par défaut.
     */
    public LocalisationLists getLocalisationLists();

}
