/* BdfServer - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.balayages.engine.runners;

import fr.exemole.bdfserver.balayages.BalayageConstants;
import fr.exemole.bdfserver.balayages.BalayageUnit;
import fr.exemole.bdfserver.balayages.engine.BalayageLog;
import fr.exemole.bdfserver.balayages.engine.BalayageParameters;
import fr.exemole.bdfserver.balayages.engine.BalayageUnitRunner;
import net.mapeadores.basedefiches.extraction.ExtractionContext;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractBalayageUnitRunner implements BalayageUnitRunner, BalayageConstants {

    protected BalayageParameters balayageParameters;
    protected BalayageLog balayageLog;
    protected BalayageUnit balayageUnit;
    protected int balayageIndex;
    protected ExtractionContext extractionContext;
    protected int defaultWorkingLangInteger;

    public AbstractBalayageUnitRunner(BalayageParameters balayageParameters, int balayageIndex, BalayageUnit balayageUnit) {
        this.balayageParameters = balayageParameters;
        this.balayageLog = balayageParameters.getBalayageLog();
        this.balayageIndex = balayageIndex;
        this.balayageUnit = balayageUnit;
        this.extractionContext = balayageParameters.getExtractionContext();
        this.defaultWorkingLangInteger = extractionContext.getLocalisationLists().getWorkingLangInteger(0);
    }

    public void dispose() {
        balayageUnit = null;
        balayageParameters = null;
        balayageLog = null;
        extractionContext = null;
    }

    public void run() {
        if (isEmpty()) {
            balayageLog.addBalayageUnitError(balayageIndex, balayageUnit, BalayageLog.NO_OUTPUT, null, null);
        } else {
            balayageLog.addBalayageUnitLog(balayageIndex, balayageUnit);
            run(balayageUnit.getType());
        }
    }

    protected abstract boolean isEmpty();

    protected abstract void run(short balayageUnitType);

}
