/* BdfServer - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.beans;

import java.io.Serializable;
import net.mapeadores.basedefiches.tableexport.*;


/**
 *
 * @author Vincent Calame
 */
public final class TableExportParametersBean implements Serializable {

    private boolean withTextes = true;
    private boolean withChrono = true;
    private boolean withAssociation = true;
    private boolean withLiage = true;
    private short indexationIncludeType = TableExportCommon.ONLY_UI_INDEXATION;
    private String tableExportName = null;
    private short headerType = TableExportCommon.LIB_HEADER;
    private int lineReplacement = 0;

    public TableExportParametersBean() {
    }

    public TableExportParametersBean(TableExportParametersBean other) {
        this.withTextes = other.withTextes;
        this.withChrono = other.withChrono;
        this.withAssociation = other.withAssociation;
        this.withLiage = other.withLiage;
        this.indexationIncludeType = other.indexationIncludeType;
        this.tableExportName = other.tableExportName;
        this.headerType = other.headerType;
        this.lineReplacement = other.lineReplacement;
    }

    public boolean isWithTextes() {
        return withTextes;
    }

    public void setWithTextes(boolean withTextes) {
        this.withTextes = withTextes;
    }

    public boolean isWithChrono() {
        return withChrono;
    }

    public void setWithChrono(boolean withChrono) {
        this.withChrono = withChrono;
    }

    public boolean isWithAssociation() {
        return withAssociation;
    }

    public void setWithAssociation(boolean withAssociation) {
        this.withAssociation = withAssociation;
    }

    public boolean isWithLiage() {
        return withLiage;
    }

    public void setWithLiage(boolean withLiage) {
        this.withLiage = withLiage;
    }

    public short getIndexationIncludeType() {
        return indexationIncludeType;
    }

    /**
     *@throws IllegalArgumentException si la valeur est incorrecte.
     */
    public void setIndexationIncludeType(short indexationIncludeType) {
        if ((indexationIncludeType < 0) || (indexationIncludeType > 2)) {
            throw new IllegalArgumentException("wrong value for indexationIncludeType");
        }
        this.indexationIncludeType = indexationIncludeType;
    }

    public String getTableExportName() {
        return tableExportName;
    }

    public void setTableExportName(String tableExportName) {
        this.tableExportName = tableExportName;
    }

    public short getHeaderType() {
        return headerType;
    }

    public void setHeaderType(short headerType) {
        if ((headerType < 0) || (headerType > TableExportCommon.KEY_HEADER)) {
            throw new IllegalArgumentException("wrong type value");
        }
        this.headerType = headerType;
    }

    public int getLineReplacement() {
        return lineReplacement;
    }

    /**
     *@throws IllegalArgumentException
     */
    public void setLineReplacement(int lineReplacement) {
        if (lineReplacement < 0) {
            throw new IllegalArgumentException("lineReplacement < 0");
        }
        this.lineReplacement = lineReplacement;
    }

}
