/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.configuration;

import java.io.File;
import java.io.FileNotFoundException;
import java.net.MalformedURLException;
import java.net.URL;


/**
 *
 * @author Vincent Calame
 */
public class ConfigurationUtils {

    public ConfigurationUtils() {
    }

    public static URL toURL(String urlString) throws MalformedURLException {
        if (urlString == null) {
            return null;
        }
        urlString = urlString.trim();
        if (urlString.length() == 0) {
            return null;
        }
        if (!urlString.endsWith("/")) {
            urlString = urlString + "/";
        }
        return new URL(urlString);
    }

    public static File toDirectory(String system) throws FileNotFoundException {
        if (system == null) {
            return null;
        }
        system = system.trim();
        if (system.length() == 0) {
            return null;
        }
        File directory = new File(system);
        if ((!directory.exists()) || (!directory.isDirectory())) {
            throw new FileNotFoundException(system);
        }
        return directory;
    }

}
