/* BdfServer - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.configuration;

import java.util.ArrayList;
import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public class LinkPathGroup {

    private String name;
    private List<String> arrayList = new ArrayList<String>();

    public LinkPathGroup(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public int getLinkPathCount() {
        return arrayList.size();
    }

    public String getLinkPath(int i) {
        return arrayList.get(i);
    }

    public void addLinkPath(String linkPath) {
        arrayList.add(linkPath);
    }

    public void append(LinkPathGroup linkPathGroup) {
        arrayList.addAll(linkPathGroup.arrayList);
    }

    public void clear() {
        arrayList.clear();
    }

}
