/* BdfServer - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.transformation;


/**
 *
 * @author Vincent Calame
 */
public class XslTransformerInfo {

    public final static short PATTERN_ERROR = 1;
    public final static short XMLOFXSL_ERROR = 2;
    public final static short XSL_ERROR = 3;
    private XslTransformerKey xslTransformerKey;
    private boolean fromPattern = false;
    private String errorMessage;
    private String patternWarning = null;
    private String patternURI;
    private String xslURI;
    private short errorType;

    public XslTransformerInfo(XslTransformerKey xslTransformerKey) {
        this.xslTransformerKey = xslTransformerKey;
    }

    public XslTransformerKey getXslTransformerKey() {
        return xslTransformerKey;
    }

    public boolean isValid() {
        return (errorType == 0);
    }

    public void setError(short errorType, String errorMessage) {
        this.errorType = errorType;
        this.errorMessage = errorMessage;
    }

    public boolean isFromPattern() {
        return fromPattern;
    }

    public void setFromPattern(boolean fromPattern) {
        this.fromPattern = fromPattern;
    }

    public String getPatternURI() {
        return patternURI;
    }

    public void setPatternURI(String patternURI) {
        this.patternURI = patternURI;
    }

    public short getErrorType() {
        return errorType;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public String getPatternWarning() {
        return patternWarning;
    }

    public void setPatternWarning(String patternWarning) {
        if ((patternWarning != null) && (patternWarning.length() == 0)) {
            this.patternWarning = null;
        } else {
            this.patternWarning = patternWarning;
        }
    }

    public String getXslURI() {
        return xslURI;
    }

    public void setXslURI(String xslURI) {
        this.xslURI = xslURI;
    }

}
