/* BdfServer - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.xml;

import fr.exemole.bdfserver.managers.PasswordManager;
import net.mapeadores.basedefiches.sphere.Redacteur;
import net.mapeadores.basedefiches.sphere.RedacteurKey;
import net.mapeadores.basedefiches.sphere.SphereUtils;
import net.mapeadores.util.xml.DOMUtils;
import net.mapeadores.util.xml.ElementHandler;
import org.w3c.dom.Element;


/**
 *
 * @author Vincent Calame
 */
public class PasswordManagerDOMReader extends ManagerDOMReader {

    private PasswordManager currentPasswordManager;

    public PasswordManagerDOMReader() {
    }

    public void readManager(Object manager, Element element_xml) {
        readPasswordManager((PasswordManager) manager, element_xml);
    }

    public void readPasswordManager(PasswordManager passwordManager, Element element_xml) {
        this.currentPasswordManager = passwordManager;
        DOMUtils.readChildren(element_xml, new RootHandler());
        this.currentPasswordManager = null;
    }


    private class RootHandler implements ElementHandler {

        public void readElement(Element element) {
            String tagName = element.getTagName();
            if (tagName.equals("confirm")) {
                currentPasswordManager.setPassword(PasswordManager.CONFIRM_PASSWORDKEY, element.getAttribute("pwd"));
            } else if (tagName.equals("redacteur")) {
                readRedacteur(element);
            } else {
                unknownTagWarning(tagName);
            }
        }

        private void readRedacteur(Element element_xml) {
            RedacteurKey redacteurKey = getRedacteurKey(element_xml);
            String password = element_xml.getAttribute("pwd");
            Redacteur redacteur = SphereUtils.getRedacteur(currentPasswordManager.getBdfServer().getBasedefiches(), redacteurKey);
            if (redacteur != null) {
                currentPasswordManager.setPassword(redacteur.getRedacteurKey().toString(), password);
            }
        }

    }

}
