/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.xml;

import fr.exemole.bdfserver.managers.PermissionManager;
import net.mapeadores.basedefiches.sphere.Redacteur;
import net.mapeadores.basedefiches.sphere.RedacteurKey;
import net.mapeadores.util.xml.DOMUtils;
import net.mapeadores.util.xml.ElementHandler;
import org.w3c.dom.Element;


/**
 *
 * @author Vincent Calame
 */
public class PermissionManagerDOMReader extends ManagerDOMReader {

    private PermissionManager currentPermissionManager;

    public PermissionManagerDOMReader() {
    }

    public void readManager(Object manager, Element element_xml) {
        readPermissionManager((PermissionManager) manager, element_xml);
    }

    public void readPermissionManager(PermissionManager permissionManager, Element element_xml) {
        this.currentPermissionManager = permissionManager;
        DOMUtils.readChildren(element_xml, new RootHandler());
        this.currentPermissionManager = null;
    }


    private class RootHandler implements ElementHandler {

        public void readElement(Element element) {
            String tagName = element.getTagName();
            if (tagName.equals("admin")) {
                DOMUtils.readChildren(element, new AdminHandler());
            } else {
                unknownTagWarning(tagName);
            }
        }

    }


    private class AdminHandler implements ElementHandler {

        public void readElement(Element element) {
            String tagName = element.getTagName();
            if (tagName.equals("redacteur")) {
                RedacteurKey redacteurKey = getRedacteurKey(element);
                if (redacteurKey != null) {
                    Redacteur redacteur = currentPermissionManager.getRedacteur(redacteurKey);
                    if (redacteur != null) {
                        currentPermissionManager.setAdmin(redacteur, true);
                    }
                }
            } else {
                unknownTagWarning(tagName);
            }
        }

    }

}
