/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.xml;

import fr.exemole.bdfserver.managers.PermissionManager;
import java.io.IOException;
import net.mapeadores.basedefiches.sphere.RedacteurKey;


/**
 *
 * @author Vincent Calame
 */
public class PermissionManagerXMLWriter extends ManagerXMLWriter {

    public PermissionManagerXMLWriter() {
    }

    public void appendManager(Object manager) throws IOException {
        appendPermissionManager((PermissionManager) manager);
    }

    public void appendPermissionManager(PermissionManager permissionManager) throws IOException {
        openTag("permission-manager");
        openTag("admin");
        for (RedacteurKey redacteurKey : permissionManager.getAdminList()) {
            appendRedacteurKey(redacteurKey);
        }
        closeTag("admin");
        closeTag("permission-manager");
    }

    private void appendRedacteurKey(RedacteurKey redacteurKey) throws IOException {
        startOpenTag("redacteur");
        addAttribute("sphere", redacteurKey.getSphereKey().getSubsetName());
        addAttribute("idsphere", redacteurKey.getIdsphereString());
        closeEmptyTag();
    }

}
