/* BdfServer
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.request;

import fr.exemole.bdfserver.users.BdfUser;
import fr.exemole.bdfserver.*;
import java.util.*;
import net.mapeadores.util.io.*;


/**
 *
 * @author Vincent Calame
 */
public class BdfBundle {

    BdfUser bdfUser;
    BdfServer bdfServer;
    HashMap objectMap = new HashMap();

    public BdfBundle(BdfServer bdfServer, BdfUser bdfUser) {
        this.bdfServer = bdfServer;
        this.bdfUser = bdfUser;
    }

    public BdfServer getBdfServer() {
        return bdfServer;
    }

    public BdfUser getBdfUser() {
        return bdfUser;
    }

    public void putObject(String key, Object object) {
        objectMap.put(key, object);
    }

    public Object getObject(String key) {
        return objectMap.get(key);
    }

}
