/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.CorpusIncludeElement;
import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.include.IncludeKey;
import net.mapeadores.util.localisation.LocalisationInfo;


/**
 *
 * @author Vincent Calame
 */
public class DefaultCorpusIncludeElement extends AbstractIncludeElement implements CorpusIncludeElement {

    private LocalisationInfo localisationInfo;
    private AbregeFiche[] abregeFicheArray;
    private int[] poidsArray;
    private int rows = 1;
    private boolean globalLiage = false;
    private String motcleSelectOptionsString;

    public DefaultCorpusIncludeElement(IncludeKey includeKey) {
        super(includeKey);
        if (includeKey.equals(IncludeKey.LIAGE)) {
            globalLiage = true;
            rows = 4;
        }
    }

    public boolean isGlobalLiage() {
        return globalLiage;
    }

    public LocalisationInfo getLocalisationInfo() {
        return localisationInfo;
    }

    public void setLocalisationInfo(LocalisationInfo localisationInfo) {
        this.localisationInfo = localisationInfo;
    }

    public int getAbregeFicheCount() {
        if (abregeFicheArray == null) {
            return 0;
        }
        return abregeFicheArray.length;
    }

    public int getPoids(int i) {
        if (poidsArray == null) {
            return -1;
        }
        return poidsArray[i];
    }

    public AbregeFiche getAbregeFiche(int i) {
        return abregeFicheArray[i];
    }

    public String getValue(int i) {
        AbregeFiche abregeFiche = abregeFicheArray[i];
        String value = null;
        if (globalLiage) {
            value = abregeFiche.getCorpus().getSubsetKey().getSubsetName() + "/" + String.valueOf(abregeFiche.getIdcorpus());
        } else {
            value = String.valueOf(abregeFiche.getIdcorpus());
        }
        int poids = getPoids(i);
        if (poids > 1) {
            value = value + "<" + poids + ">";
        }
        return value;
    }

    public void setAbregeFicheList(AbregeFiche[] abregeFicheArray, int[] poidsArray) {
        this.abregeFicheArray = abregeFicheArray;
        this.poidsArray = poidsArray;
    }

    public int getRows() {
        return rows;
    }

    public void setRows(int rows) {
        this.rows = rows;
    }

    public String getMotcleSelectOptionsString() {
        return motcleSelectOptionsString;
    }

    public void setMotcleSelectOptionsString(String motcleSelectOptionsString) {
        this.motcleSelectOptionsString = motcleSelectOptionsString;
    }

}
