/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.PersonneSubfieldsElement;
import net.mapeadores.basedefiches.beans.PersonneBean;
import net.mapeadores.basedefiches.corpus.metadata.CorpusField;


/**
 *
 * @author Vincent Calame
 */
public class DefaultPersonneSubfieldsElement extends AbstractCorpusFieldElement implements PersonneSubfieldsElement {

    private String nom = "";
    private String prenom = "";
    private String original = "";
    private boolean nomAvant = false;
    private boolean withOriginal = false;
    private boolean withNomAvant = true;

    public DefaultPersonneSubfieldsElement(CorpusField corpusField) {
        super(corpusField);
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getPrenom() {
        return prenom;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }

    public String getOriginal() {
        return original;
    }

    public void setOriginal(String original) {
        this.original = original;
    }

    public boolean isNomAvant() {
        return nomAvant;
    }

    public void setNomAvant(boolean nomAvant) {
        this.nomAvant = nomAvant;
    }

    public void setFromPersonneBean(PersonneBean personneBean) {
        this.nom = personneBean.getNom();
        this.prenom = personneBean.getPrenom();
        this.original = personneBean.getOriginal();
        this.nomAvant = personneBean.isNomAvant();
    }

    public boolean isWithOriginal() {
        return withOriginal;
    }

    public void setWithOriginal(boolean withOriginal) {
        this.withOriginal = withOriginal;
    }

    public boolean isWithoutNomAvant() {
        return withNomAvant;
    }

    public void setWithoutNomAvant(boolean withNomAvant) {
        this.withNomAvant = withNomAvant;
    }

}
