<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>



    <!-- Demande la définition des variables $INSERTURL
ainsi que des règles TEMPLATE_FICHEURL et TEMPLATE_MOTCLEURL
-->

    <xsl:template match="s[@type='em']">
        <em>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </em>
    </xsl:template>

    <xsl:template match="s[@type='emstrg']">
        <em>
            <xsl:attribute name="class">
                <xsl:text>STRG</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </em>
    </xsl:template>

    <xsl:template match="s[@type='strg']">
        <strong>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </strong>
    </xsl:template>

    <xsl:template match="s[@type='link']">
        <a href="{@ref}">
            <xsl:attribute name="class">
                <xsl:text>LINK</xsl:text>
                <xsl:if test="@link = 'external'"><xsl:text> EXTERNAL</xsl:text></xsl:if>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@lang = true()"><xsl:attribute name="hreflang"><xsl:value-of select="@lang"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </a>
    </xsl:template>

    <xsl:template match="s[@type='iref']">
        <sup>
            <xsl:attribute name="class">
                <xsl:text>IREF</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <a href="#{@ref}" class="IREF">
                <xsl:value-of select="."/>
            </a>
        </sup>
    </xsl:template>

    <xsl:template match="s[@type='anchor']">
        <xsl:choose>
            <xsl:when test="string-length(.) &gt; 0">
                <sup>
                    <xsl:attribute name="class">
                        <xsl:text>ANCHOR</xsl:text>
                        <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
                    </xsl:attribute>
                    <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
                    <a  name="{@ref}" class="ANCHOR"/>
                    <xsl:value-of select="."/>
                </sup>
            </xsl:when>
            <xsl:otherwise><a  name="{@ref}"/></xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="s[@type='cite']">
        <cite>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:choose>
                <xsl:when test="@ref = true()">
                    <a href="{@ref}" class="CITE">
                        <xsl:if test="@lang = true()"><xsl:attribute name="lang"><xsl:value-of select="@lang"/></xsl:attribute></xsl:if>
                        <xsl:value-of select="."/>
                    </a>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="."/>
                </xsl:otherwise>
            </xsl:choose>
        </cite>
    </xsl:template>

    <xsl:template match="s[@type='dfn']">
        <dfn>
            <xsl:if test="@subtype= true() or @class = true()">
                <xsl:attribute name="class">
                    <xsl:value-of select="@subtype"/>
                    <xsl:if test="@subtype= true() and @class = true()"><xsl:text> </xsl:text></xsl:if>
                    <xsl:value-of select="@class"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:choose>
                <xsl:when test="@ref = true()">
                    <a href="{@ref}" class="DFN">
                        <xsl:if test="@lang = true()"><xsl:attribute name="hreflang"><xsl:value-of select="@lang"/></xsl:attribute></xsl:if>
                        <xsl:value-of select="."/>
                    </a>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="."/>
                </xsl:otherwise>
            </xsl:choose>
        </dfn>
    </xsl:template>

    <xsl:template match="s[@type='samp']">
        <samp>
            <xsl:if test="@subtype= true() or @class = true()">
                <xsl:attribute name="class">
                    <xsl:value-of select="@subtype"/>
                    <xsl:if test="@subtype= true() and @class = true()"><xsl:text> </xsl:text></xsl:if>
                    <xsl:value-of select="@class"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </samp>
    </xsl:template>

    <xsl:template match="s[@type='kbd']">
        <kbd>
            <xsl:if test="@subtype= true() or @class = true()">
                <xsl:attribute name="class">
                    <xsl:value-of select="@subtype"/>
                    <xsl:if test="@subtype= true() and @class = true()"><xsl:text> </xsl:text></xsl:if>
                    <xsl:value-of select="@class"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </kbd>
    </xsl:template>

    <xsl:template match="s[@type='code']">
        <code>
            <xsl:if test="@subtype= true() or @class = true()">
                <xsl:attribute name="class">
                    <xsl:value-of select="@subtype"/>
                    <xsl:if test="@subtype= true() and @class = true()"><xsl:text> </xsl:text></xsl:if>
                    <xsl:value-of select="@class"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </code>
    </xsl:template>

    <xsl:template match="s[@type='var']">
        <var>
            <xsl:if test="@subtype= true() or @class = true()">
                <xsl:attribute name="class">
                    <xsl:value-of select="@subtype"/>
                    <xsl:if test="@subtype= true() and @class = true()"><xsl:text> </xsl:text></xsl:if>
                    <xsl:value-of select="@class"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </var>
    </xsl:template>

    <xsl:template match="s[@type='sup']">
        <sup>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </sup>
    </xsl:template>

    <xsl:template match="s[@type='sub']">
        <sub>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </sub>
    </xsl:template>

    <xsl:template match="s[@type='quote']">
        <q>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </q>
    </xsl:template>

    <xsl:template match="s[@type='del']">
        <del>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </del>
    </xsl:template>

    <xsl:template match="s[@type='ins']">
        <ins>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </ins>
    </xsl:template>



    <xsl:template match="s[@type='abbr']">
        <abbr title="{@title}">
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </abbr>
    </xsl:template>

    <xsl:template match="s[@type='acronym']">
        <acronym title="{@title}">
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </acronym>
    </xsl:template>

    <xsl:template match="s[@type='span']">
        <span>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:value-of select="."/>
        </span>
    </xsl:template>


    <xsl:template match="s[@type='br']">
        <br>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
        </br>
    </xsl:template>


    <xsl:template match="s[@type='img' and boolean(@ref)=true()]">
        <a href="{@ref}">
            <xsl:attribute name="class">
                <xsl:text>IMG</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@lang = true()"><xsl:attribute name="hreflang"><xsl:value-of select="@lang"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <img alt="{.}" src="{@base-url}{@src}"/>
        </a>
    </xsl:template>

    <xsl:template match="s[@type='img' and boolean(@ref)=false()]">
        <img alt="{.}" src="{@base-url}{@src}">
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
        </img>
    </xsl:template>

    <xsl:template match="s[@type='fiche']">
        <xsl:variable name="var_REF" select="@ref"/>
        <xsl:variable name="var_FRAGMENT" select="substring-after($var_REF,'#')"/>
        <xsl:variable name="var_KEY">
            <xsl:choose>
                <xsl:when test="contains($var_REF,'#')"><xsl:value-of select="substring-before($var_REF,'#')"/></xsl:when>
                <xsl:otherwise><xsl:value-of select="$var_REF"/></xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="var_IDCRPS">
            <xsl:choose>
                <xsl:when test="contains($var_KEY,'/')"><xsl:value-of select="substring-after($var_KEY,'/')"/></xsl:when>
                <xsl:otherwise><xsl:value-of select="$var_KEY"/></xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="var_CRPS"><xsl:if test="contains($var_KEY,'/')"><xsl:value-of select="substring-before($var_KEY,'/')"/></xsl:if></xsl:variable>
        <a>
            <xsl:attribute name="class">
                <xsl:text>FCH</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@lang = true()"><xsl:attribute name="hreflang"><xsl:value-of select="@lang"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:attribute name="href">
                <xsl:call-template name="TEMPLATE_FICHEURL">
                    <xsl:with-param name="PARAM_CORPUS">
                        <xsl:choose>
                            <xsl:when test="string-length($var_CRPS) &gt; 0"><xsl:value-of select="$var_CRPS"/></xsl:when>
                            <xsl:otherwise><xsl:value-of select="ancestor::fiche[1]/@corpus"/></xsl:otherwise>
                        </xsl:choose>
                    </xsl:with-param>
                    <xsl:with-param name="PARAM_IDCORPUS" select="$var_IDCRPS"/>
                    <xsl:with-param name="PARAM_FRAGMENT" select="$var_FRAGMENT"/>
                </xsl:call-template>
            </xsl:attribute>
            <xsl:value-of select="."/>
        </a>
    </xsl:template>

    <xsl:template match="s[@type='motcle']">
        <xsl:variable name="var_REF" select="@ref"/>
        <xsl:variable name="var_FRAGMENT" select="substring-after($var_REF,'#')"/>
        <xsl:variable name="var_KEY">
            <xsl:choose>
                <xsl:when test="contains($var_REF,'#')"><xsl:value-of select="substring-before($var_REF,'#')"/></xsl:when>
                <xsl:otherwise><xsl:value-of select="$var_REF"/></xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="var_IDTHS"><xsl:value-of select="substring-after($var_KEY,'/')"/></xsl:variable>
        <xsl:variable name="var_THESAURUS"><xsl:value-of select="substring-before($var_KEY,'/')"/></xsl:variable>
        <a>
            <xsl:attribute name="class">
                <xsl:text>MTCL</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@lang = true()"><xsl:attribute name="hreflang"><xsl:value-of select="@lang"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:attribute name="href">
                <xsl:call-template name="TEMPLATE_MOTCLEURL">
                    <xsl:with-param name="PARAM_THESAURUS" select="$var_THESAURUS"/>
                    <xsl:with-param name="PARAM_IDTHS" select="$var_IDTHS"/>
                    <xsl:with-param name="PARAM_FRAGMENT" select="$var_FRAGMENT"/>
                </xsl:call-template>
            </xsl:attribute>
            <xsl:value-of select="."/>
        </a>
    </xsl:template>


    <xsl:template match="p">
        <p>
            <xsl:attribute name="class">
                <xsl:text>TXT</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:if test="string-length(@source) &gt;0">
                <span class="SOURCE">
                    <xsl:value-of select="@source"/>
                    <xsl:text> : </xsl:text>
                </span>
            </xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </p>
    </xsl:template>

    <xsl:template match="p[@type='question']">
        <p>
            <xsl:attribute name="class">
                <xsl:text>QUESTION</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:if test="string-length(@source) &gt;0">
                <span class="SOURCE">
                    <xsl:value-of select="@source"/>
                    <xsl:text> : </xsl:text>
                </span>
            </xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </p>
    </xsl:template>

    <xsl:template match="p[@type='remarque']">
        <p>
            <xsl:attribute name="class">
                <xsl:text>REMARQUE</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:if test="string-length(@source) &gt;0">
                <span class="SOURCE">
                    <xsl:value-of select="@source"/>
                    <xsl:text> : </xsl:text>
                </span>
            </xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </p>
    </xsl:template>

    <xsl:template match="p" mode="submode_LI">
        <p>
            <xsl:attribute name="class">
                <xsl:text>LI</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </p>
    </xsl:template>

    <xsl:template match="p[@type='citation']">
        <blockquote>
            <xsl:attribute name="class">
                <xsl:text>CITATION</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <p class="CITATION"><xsl:call-template name="subtemplate_PRGCONTENT"/></p>

            <xsl:apply-templates select="following-sibling::*[1][@type='citation' and @source=false()]" mode="submode_NEXTCITATION"/>

            <xsl:if test="string-length(@source) &gt;0">
                <p class="SOURCECITATION">
                    <xsl:value-of select="@source"/>
                </p>
            </xsl:if>
        </blockquote>
    </xsl:template>

    <xsl:template match="p[@type='citation' and @source=false() and preceding-sibling::*[1]/@type='citation']">
    </xsl:template>

    <xsl:template match="p" mode="submode_NEXTCITATION">
        <p class="CITATION"><xsl:call-template name="subtemplate_PRGCONTENT"/></p>
        <xsl:apply-templates select="following-sibling::*[1][@type='citation' and @source=false()]" mode="submode_NEXTCITATION"/>
    </xsl:template>

    <xsl:template match="p[@type='note']">
        <p>
            <xsl:attribute name="class">
                <xsl:text>NOTE</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:if test="string-length(@source) &gt;0">
                <span class="SOURCE">
                    <xsl:value-of select="@source"/>
                    <xsl:text> : </xsl:text>
                </span>
            </xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </p>
    </xsl:template>

    <xsl:template match="h">
        <p>
            <xsl:attribute name="class">
                <xsl:text>H LEVEL</xsl:text><xsl:value-of select="@level"/>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </p>
    </xsl:template>

    <xsl:template match="ul">
        <xsl:param name="param_DEPTH" select="1"/>
        <ul>
            <xsl:attribute name="class">
                <xsl:text>LIST DEPTH</xsl:text><xsl:value-of select="$param_DEPTH"/>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:apply-templates select='li'>
                <xsl:with-param name="param_DEPTH" select="$param_DEPTH + 1"/>
            </xsl:apply-templates>
        </ul>
    </xsl:template>

    <xsl:template match="ul[starts-with(@class,'OL')]">
        <xsl:param name="param_DEPTH" select="1"/>
        <ol>
            <xsl:attribute name="class">
                <xsl:text>LIST DEPTH</xsl:text><xsl:value-of select="$param_DEPTH"/>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:apply-templates select='li'>
                <xsl:with-param name="param_DEPTH" select="$param_DEPTH + 1"/>
            </xsl:apply-templates>
        </ol>
    </xsl:template>

    <xsl:template match="ul" mode="submode_LI">
        <xsl:apply-templates select="."/>
    </xsl:template>


    <xsl:template match="li">
        <xsl:param name="param_DEPTH" select="2"/>
        <li>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:for-each select='*'>
                <xsl:apply-templates select='.' mode="submode_LI">
                    <xsl:with-param name="param_DEPTH" select="$param_DEPTH"/>
                </xsl:apply-templates>
            </xsl:for-each>
        </li>
    </xsl:template>


    <xsl:template match="table">
        <table>
            <xsl:attribute name="class">
                <xsl:text>TABLE</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <caption align="bottom">
                <xsl:apply-templates select="numero"/>
                <xsl:apply-templates select="legende"/>
            </caption>
            <xsl:apply-templates select="tr"/>
        </table>
    </xsl:template>

    <xsl:template match="tr">
        <tr>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:apply-templates select="*"/>
        </tr>
    </xsl:template>

    <xsl:template match="td">
        <td>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:if test="@colspan = true()"><xsl:attribute name="colspan"><xsl:value-of select="@colspan"/></xsl:attribute></xsl:if>
            <xsl:if test="@rowspan = true()"><xsl:attribute name="rowspan"><xsl:value-of select="@rowspan"/></xsl:attribute></xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </td>
    </xsl:template>

    <xsl:template match="td[@type='number']">
        <td>
            <xsl:attribute name="class">
                <xsl:text>NUMBER</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:if test="@colspan = true()"><xsl:attribute name="colspan"><xsl:value-of select="@colspan"/></xsl:attribute></xsl:if>
            <xsl:if test="@rowspan = true()"><xsl:attribute name="rowspan"><xsl:value-of select="@rowspan"/></xsl:attribute></xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </td>
    </xsl:template>

    <xsl:template match="td[@type='header']">
        <th>
            <xsl:if test="@class = true()"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:if test="@colspan = true()"><xsl:attribute name="colspan"><xsl:value-of select="@colspan"/></xsl:attribute></xsl:if>
            <xsl:if test="@rowspan = true()"><xsl:attribute name="rowspan"><xsl:value-of select="@rowspan"/></xsl:attribute></xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </th>
    </xsl:template>

    <xsl:template match="ln">
        <xsl:if test="@indent &gt;0"><xsl:call-template name="subtemplate_INDENT">
                <xsl:with-param name="param_CHAINE">&#xA0;&#xA0;&#xA0;</xsl:with-param>
                <xsl:with-param name="param_NOMBRE" select="@indent"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:choose>
            <xsl:when test="@class = true() or @idhtml=true()">
                <span class="{@class}" id="{@idhtml}">
                    <xsl:value-of select="."/>
                </span>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="."/>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position() != last()"><br/></xsl:if>
    </xsl:template>


    <xsl:template match="div">
        <xsl:call-template name="subtemplate_ZBDIV">
            <xsl:with-param name="param_CLASS" select="'DIV'"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="code">
        <xsl:call-template name="subtemplate_ZBDIV">
            <xsl:with-param name="param_CLASS" select="'CODE'"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="cdatadiv">
        <xsl:call-template name="subtemplate_ZBDIV">
            <xsl:with-param name="param_CLASS" select="'CDATA'"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="insert[@type='image']">
        <xsl:call-template name="subtemplate_ZBDIV">
            <xsl:with-param name="param_CLASS" select="'INSERT IMAGE'"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="insert[@type='lettrine']">
        <xsl:call-template name="subtemplate_ZBDIV">
            <xsl:with-param name="param_CLASS" select="'INSERT LETTRINE LEFT'"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="insert[@type='lettrine' and @position='right']">
        <xsl:call-template name="subtemplate_ZBDIV">
            <xsl:with-param name="param_CLASS" select="'INSERT LETTRINE RIGHT'"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="numero">
        <span>
            <xsl:attribute name="class">
                <xsl:text>NUMERO</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
            <xsl:if test="count(../legende) &gt; 0"><xsl:text> : </xsl:text></xsl:if>
        </span>
    </xsl:template>

    <xsl:template match="legende">
        <span>
            <xsl:attribute name="class">
                <xsl:text>LEGENDE</xsl:text>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:call-template name="subtemplate_PRGCONTENT"/>
        </span>
    </xsl:template>


    <xsl:template match="*" mode="MODE_PRGCONTENT">
        <xsl:call-template name="subtemplate_PRGCONTENT"/>
    </xsl:template>


    <xsl:template name="subtemplate_PRGCONTENT">
        <xsl:if test='(count(*) = 0) and (string-length(.) =0)'><xsl:text>&#x00A0;</xsl:text></xsl:if>
        <xsl:for-each select="node()">
            <xsl:apply-templates select="." />
        </xsl:for-each>
    </xsl:template>

    <xsl:template name="subtemplate_INDENT">
        <xsl:param name="param_CHAINE"/>
        <xsl:param name="param_NOMBRE" select="1"/>
        <xsl:choose>
            <xsl:when test="not($param_NOMBRE) or not($param_CHAINE)"/>
            <xsl:when test="$param_NOMBRE = 1">
                <xsl:value-of select="$param_CHAINE"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:if test="$param_NOMBRE mod 2"><xsl:value-of select="$param_CHAINE"/></xsl:if>
                <xsl:call-template name="subtemplate_INDENT">
                    <xsl:with-param name="param_CHAINE" select="concat($param_CHAINE,$param_CHAINE)"/>
                    <xsl:with-param name="param_NOMBRE" select="floor($param_NOMBRE div 2)"/>
                </xsl:call-template>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="subtemplate_ZBDIV">
        <xsl:param name="param_CLASS"/>
        <div>
            <xsl:attribute name="class">
                <xsl:value-of select="$param_CLASS"/>
                <xsl:if test="@class = true()"><xsl:text> </xsl:text><xsl:value-of select="@class"/></xsl:if>
            </xsl:attribute>
            <xsl:if test="@htmlid = true()"><xsl:attribute name="id"><xsl:value-of select="@htmlid"/></xsl:attribute></xsl:if>
            <xsl:apply-templates select="." mode="submode_ZBINTERNE"/>
            <xsl:if test="numero = true() or legende = true()">
                <p class="CAPTION">
                    <xsl:apply-templates select="numero"/>
                    <xsl:apply-templates select="legende"/>
                </p>
            </xsl:if>
        </div>
    </xsl:template>

    <xsl:template match="code" mode="submode_ZBINTERNE">
        <code>
            <xsl:apply-templates select="ln"/>
        </code>
    </xsl:template>

    <xsl:template match="div" mode="submode_ZBINTERNE">
        <div class="FBL">
            <xsl:apply-templates select="fbl/*"/>
        </div>
    </xsl:template>

    <xsl:template match="cdatadiv" mode="submode_ZBINTERNE">
        <xsl:value-of select="cdata" disable-output-escaping="yes"/>
    </xsl:template>

    <xsl:template match="insert" mode="submode_ZBINTERNE">
        <xsl:choose>
            <xsl:when test="string-length(@ref) &gt; 0">
                <a href="{@ref}" class="INSERT">
                    <xsl:call-template name="subtemplate_INSERTIMG"/>
                </a>
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="subtemplate_INSERTIMG"/>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="@credit = true()">
            <span class="CREDIT"><xsl:value-of select="@credit"/></span>
        </xsl:if>
    </xsl:template>

    <xsl:template match="insert[@album]" mode="submode_ZBINTERNE">
        <xsl:choose>
            <xsl:when test="string-length(@ref) &gt; 0">
                <a href="{@ref}" class="INSERT">
                    <xsl:call-template name="subtemplate_INSERTILLUSTRATION"/>
                </a>
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="subtemplate_INSERTILLUSTRATION"/>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="@credit = true()">
            <span class="CREDIT"><xsl:value-of select="@credit"/></span>
        </xsl:if>
    </xsl:template>

    <xsl:template name="subtemplate_INSERTIMG">
        <img alt="" src="{@base-url}{@src}">
            <xsl:if test="@width = true()"><xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute></xsl:if>
            <xsl:if test="@height = true()"><xsl:attribute name="height"><xsl:value-of select="@height"/></xsl:attribute></xsl:if>
        </img>
    </xsl:template>

    <xsl:template name="subtemplate_INSERTILLUSTRATION">
        <xsl:variable name="var_Album" select="@album"/>
        <xsl:variable name="var_Idalbum" select="@idalbum"/>
        <xsl:variable name="var_Format" select="@format"/>
        <xsl:variable name="var_Dim" select="@albumdim"/>
        <img alt="">
            <xsl:attribute name="src">
                <xsl:call-template name="TEMPLATE_ILLUSTRATIONURL">
                    <xsl:with-param name="PARAM_ALBUM" select="$var_Album"/>
                    <xsl:with-param name="PARAM_IDALBUM" select="$var_Idalbum"/>
                    <xsl:with-param name="PARAM_FORMAT" select="$var_Format"/>
                    <xsl:with-param name="PARAM_DIM" select="$var_Dim"/>
                </xsl:call-template>
            </xsl:attribute>
            <xsl:if test="@width = true()"><xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute></xsl:if>
            <xsl:if test="@height = true()"><xsl:attribute name="height"><xsl:value-of select="@height"/></xsl:attribute></xsl:if>
        </img>
    </xsl:template>

</xsl:stylesheet>