<?xml version="1.0" encoding="UTF-8" ?>

<!--
    Document   : thsinverses.xsl
    Created on : 15 mars 2004, 19:01
    Author     : vic
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>

    <xsl:key name="sources" match="/lexiemap/sources/source" use="@src-id"/>


    <xsl:template match="/">
        <html>
            <head>
                <title>thsinverses.xsl</title>
                <style>.avant{text-align: right;}
                    .td{vertical-align: top;}
                </style>
            </head>
            <body>
                <table>
                    <xsl:apply-templates select="/lexiemap/lexies/lexie"/>
                </table>
            </body>
        </html>
    </xsl:template>


    <xsl:template match="lexie">
        <!--<tr><td colspan="2" class="locution"><xsl:value-of select="@texte"/></td></tr>-->
        <xsl:apply-templates select="occurence"/>
    </xsl:template>

    <xsl:template match="occurence">
        <xsl:variable name="SourceId" select="@src-id"/>
        <tr>
            <xsl:apply-templates select="key('sources',$SourceId)/text">
                <xsl:with-param name="LexieId" select="../@lx-id"/>
            </xsl:apply-templates>
        </tr>
    </xsl:template>

    <xsl:template match="text">

        <xsl:param name="LexieId"/>
        <xsl:apply-templates select="lx[@lx-id=$LexieId]" mode="Pivot"/>
    </xsl:template>


    <xsl:template match="lx" mode="Pivot">
        <td class="avant">
            <xsl:apply-templates select="preceding-sibling::node()"/>
        </td>
        <td class="apres">
            <strong>
                <xsl:value-of select="."/>
            </strong>
            <xsl:apply-templates select="following-sibling::node()"/>
        </td>
    </xsl:template>

    <xsl:template match="lx">
        <xsl:value-of select="."/>
    </xsl:template>
    <!--
     <xsl:param name="longueur"/>
     <xsl:variable name="chaine" select="string(key('locutions',@idloc))"/>

     <xsl:variable name="pos" select="number(@pos)"/>
        <tr>
        <td class="avant">
        <xsl:if test="$pos > 1">
        <xsl:value-of select="substring($chaine,1,$pos - 1)"/>
        </xsl:if>
        </td>
        <td class="apres">
        <strong>
        <xsl:value-of select="substring($chaine,$pos,$longueur)"/>
        </strong>
        <xsl:value-of select="substring($chaine,$pos + $longueur)"/>
        </td>
        <td><a href="../Thesaurus?nomths={$nomthesaurus}&amp;idths={@idloc}"><xsl:value-of select="@idloc"/></a></td>
        </tr>
     </xsl:template>

     <xsl:template match="locution">
     <xsl:value-of select="."/>
     </xsl:template>
    -->
</xsl:stylesheet> 
