/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.roles;

import fr.exemole.bdfserver.actions.FicheAction;
import fr.exemole.bdfserver.actions.ReadFiche;
import fr.exemole.bdfserver.actions.SendFiche;
import fr.exemole.bdfserver.actions.WriteFiche;
import net.mapeadores.util.exceptions.SwitchException;


/**
 *
 * @author Vincent Calame
 */
public class CorpusPermission {

    private boolean canCreateFiche = false;
    private FicheActionPermission readFichePermission = new FicheActionPermission(FicheActionPermission.NONE);
    private FicheActionPermission writeFichePermission = new FicheActionPermission(FicheActionPermission.NONE);
    private FicheActionPermission sendFichePermission = new FicheActionPermission(FicheActionPermission.NONE);

    public CorpusPermission() {
    }

    public boolean canCreateFiche() {
        return canCreateFiche;
    }

    public void setCreateFichePermission(boolean canCreateFiche) {
        this.canCreateFiche = canCreateFiche;
    }

    public FicheActionPermission getReadFichePermission() {
        return readFichePermission;
    }

    public FicheActionPermission getWriteFichePermission() {
        return writeFichePermission;
    }

    public FicheActionPermission getSendFichePermission() {
        return sendFichePermission;
    }

    public FicheActionPermission getFicheActionPermission(FicheAction ficheAction) {
        if (ficheAction instanceof ReadFiche) {
            return readFichePermission;
        }
        if (ficheAction instanceof WriteFiche) {
            return writeFichePermission;
        }
        if (ficheAction instanceof SendFiche) {
            return sendFichePermission;
        }
        throw new SwitchException("ficheAction instanceof " + ficheAction.getClass().getName());

    }

    public static CorpusPermission newDefaultInstance() {
        CorpusPermission corpusPermission = new CorpusPermission();
        corpusPermission.setCreateFichePermission(true);
        corpusPermission.getReadFichePermission().setType(FicheActionPermission.ALL);
        corpusPermission.getWriteFichePermission().setType(FicheActionPermission.OWN);
        corpusPermission.getSendFichePermission().setType(FicheActionPermission.ALL);
        return corpusPermission;
    }

}
