/* BdfServer - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage;

import fr.exemole.bdfserver.roles.RoleMap;
import fr.exemole.bdfserver.ui.AlterUI;
import fr.exemole.bdfserver.ui.corpus.CorpusUI;
import fr.exemole.bdfserver.users.BdfUserDef;
import java.util.List;
import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.BasedefichesEditor;
import net.mapeadores.basedefiches.scrutariexport.ScrutariExportDef;
import net.mapeadores.basedefiches.sphere.RedacteurKey;
import net.mapeadores.basedefiches.sqlexport.SqlExportDef;


/**
 *
 * @author Vincent Calame
 */
public interface BdfStorage {

    /**
     * En cours de transition de Manager à BdfManager
     */
    public void loadManager(Object manager);

    public void saveManager(Object manager);

    public Basedefiches getBasedefiches();

    public BasedefichesEditor getBasedefichesEditor();

    public RoleMap getRoleMap();

    public AlterUI getAlterUI(CorpusUI corpusUI, String alterName);

    public PasswordStorage getPasswordStorage();

    public ScrutariExportStorage getScrutariExportStorage();

    public SqlExportStorage getSqlExportStorage();

    public BdfUserStorage getBdfUserStorage();


    public static interface PasswordStorage {

        /**
         * le tableau doit comprendre la chaine du mot de passe puis la chaine de la valeur
         */
        public void savePasswordArray(String[] passwordArray);

    }


    public static interface ScrutariExportStorage {

        public void saveScrutariExportDef(ScrutariExportDef scrutariExportDef);

        public void removeScrutariExportDef(String name);

    }


    public static interface SqlExportStorage {

        public void saveSqlExportDef(SqlExportDef sqlExportDef);

        public void removeSqlExportDef(String name);

    }


    public static interface BdfUserStorage {

        public void saveBdfUserDef(BdfUserDef bdfUserDef);

        public void removeBdfUserDef(RedacteurKey redacteurKey);

        /**
         * Nul si non défini
         */
        public BdfUserDef getBdfUserDef(RedacteurKey redacteurKey);

    }


    public static interface Check {

        public List<ScrutariExportDef> getScrutariExportDefList();

        public List<SqlExportDef> getSqlExportDefList();

        public List<BdfUserDef> getBdfUserDefList();

        public List<String> getPasswordList();

    }

}
