/* BdfServer - Copyright (c) 2007-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage;


/**
 *
 * @author Vincent Calame
 */
public class StorageCollection {

    private BdfStorage bdfStorage;
    private BdfStorage.Check bdfStorageCheck;
    private BalayagesStorage balayagesStorage;
    private TableExportStorage tableExportStorage;
    private TransformationStorage transformationStorage;
    private StorageProcessLog storageProcessLog;
    private BdfResourceStorage innerResourceStorage;
    private OutputStorage outputStorage;
    private BdfExtensionStorage bdfExtensionStorage;
    private String externalScriptPath;
    private boolean conversion_0_20_Done = false;

    public StorageCollection() {
    }

    public boolean isConversion_0_20_Done() {
        return conversion_0_20_Done;
    }

    public void setConversion_0_20_Done(boolean conversion_0_20_Done) {
        this.conversion_0_20_Done = conversion_0_20_Done;
    }

    public BalayagesStorage getBalayagesStorage() {
        return balayagesStorage;
    }

    public void setBalayagesStorage(BalayagesStorage balayagesStorage) {
        this.balayagesStorage = balayagesStorage;
    }

    public BdfStorage getBdfStorage() {
        return bdfStorage;
    }

    public void setBdfStorage(BdfStorage bdfStorage) {
        this.bdfStorage = bdfStorage;
    }

    public TableExportStorage getTableExportStorage() {
        return tableExportStorage;
    }

    public void setTableExportStorage(TableExportStorage tableExportStorage) {
        this.tableExportStorage = tableExportStorage;
    }

    public TransformationStorage getTransformationStorage() {
        return transformationStorage;
    }

    public void setTransformationStorage(TransformationStorage transformationStorage) {
        this.transformationStorage = transformationStorage;
    }

    public StorageProcessLog getStorageProcessLog() {
        return storageProcessLog;
    }

    public void setStorageProcessLog(StorageProcessLog storageProcessLog) {
        this.storageProcessLog = storageProcessLog;
    }

    public BdfResourceStorage getInnerResourceStorage() {
        return innerResourceStorage;
    }

    public void setInnerResourceStorage(BdfResourceStorage innerResourceStorage) {
        this.innerResourceStorage = innerResourceStorage;
    }

    public OutputStorage getOutputStorage() {
        return outputStorage;
    }

    public void setOutputStorage(OutputStorage outputStorage) {
        this.outputStorage = outputStorage;
    }

    public BdfExtensionStorage getBdfExtensionStorage() {
        return bdfExtensionStorage;
    }

    public void setBdfExtensionStorage(BdfExtensionStorage bdfExtensionStorage) {
        this.bdfExtensionStorage = bdfExtensionStorage;
    }

    public String getExternalScriptPath() {
        return externalScriptPath;
    }

    public void setExternalScriptPath(String externalScriptPath) {
        this.externalScriptPath = externalScriptPath;
    }

    public BdfStorage.Check getBdfStorageCheck() {
        return bdfStorageCheck;
    }

    public void setBdfStorageCheck(BdfStorage.Check bdfStorageCheck) {
        this.bdfStorageCheck = bdfStorageCheck;
    }

}
