/* BdfServer - Copyright (c) 2007-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage;

import fr.exemole.bdfserver.BdfServer;
import java.io.IOException;
import java.util.List;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.tableexport.ColDefList;
import net.mapeadores.basedefiches.tableexport.croisement.CroisementTableExportInfo;
import net.mapeadores.basedefiches.tableexport.logging.TableExportLog;


/**
 *
 * @author Vincent Calame
 */
public interface TableExportStorage {

    public List<TableExportStorageInfo> checkStorage(BdfServer bdfServer);

    public void saveSubsetColDefList(String tableExportName, SubsetKey subsetKey, ColDefList colDefList) throws IOException;


    public interface TableExportStorageInfo {

        public String getName();

        public int getSubsetCount();

        public SubsetKey getSubsetKey(int i);

        public ColDefList getColDefList(int i);

        public int getCroisementInfoCount();

        public CroisementTableExportInfo getCroisementInfo(int i);

        public TableExportLog getProcessLog();

    }

}
