/* BdfServer - Copyright (c) 2007-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage;

import fr.exemole.bdfserver.BdfServer;
import fr.exemole.bdfserver.managers.transformation.StreamTransformerInfo;
import fr.exemole.bdfserver.managers.transformation.TransformationKey;
import fr.exemole.bdfserver.managers.transformation.XslTransformerInfo;
import fr.exemole.bdfserver.managers.transformation.XslTransformerKey;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import javax.xml.transform.Source;
import net.mapeadores.util.io.StreamTransformer;


/**
 *
 * @author Vincent Calame
 */
public interface TransformationStorage {

    public List<TransformationStorageInfo> getTransformationStorageInfoList(BdfServer bdfServer);

    public File getEtcCommonsDirectory();

    public File getVarCommonsDirectory();

    public Source getTransformerSource(XslTransformerKey xslTransformerKey);

    public StreamTransformer getStreamTransformer(BdfServer bdfServer, StreamTransformerInfo streamTransformerInfo);


    public interface TransformationStorageInfo {

        public TransformationKey getTransformationKey();

        public List<XslTransformerInfo> getXslTransformerInfoList();

        public List<StreamTransformerInfo> getStreamTransformerInfoList();

    }

    /**
     * écrase ce qui existe déjà.
     * transformerKey est une instance de  XslTransformerKey ou StreamTransformerKey
     */
    public void saveTransformer(Object transformerKey, InputStream inputStream, boolean pattern) throws IOException;

}
