/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.ui.corpus;

import fr.exemole.bdfserver.ui.ComponentUI;
import fr.exemole.bdfserver.ui.options.InputOption;
import fr.exemole.bdfserver.ui.options.LimitOption;
import fr.exemole.bdfserver.ui.options.ValueOption;
import net.mapeadores.basedefiches.corpus.metadata.FieldKey;
import net.mapeadores.basedefiches.include.IncludeKey;
import net.mapeadores.util.text.Libelle;


/**
 *
 * @author Vincent Calame
 */
public interface ComponentUIEditor {

    /**
     * Retourne null si le champ n'existe pas.
     */
    public FieldUI getFieldUI(FieldKey fieldKey);

    /**
     * Peut retourner null si non pertinent
     */
    public IncludeUI getIncludeUI(IncludeKey includeKey, boolean askForCreation);

    /**
     * Peut retourner null si non pertinent. La création n'est pas forcément effective
     */
    public CommentUI getCommentUI(String name, boolean askForCreation);

    public boolean setInputOption(ComponentUI componentUI, InputOption inputOption);

    public boolean setLimitOption(ComponentUI componentUI, LimitOption limitOption);

    public boolean setValueOption(ComponentUI componentUI, ValueOption valueOption);

    public boolean setMotcleSelectOptionsString(ComponentUI componentUI, String motcleSelectOptionsString);

    public boolean putLibelle(IncludeUI includeUI, Libelle libelle);

    public boolean removeLibelle(IncludeUI includeUI, int langInteger);

    public boolean setDefaultLibelleUsage(ComponentUI componentUI, boolean b);

    public boolean setLocation(ComponentUI componentUI, int newLocation);

    public boolean setPositionArray(String[] positionArray);

    public boolean putHtmlString(CommentUI commentUI, int langInteger, String htmlString);

}
