/* BdfServer - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.users;

import fr.exemole.bdfserver.beans.TableExportParametersBean;
import fr.exemole.bdfserver.managers.transformation.StreamTransformerKey;
import fr.exemole.bdfserver.managers.transformation.TransformationKey;
import net.mapeadores.basedefiches.selection.FicheSelectOptions;
import net.mapeadores.basedefiches.sphere.RedacteurKey;
import net.mapeadores.util.localisation.LocalisationInfo;


/**
 *
 * @author Vincent Calame
 */
public interface BdfUserDef {

    public RedacteurKey getRedacteurKey();

    public LocalisationInfo getLocalisationInfo();

    public FicheSelectOptions getDefaultFicheSelectOptions();

    public short getAbregeFicheSortType();

    public int getRoleNameCount();

    public String getRoleName(int i);

    public TableExportParametersBean getTableExportParametersBean();

    public int getStreamTransformerKeyCount();

    public StreamTransformerKey getStreamTransformerKey(int i);

    public int getXslTemplateDefCount();

    public XslTemplateDef getXslTemplateDef(int i);


    public interface XslTemplateDef {

        public String getTemplateName();

        public TransformationKey getTransformationKey();

    }

}
