/* BdfServer - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.xsltfactory.odcss;

import fr.exemole.bdfserver.BdfServer;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import net.mapeadores.opendocument.css.parse.CssSource;


/**
 *
 * @author Vincent Calame
 */
public class FileBdfCssSource implements CssSource {

    private File file;
    private BdfServer bdfServer;
    private String baseURI;

    public FileBdfCssSource(String baseURI, File f, BdfServer bdfServer) {
        this.file = f;
        this.bdfServer = bdfServer;
        this.baseURI = baseURI;
    }

    public Reader getReader() throws IOException {
        InputStream inputStream = new FileInputStream(file);
        Reader reader = new InputStreamReader(inputStream, "UTF-8");
        return reader;
    }

    public CssSource getImportCssSource(String url) {
        if (BdfCssSourceUtils.isBdfCssSource(url)) {
            return BdfCssSourceUtils.getBdfCssSource(url, bdfServer);
        }
        File newFile = new File(file.getParentFile(), url);
        if (!newFile.exists()) {
            return null;
        }
        return new FileBdfCssSource(baseURI, newFile, bdfServer);
    }

    public String getCssSourceURI() {
        return baseURI + file.getName();
    }

}
