/* BdfServer - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.xsltfactory.xslpattern;


/**
 *
 * @author Vincent Calame
 */
public class OdtFichePattern extends FichePattern {

    public OdtFichePattern() {
    }

    public boolean insertComment() {
        return false;
    }

    public void appendEntete(boolean withSoustitre) {
        openOdtH(2);
        appendModeInstruction("titre", "_intitule", null, null);
        closeOdtH();
        if (withSoustitre) {
            startIf("soustitre");
            openP("Bdf_20_Tech_20_Soustitre");
            appendInstruction("soustitre");
            closeP();
            endIf();
        }
    }

    public void appendChrono() {
        openP("Bdf_20_Tech_20_Chrono");
        appendLibInstruction("date_creation");
        append(" : ");
        appendInstruction("date_creation");
        append(" — ");
        appendLibInstruction("date_modification");
        append(" : ");
        appendInstruction("date_modification");
        closeP();
    }

    public void appendInLine(ComponentInfo componentInfo) {
        String variableString = componentInfo.getVariableString();
        openP("Bdf_20_Tech_20_Champ");
        openSpan("Bdf_20_Tech_20_Intitule");
        append("➢ ");
        appendLibInstruction(variableString);
        append(" : ");
        closeSpan();
        appendInstruction(variableString);
        closeP();
    }

    public void appendListItem(ComponentInfo componentInfo) {
        String variableString = componentInfo.getVariableString();
        appendIntituleP(variableString);
        openUl("Bdf_20_Tech_20_Ul");
        appendModeInstruction(variableString, "_listitem", "Bdf_20_Tech_20_Champ_20_Li", null);
        closeUl();
    }

    public void appendBlock(ComponentInfo componentInfo) {
        String variableString = componentInfo.getVariableString();
        appendIntituleP(variableString);
        appendModeInstruction(variableString, "_block", "Bdf_20_Tech_20_Champ_20_Item", null);
    }

    public void appendTexte(ComponentInfo componentInfo) {
        String variableString = componentInfo.getVariableString();
        openP("Bdf_20_Tech_20_Texte");
        appendLibInstruction(variableString);
        closeP();
        appendInstruction(variableString);
        openP("Bdf_20_Tech_20_Separation");
        append("❖ ❖ ❖");
        closeP();
    }

    private void appendIntituleP(String variableString) {
        openP("Bdf_20_Tech_20_Champ_20_Intitule");
        openSpan("Bdf_20_Tech_20_Intitule");
        append("➢ ");
        appendLibInstruction(variableString);
        append(" :");
        closeSpan();
        closeP();
    }

    public void openSpan(String styleName) {
        openOdtSpan(styleName);
    }

    public void closeSpan() {
        closeOdtSpan();
    }

    public void openP(String styleName) {
        openOdtP(styleName);
    }

    public void closeP() {
        closeOdtP();
    }

    public void openUl(String styleName) {
        openOdtUl(styleName);
    }

    public void closeUl() {
        closeOdtUl();
    }

}
