/* BdfServer - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.xsltfactory.xslpattern.bih;

import fr.exemole.bdfserver.xsltfactory.xslpattern.InsertionUnitTranslator;
import java.io.IOException;
import net.mapeadores.util.text.insertpattern.api.InsertionUnit;
import net.mapeadores.util.text.insertpattern.api.Instruction;
import net.mapeadores.util.xml.PatternXSLTResolver;


/**
 *
 * @author Vincent Calame
 */
public class CommentTranslator implements InsertionUnitTranslator {

    private PatternXSLTResolver xsltResolver;

    public CommentTranslator(PatternXSLTResolver xsltResolver) {
        this.xsltResolver = xsltResolver;
    }

    public void translate(InsertionUnit insertionUnit) throws IOException {
        Instruction[] instructionArray = insertionUnit.getInstructionArray();
        String firstKey = instructionArray[0].getArgument(0).getKey();
        xsltResolver.getCurrentXSLTWriter().addXslValueOf("$libs_corpusui/lib[@comment-name='" + firstKey.substring(8) + "']", true);
    }

    public boolean isTemplateInstruction(InsertionUnit insertionUnit) {
        return false;
    }

}
