/* BdfServer - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.xsltfactory.xslpattern.bih;

import fr.exemole.bdfserver.xsltfactory.xslpattern.InsertionUnitTranslator;
import java.io.IOException;
import net.mapeadores.util.text.insertpattern.api.InsertionUnit;
import net.mapeadores.util.text.insertpattern.api.Instruction;
import net.mapeadores.util.xml.PatternXSLTResolver;
import net.mapeadores.util.xml.XSLTWriter;


/**
 *
 * @author Vincent Calame
 */
public class ModeTranslator implements InsertionUnitTranslator {

    private PatternXSLTResolver xsltResolver;

    public ModeTranslator(PatternXSLTResolver xsltResolver) {
        this.xsltResolver = xsltResolver;
    }

    public void translate(InsertionUnit insertionUnit) throws IOException {
        Instruction[] instructionArray = insertionUnit.getInstructionArray();
        XSLTWriter xw = xsltResolver.getCurrentXSLTWriter();
        String mode = instructionArray[0].getArgument(0).getValue();
        if (mode == null) {
            xw.append("#ERROR : ");
            xw.append("empty mode");
            xw.append(" #");
            return;
        }
        mode = BihUtils.checkMode(mode);
        xw.addXslApplyTemplates(".", mode);
    }

    public boolean isTemplateInstruction(InsertionUnit insertionUnit) {
        return false;
    }

}
