/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.xsltfactory.xslpattern.bih;

import fr.exemole.bdfserver.xsltfactory.xslpattern.InsertionUnitTranslator;
import java.io.IOException;
import net.mapeadores.util.text.insertpattern.api.Argument;
import net.mapeadores.util.text.insertpattern.api.InsertionUnit;
import net.mapeadores.util.text.insertpattern.api.Instruction;
import net.mapeadores.util.xml.PatternXSLTResolver;


/**
 *
 * @author Vincent Calame
 */
public class VariableTranslator implements InsertionUnitTranslator {

    private PatternXSLTResolver patternXSLTResolver;

    public VariableTranslator(PatternXSLTResolver pxw) {
        this.patternXSLTResolver = pxw;
    }

    public void translate(InsertionUnit insertionUnit) throws IOException {
        Instruction[] array = insertionUnit.getInstructionArray();
        Instruction instruction = array[0];
        Argument arg1 = instruction.getArgument(0);
        String key = arg1.getKey();
        if (key.equals("var_libs")) {
            translateLibs(arg1.getValue());
        } else {
            patternXSLTResolver.getCurrentXSLTWriter().append("#UNKNOWN VAR INSTRUCTION {" + key + " ...} #");
        }
    }

    private void translateLibs(String value) throws IOException {
        if ((value == null) || (value.length() == 0)) {
            patternXSLTResolver.getCurrentXSLTWriter().append("#MISSING ARGUMENT {var_libs} #");
        } else if (value.equals("fiche")) {
            patternXSLTResolver.getCurrentXSLTWriter().addXslVariable("LIBSCOL", "document(concat('bdf:_libscol_corpus_',/extraction/extraitcorpus/@corpus, '_', $WORKINGLANG,'.xml'))/libscol", false);
        } else if (value.equals("all")) {
            patternXSLTResolver.getCurrentXSLTWriter().addXslVariable("LIBSCOL", "document(concat('bdf:_libscol_allcorpus_', $WORKINGLANG,'.xml'))/libscol", false);
        } else {
            patternXSLTResolver.getCurrentXSLTWriter().append("#WRONG {var_libs= " + value + "} #");
        }
    }

    public boolean isTemplateInstruction(InsertionUnit insertionUnit) {
        return false;
    }

}
