/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.album;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.BdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Factory;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public class AlbumCommandFactory implements BdfCommand2Factory {

    public AlbumCommandFactory() {
    }

    public BdfCommand2 getBdfCommand(BdfContext bdfContext, RequestMap requestMap, String commandName) {
        if (commandName.equals(AlbumCreationCommand.COMMANDNAME)) {
            return new AlbumCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(AlbumDimCreationCommand.COMMANDNAME)) {
            return new AlbumDimCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(AlbumDimModifCommand.COMMANDNAME)) {
            return new AlbumDimModifCommand(bdfContext, requestMap);
        }
        if (commandName.equals(AlbumDimRemoveCommand.COMMANDNAME)) {
            return new AlbumDimRemoveCommand(bdfContext, requestMap);
        }
        if (commandName.equals(DimUsageModifCommand.COMMANDNAME)) {
            return new DimUsageModifCommand(bdfContext, requestMap);
        }
        if (commandName.equals(IllustrationFileUploadCommand.COMMANDNAME)) {
            return new IllustrationFileUploadCommand(bdfContext, requestMap);
        }
        if (commandName.equals(ToolCropCommand.COMMANDNAME)) {
            return new ToolCropCommand(bdfContext, requestMap);
        }
        if (commandName.equals(ToolResizeCommand.COMMANDNAME)) {
            return new ToolResizeCommand(bdfContext, requestMap);
        }
        return null;
    }

}
