/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.configuration;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.BdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Factory;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public class ConfigurationCommandFactory implements BdfCommand2Factory {

    public ConfigurationCommandFactory() {
    }

    public BdfCommand2 getBdfCommand(BdfContext bdfContext, RequestMap requestMap, String commandName) {
        if (commandName.equals(GroupChangeCommand.COMMANDNAME)) {
            return new GroupChangeCommand(bdfContext, requestMap);
        }
        if (commandName.equals(GroupCreationCommand.COMMANDNAME)) {
            return new GroupCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(GroupRemoveCommand.COMMANDNAME)) {
            return new GroupRemoveCommand(bdfContext, requestMap);
        }
        if (commandName.equals(IdentificationCommand.COMMANDNAME)) {
            return new IdentificationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(IntitulesCommand.COMMANDNAME)) {
            return new IntitulesCommand(bdfContext, requestMap);
        }
        if (commandName.equals(LangConfigCommand.COMMANDNAME)) {
            return new LangConfigCommand(bdfContext, requestMap);
        }
        if (commandName.equals(PathsCommand.COMMANDNAME)) {
            return new PathsCommand(bdfContext, requestMap);
        }
        if (commandName.equals(PositionCommand.COMMANDNAME)) {
            return new PositionCommand(bdfContext, requestMap);
        }
        if (commandName.equals(BdfResourceUpdateCommand.COMMANDNAME)) {
            return new BdfResourceUpdateCommand(bdfContext, requestMap);
        }
        if (commandName.equals(UrlCommand.COMMANDNAME)) {
            return new UrlCommand(bdfContext, requestMap);
        }
        if (commandName.equals(UserAllowChangeCommand.COMMANDNAME)) {
            return new UserAllowChangeCommand(bdfContext, requestMap);
        }
        if (commandName.equals(PageSubstitutionCommand.COMMANDNAME)) {
            return new PageSubstitutionCommand(bdfContext, requestMap);
        }
        if (commandName.equals(LinkPathGroupCommand.COMMANDNAME)) {
            return new LinkPathGroupCommand(bdfContext, requestMap);
        }
        return null;
    }

}
