/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.configuration;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.AbstractBdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Exception;
import fr.exemole.bdfserver.ui.SubsetKeyGroupTemplates;
import net.mapeadores.util.request.RequestMap;

/**
 *
 * @author Vincent Calame
 */
public class GroupCreationCommand extends AbstractBdfCommand2 {

    public final static String COMMANDNAME = "GroupCreation";
    public final static String COMMANDKEY = "CNF-10";

    public GroupCreationCommand(BdfContext bdfContext, RequestMap requestMap) {
        super(bdfContext, requestMap, COMMANDNAME);
    }

    public short getBdfUserNeed() {
        return ADMIN_ONLY_BDFUSER;
    }

    public boolean needSynchronisation() {
        return true;
    }

    protected void doCommand() throws BdfCommand2Exception {
        SubsetKeyGroupTemplates subsetKeyGroupTemplates = bdfServer.getUIManager().getSubsetKeyGroupTemplates();
        String groupName = getNewGroupName(subsetKeyGroupTemplates);
        subsetKeyGroupTemplates.createTemplate(groupName);
        GroupChangeCommand.updateGroup(subsetKeyGroupTemplates, groupName, requestMap);
        setDone("configuration_done_groupcreation", groupName);
        bdfServer.saveUIManager();
    }

    protected boolean checkParameters() throws BdfCommand2Exception {
        return true;
    }

    private String getNewGroupName(SubsetKeyGroupTemplates subsetKeyGroupTemplates) {
        int p = 1;
        while (true) {
            String groupName = String.valueOf(p);
            if (subsetKeyGroupTemplates.containsGroupTemplate(groupName)) {
                p++;
            } else {
                return groupName;
            }
        }
    }
}
