/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.corpus;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.AbstractBdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Exception;
import fr.exemole.bdfserver.commands2.BdfCommand2Utils;
import fr.exemole.bdfserver.ui.corpus.CorpusUI;
import net.mapeadores.basedefiches.corpus.Corpus;
import net.mapeadores.util.request.RequestMap;
import net.mapeadores.util.text.StringUtils;


/**
 *
 * @author Vincent Calame
 */
public class ComponentPositionCommand extends AbstractBdfCommand2 {

    public final static String COMMANDNAME = "ComponentPosition";
    public final static String COMMANDKEY = "CRP-18";
    public final static String COMPONENTPOSITION_PARAMNAME = "componentposition";
    private String componentPosition;
    private Corpus corpus;

    public ComponentPositionCommand(BdfContext bdfContext, RequestMap requestMap) {
        super(bdfContext, requestMap, COMMANDNAME);
    }

    public short getBdfUserNeed() {
        return ADMIN_ONLY_BDFUSER;
    }

    public boolean needSynchronisation() {
        return true;
    }

    protected void doCommand() {
        putResultObject(CORPUS_OBJ,corpus);
        CorpusUI corpusUI = bdfServer.getUIManager().getCorpusUI(corpus);
        String[] tokens = StringUtils.getLineTokens(componentPosition, StringUtils.EMPTY_EXCLUDE);
        corpusUI.getComponentUIEditor().setPositionArray(tokens);
        setDone("corpus_done_componentposition", null);
        bdfServer.saveUIManager();
    }

    protected boolean checkParameters() throws BdfCommand2Exception {
        corpus = BdfCommand2Utils.getMandatoryCorpus(basedefiches, requestMap);
        componentPosition = BdfCommand2Utils.getMandatoryParameter(requestMap, COMPONENTPOSITION_PARAMNAME);
        return true;
    }

}
