/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.corpus;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.BdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Factory;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public class CorpusCommandFactory implements BdfCommand2Factory {

    public CorpusCommandFactory() {
    }

    public BdfCommand2 getBdfCommand(BdfContext bdfContext, RequestMap requestMap, String commandName) {
        if (commandName.equals(CorpusCreationCommand.COMMANDNAME)) {
            return new CorpusCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(FieldCreationCommand.COMMANDNAME)) {
            return new FieldCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(CorpusRemoveCommand.COMMANDNAME)) {
            return new CorpusRemoveCommand(bdfContext, requestMap);
        }
        if (commandName.equals(FieldOptionsCommand.COMMANDNAME)) {
            return new FieldOptionsCommand(bdfContext, requestMap);
        }
        if (commandName.equals(FieldRemoveCommand.COMMANDNAME)) {
            return new FieldRemoveCommand(bdfContext, requestMap);
        }
        if (commandName.equals(IntitulesCommand.COMMANDNAME)) {
            return new IntitulesCommand(bdfContext, requestMap);
        }
        if (commandName.equals(AssociationActivationCommand.COMMANDNAME)) {
            return new AssociationActivationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(IncludeCreationCommand.COMMANDNAME)) {
            return new IncludeCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(IncludeChangeCommand.COMMANDNAME)) {
            return new IncludeChangeCommand(bdfContext, requestMap);
        }
        if (commandName.equals(IncludeRemoveCommand.COMMANDNAME)) {
            return new IncludeRemoveCommand(bdfContext, requestMap);
        }
        if (commandName.equals(CommentCreationCommand.COMMANDNAME)) {
            return new CommentCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(CommentChangeCommand.COMMANDNAME)) {
            return new CommentChangeCommand(bdfContext, requestMap);
        }
        if (commandName.equals(CommentRemoveCommand.COMMANDNAME)) {
            return new CommentRemoveCommand(bdfContext, requestMap);
        }
        if (commandName.equals(ComponentPositionCommand.COMMANDNAME)) {
            return new ComponentPositionCommand(bdfContext, requestMap);
        }
        if (commandName.equals(ComponentInputCommand.COMMANDNAME)) {
            return new ComponentInputCommand(bdfContext, requestMap);
        }
        if (commandName.equals(ReloadCommand.COMMANDNAME)) {
            return new ReloadCommand(bdfContext, requestMap);
        }
        if (commandName.equals(CloneCommand.COMMANDNAME)) {
            return new CloneCommand(bdfContext, requestMap);
        }
        if (commandName.equals(ConversionCommand.COMMANDNAME)) {
            return new ConversionCommand(bdfContext, requestMap);
        }
        if (commandName.equals(DuplicationCommand.COMMANDNAME)) {
            return new DuplicationCommand(bdfContext, requestMap);
        }
        return null;
    }

}
