/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.saisie;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.BdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Factory;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public class SaisieCommandFactory implements BdfCommand2Factory {

    public SaisieCommandFactory() {
    }

    public BdfCommand2 getBdfCommand(BdfContext bdfContext, RequestMap requestMap, String commandName) {
        if (commandName.equals(FicheCreationCommand.COMMANDNAME)) {
            return new FicheCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(FicheModifCommand.COMMANDNAME)) {
            return new FicheModifCommand(bdfContext, requestMap);
        }
        if (commandName.equals(IndexationUpdateCommand.COMMANDNAME)) {
            return new IndexationUpdateCommand(bdfContext, requestMap);
        }
        if (commandName.equals(SelectionIndexationCommand.COMMANDNAME)) {
            return new SelectionIndexationCommand(bdfContext, requestMap);
        }
        return null;
    }

}
