/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.selection;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.AbstractBdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Exception;
import fr.exemole.bdfserver.request.parsers.FicheSelectParser;
import net.mapeadores.basedefiches.selection.FicheSelectOptions;
import net.mapeadores.basedefiches.selection.SelectionConstants;
import net.mapeadores.basedefiches.selection.SelectionUtils;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public class SelectionChangeCommand extends AbstractBdfCommand2 {

    public final static String COMMANDNAME = "SelectionChange";
    private short sortType;
    private FicheSelectOptions ficheSelectOptions;

    public SelectionChangeCommand(BdfContext bdfContext, RequestMap requestMap) {
        super(bdfContext, requestMap, COMMANDNAME);
    }

    public short getBdfUserNeed() {
        return MANDATORY_BDFUSER;
    }

    public boolean needSynchronisation() {
        return false;
    }

    protected void doCommand() throws BdfCommand2Exception {
        bdfUser.setAbregeFicheSortType(sortType);
        bdfUser.setFicheSelectOptions(ficheSelectOptions);
        bdfUser.updateAbregeFicheSortedList();
    }

    protected boolean checkParameters() throws BdfCommand2Exception {
        String ordredetri = requestMap.getParameter("ordre-tri");
        if (ordredetri != null) {
            sortType = SelectionUtils.sortTypeToShort(ordredetri);
        } else {
            sortType = SelectionConstants.IDCORPUS_SORTTYPE;
        }
        ficheSelectOptions = FicheSelectParser.parse(requestMap, bdfServer, bdfUser);
        return true;
    }

}
