/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.affichage;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.catalogs.GlobalCatalog;
import fr.exemole.bdfserver.storage.StorageProcessLog;
import fr.exemole.bdfserver.users.BdfUser;
import fr.exemole.bdfserver.users.BdfUserUtils;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.logging.ProcessLogUtils;


/**
 *
 * @author Vincent Calame
 */
public class AccueilHtmlProducer extends BdfHtmlProducer implements AffichageHtmlConstants {

    public AccueilHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        setCssThemeFile("affichage.css");
    }

    public void printHtml() {
        StorageProcessLog initResultLog = bdfServer.getStorageProcessLog();
        start();
        if (!isWithJQuery()) {
            HTMLAttributes warningAttributes = new HTMLAttributes();
            warningAttributes.addClass(GlobalCatalog.GLB_P_WARNING);
            startP(warningAttributes);
            localize("affichage_info_jquery_no");
            endP();
        }
        if (BdfUserUtils.isAdmin(bdfUser)) {
            if (initResultLog.hasLog()) {
                startH2();
                append("INIT ERROR");
                endH2();
                startPre();
                escape(ProcessLogUtils.toString(initResultLog), true);
                endPre();
            }
        }
        end();
    }

}
