/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.affichage;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.menus.MenuLink;
import fr.exemole.bdfserver.html.menus.MenuLinkUtils;
import fr.exemole.bdfserver.htmlproducers.sphere.SphereHtmlConstants;
import fr.exemole.bdfserver.managers.ConfigurationManager;
import fr.exemole.bdfserver.managers.configuration.LinkPathGroup;
import java.util.ArrayList;
import java.util.List;
import net.mapeadores.util.localisation.LocalisationInfo;
import net.mapeadores.util.localisation.ResourceLocalisation;


/**
 *
 * @author Vincent Calame
 */
public class AffichageHtmlUtils {

    public static List<MenuLink> getMenuLinkList(BdfHtmlProducer bdfHtmlProducer) {
        LocalisationInfo localisationInfo = bdfHtmlProducer.getLocalisationInfo();
        ResourceLocalisation resourceLocalisation = bdfHtmlProducer.getResourceLocalisation();
        BdfContext bdfContext = bdfHtmlProducer.getBdfContext();
        List<MenuLink> menuLinkList = new ArrayList<MenuLink>();
        menuLinkList.add(MenuLinkUtils.getThemeMenuLink("Exportation", "menu_link_exportoo", resourceLocalisation));
        menuLinkList.add(MenuLinkUtils.getThemeMenuLink("Sphere?page=" + SphereHtmlConstants.REDACTEURUSERFORM_PAGE, "menu_link_preferences", resourceLocalisation));
        ConfigurationManager configurationManager = bdfHtmlProducer.getBdfServer().getConfigurationManager();
        LinkPathGroup linkPathGroup = configurationManager.getLinkPathGroup(ConfigurationManager.ACTIONMENU_MAINLINKPATHGROUP);
        if (linkPathGroup != null) {
            int count = linkPathGroup.getLinkPathCount();
            for (int i = 0; i < count; i++) {
                String linkPath = linkPathGroup.getLinkPath(i);
                menuLinkList.add(MenuLinkUtils.getExtensionMenuLink(bdfContext, linkPath, localisationInfo));
            }
        }
        return menuLinkList;
    }

}
