/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.album;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class AlbumCreationFormHtmlProducer extends BdfHtmlProducer implements AlbumHtmlConstants {

    public AlbumCreationFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        BdfHtmlUtils.addTestJavascript(this);
        setCssThemeFile("album.css");
    }

    public void printHtml() {
        start();
        printCommandMessage();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Album");
        commandBox.setCommandFamily("ALB");
        commandBox.setPage(ALBUMMETADATAFORM_PAGE);
        commandBox.setErrorPage(ALBUMCREATIONFORM_PAGE);
        AlbumCommandBoxUtils.printAlbumCreationBox(this, commandBox);
        end();
    }

}
