/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.album;

import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.html.catalogs.IllustrationCatalog;
import net.mapeadores.basedefiches.album.Album;
import net.mapeadores.basedefiches.album.AlbumUtils;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.html.HtmlPrinter;


/**
 *
 * @author Vincent Calame
 */
public class AlbumHtmlUtils implements AlbumHtmlConstants, IllustrationCatalog {

    private AlbumHtmlUtils() {
    }

    public static void printAlbumIntitule(HtmlPrinter printer, Album album, int workingLangInteger) {
        printer.startCode();
        printer.append("[");
        printer.append(album.getSubsetKey().toString());
        printer.append("]");
        printer.endCode();
        BdfHtmlUtils.printTiret(printer);
        printer.escape(AlbumUtils.getAlbumIntitule(album, workingLangInteger));
    }

    public static void printAlbumLinks(HtmlPrinter printer, Album album) {
        HTMLAttributes aAttributes = new HTMLAttributes();
        aAttributes.setHref("Album?album=" + album.getSubsetKey().getSubsetName() + "&amp;page=" + ALBUMMETADATAFORM_PAGE);
        printer.startA(aAttributes);
        printer.localize("global_link_change");
        printer.endA();
    }

    public static void printButtonDiv(HtmlPrinter htmlPrinter) {
        HTMLAttributes buttonsAttributes = new HTMLAttributes();
        buttonsAttributes.addClass(IllustrationCatalog.ILL_BUTTONS);
        htmlPrinter.startDiv(buttonsAttributes);
        HTMLAttributes buttonAttributes = new HTMLAttributes();
        buttonAttributes.setType("button");
        buttonAttributes.setId(ID_ILL_BUTTON_OK);
        buttonAttributes.setValue(htmlPrinter.getLocalization("global_submit_ok"));
        htmlPrinter.appendInput(buttonAttributes);
        htmlPrinter.space();
        buttonAttributes.setId(ID_ILL_BUTTON_CANCEL);
        buttonAttributes.setValue(htmlPrinter.getLocalization("global_submit_cancel"));
        htmlPrinter.appendInput(buttonAttributes);
        htmlPrinter.endDiv();
    }

    public static void printCancelButtonDiv(HtmlPrinter htmlPrinter) {
        HTMLAttributes buttonsAttributes = new HTMLAttributes();
        buttonsAttributes.addClass(IllustrationCatalog.ILL_BUTTONS);
        htmlPrinter.startDiv(buttonsAttributes);
        HTMLAttributes buttonAttributes = new HTMLAttributes();
        buttonAttributes.setType("button");
        buttonAttributes.setId(ID_ILL_BUTTON_CANCEL);
        buttonAttributes.setValue(htmlPrinter.getLocalization("global_submit_cancel"));
        htmlPrinter.appendInput(buttonAttributes);
        htmlPrinter.endDiv();
    }

}
