/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.album;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.album.Album;
import net.mapeadores.util.html.HTMLAttributes;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.ui.SubsetGroupList;
import fr.exemole.bdfserver.ui.SubsetKeyGroup;
import net.mapeadores.basedefiches.SubsetKey;


/**
 *
 * @author Vincent Calame
 */
public class AlbumIndexHtmlProducer extends BdfHtmlProducer implements AlbumHtmlConstants {

    public AlbumIndexHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        setCssThemeFile("album.css");
    }

    public void printHtml() {
        start();
        printCommandMessage();
        startH1();
        localize("album_title_index");
        endH1();
        if (basedefiches.getAlbumCount() > 0) {
            startH2();
            localize("global_title_currentlist");
            endH2();
            SubsetGroupList albumGroupList = bdfServer.getUIManager().getAlbumSubsetKeyTree();
            startUl();
            int count = albumGroupList.getSubsetGroupCount();
            for (int i = 0; i < count; i++) {
                SubsetKeyGroup group = albumGroupList.getSubsetGroup(i);
                boolean isTemplate = !group.isNoTemplateGroup();
                if (isTemplate) {
                    startLi();
                    startH3();
                    escape(group.getLibelleString(workingLangInteger));
                    endH3();
                    startUl();
                }
                for (SubsetKey subsetKey : group.getSubsetKeyList()) {
                    Album album = (Album) basedefiches.getSubset(subsetKey);
                    printAlbumLi(album);
                }
                if (isTemplate) {
                    endUl();
                    endLi();
                }
            }
            endUl();
        }
        startH2();
        HTMLAttributes aAttributes = new HTMLAttributes();
        aAttributes.setHref("Album?page=" + ALBUMCREATIONFORM_PAGE);
        startA(aAttributes);
        localize("album_title_albumcreation");
        endA();
        endH2();
        end();
    }

    private void printAlbumLi(Album album) {
        startLi();
        startP();
        AlbumHtmlUtils.printAlbumIntitule(this, album, workingLangInteger);
        endP();
        startP();
        startSpan("SmallLinks");
        AlbumHtmlUtils.printAlbumLinks(this, album);
        endSpan();
        endP();
        endLi();
        endLi();
    }

}
