/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.album;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.album.Album;
import net.mapeadores.basedefiches.album.AlbumUtils;
import net.mapeadores.basedefiches.album.metadata.AlbumDim;
import net.mapeadores.basedefiches.album.metadata.AlbumMetadata;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class AlbumMetadataFormHtmlProducer extends BdfHtmlProducer implements AlbumHtmlConstants {

    private Album album;

    public AlbumMetadataFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, Album album) {
        init(bdfContext, bdfUser);
        BdfHtmlUtils.addTestJavascript(this);
        setCssThemeFile("album.css");
        this.album = album;
    }

    public void printHtml() {
        start();
        printCommandMessage();
        startH1();
        AlbumHtmlUtils.printAlbumIntitule(this, album, workingLangInteger);
        endH1();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Album");
        commandBox.setCommandFamily("ALB");
        commandBox.setPage(ALBUMMETADATAFORM_PAGE);
        AlbumCommandBoxUtils.printDimUsageModifBox(this, commandBox, album);
        AlbumCommandBoxUtils.printAlbumDimCreationBox(this, commandBox, album);
        AlbumMetadata metadata = album.getAlbumMetadata();
        int count = metadata.getAlbumDimCount();
        if (count > 0) {
            startH2();
            localize("album_title_albumdimlist");
            endH2();
            for (int i = 0; i < count; i++) {
                printAlbumDim(commandBox, metadata.getAlbumDim(i));
            }
        }
        end();
    }

    private void printAlbumDim(CommandBox commandBox, AlbumDim albumDim) {
        startH3();
        append(albumDim.getName());
        append(" / ");
        localize("album_albumdimtype_" + AlbumUtils.dimTypeToString(albumDim.getDimType()));
        endH3();
        AlbumCommandBoxUtils.printAlbumDimModifBox(this, commandBox, albumDim);
        AlbumCommandBoxUtils.printAlbumDimRemoveBox(this, commandBox, albumDim);
    }

}
