/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.album;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.catalogs.IllustrationCatalog;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.html.HTMLAttributes;


/**
 *
 * @author Vincent Calame
 */
public class IllustrationUploadConfirmHtmlProducer extends BdfHtmlProducer implements AlbumHtmlConstants, IllustrationCatalog {

    private String appelant;
    private String tmpFileName;

    public IllustrationUploadConfirmHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, String appelant, String tmpFileName) {
        init(bdfContext, bdfUser);
        setCssThemeFile("illustration.css");
        this.appelant = appelant;
        this.tmpFileName = tmpFileName;
        addJavascriptFiles(ILLUSTRATION_JAVASCRIPT_CORE);
        addJavascriptFiles(ILLUSTRATION_JAVASCRIPT_UPLOAD);
        localizeTitle("album_title_replaceupload", null);
    }

    public void printHtml() {
        start();
        startScript(null);
        append("\n ILL_Upload.appelant=\"");
        escapeScriptString(appelant);
        append("\";");
        append("\n ILL_Upload.tmpFileName=\"");
        escapeScriptString(tmpFileName);
        append("\";");
        endScript();
        HTMLAttributes divAttributes = new HTMLAttributes();
        divAttributes.addClass(ILL_GLOBAL);
        startDiv(divAttributes);
        appendH1("album_title_replaceconfirm");
        HTMLAttributes miniDivAttributes = new HTMLAttributes();
        miniDivAttributes.addClass(ILL_MINI);
        startDiv(miniDivAttributes);
        HTMLAttributes imgAttributes = new HTMLAttributes();
        imgAttributes.setSrc("prv/tmp/mini-" + tmpFileName);
        appendImg(imgAttributes);
        endDiv();
        printButtonsDiv();
        endDiv();
        end();
    }

    private void printButtonsDiv() {
        HTMLAttributes buttonsAttributes = new HTMLAttributes();
        buttonsAttributes.addClass(ILL_BUTTONS);
        startDiv(buttonsAttributes);
        HTMLAttributes confirmAttributes = new HTMLAttributes();
        confirmAttributes.setType(HTMLAttributes.BUTTON_TYPE);
        confirmAttributes.setId(ID_ILL_BUTTON_CONFIRM);
        confirmAttributes.setValue(getLocalization("global_submit_confirm"));
        appendInput(confirmAttributes);
        space();
        HTMLAttributes cancelAttributes = new HTMLAttributes();
        cancelAttributes.setType(HTMLAttributes.BUTTON_TYPE);
        cancelAttributes.setId(ID_ILL_BUTTON_CANCEL);
        cancelAttributes.setValue(getLocalization("global_submit_cancel"));
        appendInput(cancelAttributes);
        endDiv();
    }

}
