/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.configuration;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.configuration.PathsCommand;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.managers.ConfigurationManager;
import fr.exemole.bdfserver.managers.configuration.ConfigurationPath;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class PathsFormHtmlProducer extends BdfHtmlProducer implements ConfigurationHtmlConstants {

    public PathsFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        BdfHtmlUtils.addTestJavascript(this);
    }

    public void printHtml() {
        start();
        ConfigurationHtmlUtils.printTitre(this, "configuration_title_paths", PATHSFORM_PAGE);
        printCommandMessage();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Configuration");
        commandBox.setCommandFamily("CNF");
        commandBox.setCommandString(PathsCommand.COMMANDNAME);
        commandBox.setCommandKey(PathsCommand.COMMANDKEY);
        commandBox.setPage(PATHSFORM_PAGE);
        startCommandBox(commandBox);
        printOutputDirectoryFields(ConfigurationManager.PUBLIC_OUTPUTDIRECTORY,"configuration_title_output_public");
        printOutputDirectoryFields(ConfigurationManager.PRIVATE_OUTPUTDIRECTORY,"configuration_title_output_private");
        appendH3("configuration_title_roots");
        startP();
        append("www : ");
        String wwwPath = bdfServer.getConfigurationManager().getSystemDirectoryString(ConfigurationManager.WWW_ROOT);
        appendLargeInput(PathsCommand.WWWROOT_PARAMNAME, wwwPath);
        endP();
        endCommandBox("configuration_submit_paths");
        end();
    }

    private void printOutputDirectoryFields(String name, String titleKey) {
        appendH3(titleKey);
        ConfigurationPath configurationPath = bdfServer.getConfigurationManager().getConfigurationPath(name);
        String directory = (configurationPath != null) ? configurationPath.getSystemDirectoryString() : "";
        String externalurl = (configurationPath != null) ? configurationPath.getPublicURLString() : "";
        startP();
        BdfHtmlUtils.printLibColon(this, "configuration_lib_path_directory");
        appendLargeInput(PathsCommand.DIRECTORY_PARAMPREFIX + name, directory);
        endP();
        startP();
        BdfHtmlUtils.printLibColon(this, "configuration_lib_path_externalurl");
        appendLargeInput(PathsCommand.EXTERNALURL_PARAMPREFIX + name, externalurl);
        endP();
    }

}
