/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.corpus;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.html.catalogs.GlobalCatalog;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.corpus.Corpus;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class CorpusAdvancedCommandsHtmlProducer extends BdfHtmlProducer implements CorpusHtmlConstants {

    private Corpus corpus;

    public CorpusAdvancedCommandsHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, Corpus corpus) {
        init(bdfContext, bdfUser);
        this.corpus = corpus;
        BdfHtmlUtils.addTestJavascript(this);
        addJavascriptFiles(GlobalCatalog.BDF_JAVASCRIPT);
        setCssThemeFile("corpus.css");
    }

    public void printHtml() {
        start();
        CorpusHtmlUtils.printTitre(this, corpus, CORPUS_ADVANCEDCOMMANDS_PAGE);
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Corpus");
        commandBox.setCommandFamily("CRP");
        commandBox.setErrorPage(CORPUS_ADVANCEDCOMMANDS_PAGE);
        commandBox.setPage(CORPUS_ADVANCEDCOMMANDS_PAGE);
        CorpusCommandBoxUtils.printDuplicationBox(this, commandBox, corpus);
        CorpusCommandBoxUtils.printReloadBox(this, commandBox, corpus);
        commandBox.setPage(CORPUS_INTITULESFORM_PAGE);
        CorpusCommandBoxUtils.printCloneBox(this, commandBox, corpus);
        commandBox.setPage(CORPUS_ADVANCEDCOMMANDS_PAGE);
        CorpusCommandBoxUtils.printConversionBox(this, commandBox, corpus);
        end();
    }

}
