/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.corpus;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class CorpusCreationFormHtmlProducer extends BdfHtmlProducer implements CorpusHtmlConstants {

    public CorpusCreationFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        BdfHtmlUtils.addTestJavascript(this);
        setCssThemeFile("corpus.css");
    }

    public void printHtml() {
        start();
        printCommandMessage();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Corpus");
        commandBox.setCommandFamily("CRP");
        commandBox.setPage(CORPUS_INTITULESFORM_PAGE);
        commandBox.setErrorPage(CORPUS_CREATIONFORM_PAGE);
        CorpusCommandBoxUtils.printCorpusCreationBox(this, commandBox, bdfServer, workingLangInteger);
        end();
    }

}
