/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.corpus;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.html.catalogs.GlobalCatalog;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.corpus.Corpus;
import net.mapeadores.basedefiches.corpus.metadata.CorpusMetadata;
import net.mapeadores.basedefiches.corpus.metadata.CorpusMetadataUtils;
import net.mapeadores.basedefiches.corpus.metadata.FieldKey;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class FieldCreationFormHtmlProducer extends BdfHtmlProducer implements CorpusHtmlConstants {

    private Corpus corpus;

    public FieldCreationFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, Corpus corpus) {
        init(bdfContext, bdfUser);
        this.corpus = corpus;
        BdfHtmlUtils.addTestJavascript(this);
        addJavascriptFiles(GlobalCatalog.BDF_JAVASCRIPT);
        setCssThemeFile("corpus.css");
    }

    public void printHtml() {
        start();
        CorpusHtmlUtils.printTitre(this, corpus, CORPUSFIELD_CREATIONFORM_PAGE);
        appendH2("corpus_title_state");
        CorpusHtmlUtils.printCorpusState(this, corpus);
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Corpus");
        commandBox.setCommandFamily("CRP");
        commandBox.setPage(CORPUSFIELD_CREATIONFORM_PAGE);
        CorpusMetadata corpusMetadata = corpus.getCorpusMetadata();
        if (!CorpusMetadataUtils.hasSoustitreField(corpusMetadata)) {
            CorpusCommandBoxUtils.printSpecialFieldActivation(this, commandBox, corpus, FieldKey.SOUSTITRE);
        }
        CorpusCommandBoxUtils.printFieldCreationBox(this, commandBox, corpus, FieldKey.PROPRIETE_CATEGORY);
        CorpusCommandBoxUtils.printFieldCreationBox(this, commandBox, corpus, FieldKey.INFORMATION_CATEGORY);
        CorpusCommandBoxUtils.printFieldCreationBox(this, commandBox, corpus, FieldKey.SECTION_CATEGORY);
        end();
    }

}
