/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.corpus;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.html.catalogs.GlobalCatalog;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.corpus.Corpus;
import net.mapeadores.basedefiches.corpus.metadata.CorpusMetadataUtils;
import net.mapeadores.util.html.CommandBox;

/**
 *
 * @author Vincent Calame
 */
public class FieldRemoveFormHtmlProducer extends BdfHtmlProducer implements CorpusHtmlConstants {

    private Corpus corpus;

    public FieldRemoveFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, Corpus corpus) {
        init(bdfContext, bdfUser);
        this.corpus = corpus;
        BdfHtmlUtils.addTestJavascript(this);
        addJavascriptFiles(GlobalCatalog.BDF_JAVASCRIPT);
        setCssThemeFile("corpus.css");
    }

    public void printHtml() {
        start();
        CorpusHtmlUtils.printTitre(this, corpus, CORPUSFIELD_REMOVEFORM_PAGE);
        if (CorpusMetadataUtils.containsRemoveableField(corpus.getCorpusMetadata())) {
            CommandBox commandBox = new CommandBox();
            commandBox.setFormAction("Corpus");
            commandBox.setCommandFamily("CRP");
            commandBox.setPage(CORPUSFIELD_REMOVEFORM_PAGE);
            CorpusCommandBoxUtils.printFieldRemoveBox(this, commandBox, corpus);
        }
        end();
    }

}
