/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.corpus;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.html.catalogs.GlobalCatalog;
import fr.exemole.bdfserver.ui.corpus.CommentUI;
import fr.exemole.bdfserver.ui.corpus.CorpusUI;
import fr.exemole.bdfserver.ui.corpus.CorpusUIUtils;
import fr.exemole.bdfserver.users.BdfUser;
import java.util.List;
import net.mapeadores.basedefiches.corpus.Corpus;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class IncludeCommentFormHtmlProducer extends BdfHtmlProducer implements CorpusHtmlConstants {

    private Corpus corpus;

    public IncludeCommentFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, Corpus corpus) {
        init(bdfContext, bdfUser);
        this.corpus = corpus;
        BdfHtmlUtils.addTestJavascript(this);
        addJavascriptFiles(GlobalCatalog.BDF_JAVASCRIPT);
        setCssThemeFile("corpus.css");
    }

    public void printHtml() {
        CorpusUI corpusUI = bdfServer.getUIManager().getCorpusUI(corpus);
        int[] workingLangArray = bdfServer.getConfigurationManager().getLangConfig().getWorkingLangIntegerArray();
        start();
        CorpusHtmlUtils.printIncludePageTitre(this, corpus, CORPUSINCLUDE_COMMENTFORM_PAGE);
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Corpus");
        commandBox.setCommandFamily("CRP");
        commandBox.setPage(CORPUSINCLUDE_COMMENTFORM_PAGE);
        List<CommentUI> list = CorpusUIUtils.getCommentUIList(corpusUI);
        if (list.size() > 0) {
            appendH2("corpus_title_commentlist");
            startUl();
            for (CommentUI commentUI : list) {
                startLi();
                startP();
                startCode();
                append("[comment_");
                append(commentUI.getName());
                append("]");
                endCode();
                endP();
                CorpusHtmlUtils.printCommentChangeDeployGroup(this, commandBox, corpus, commentUI, workingLangArray);
                CorpusHtmlUtils.printCommentRemoveDeployGroup(this, commandBox, corpus, commentUI);
                endLi();
            }
            endUl();
        }
        CorpusCommandBoxUtils.printCommentCreationBox(this, commandBox, corpus, workingLangArray);
        end();
    }

}
