/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.saisie;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.html.catalogs.SelectFormCatalog;
import fr.exemole.bdfserver.html.forms.CommonFormHtml;
import fr.exemole.bdfserver.request.RequestUtils;
import fr.exemole.bdfserver.users.BdfUser;
import java.util.HashMap;
import java.util.Map;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;
import net.mapeadores.basedefiches.thesaurus.ThesaurusUtils;
import net.mapeadores.util.html.HTMLAttributes;

/**
 *
 * @author Vincent Calame
 */
public class SelectionIndexationPiocheHtmlProducer extends BdfHtmlProducer implements SaisieHtmlConstants, SelectFormCatalog {

    public SelectionIndexationPiocheHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        addJavascriptFiles(SelectFormCatalog.SELECTFORM_JAVASCRIPT_LIB);
        addJavascriptFiles(SelectFormCatalog.SELECTFORM_INDEXATION);
        setCssThemeFile("saisie_selectionindexation.css");
    }

    public void printHtml() {
        start();
        printCommandMessage();
        appendH1("saisie_title_masspioche");
        HTMLAttributes formAttributes = new HTMLAttributes();
        formAttributes.setAction("Saisie");
        formAttributes.setMethod("GET");
        Map<String, String> hiddenParametersMap = new HashMap<String, String>();
        BdfHtmlUtils.addPageParameter(hiddenParametersMap, SELECTIONINDEXATION_FORM_PAGE);
        BdfHtmlUtils.startForm(this, formAttributes, hiddenParametersMap);
        startP();
        BdfHtmlUtils.printLibColon(this,"saisie_lib_idmotcle");
        String appelantId = "inputid";
        HTMLAttributes txtAtt = new HTMLAttributes();
        txtAtt.setName("idmtcl");
        txtAtt.setSize("15");
        txtAtt.setId(appelantId);
        appendTextInput(txtAtt);
        if (isWithJQuery()) {
            HTMLAttributes toolAttributes = new HTMLAttributes();
            toolAttributes.addClass("JQ_SLC_PIOCHE");
            toolAttributes.setId("ID_JQ_TOOL_" + appelantId);
            startSpan(toolAttributes);
            endSpan();
            startScript(null);
            CommonFormHtml.printSLCCoreLocValue(this, "global_link_pioche_motcle_selection");
            CommonFormHtml.printSLCPiocheAdd(this, appelantId, "ID_JQ_TOOL_" + appelantId);
            CommonFormHtml.printSLCCorePiochePageValue(this, appelantId, "motcle");
            CommonFormHtml.printSLCCoreLimiteValue(this, appelantId, "1");
            CommonFormHtml.printSLCCoreParamValue(this, appelantId, "idths");
            CommonFormHtml.printSLCCoreSubsetsValue(this, appelantId, basedefiches.getThesaurus(0).getSubsetKey().getSubsetName());
            CommonFormHtml.printSLCCoreTitleKeyValue(this, appelantId, "global_link_pioche_motcle_selection");
            breakLine();
            endScript();
        }
        endP();
        startP();
        BdfHtmlUtils.printLibColon(this,"saisie_lib_thesaurus");
        int thesaurusCount = basedefiches.getThesaurusCount();
        HTMLAttributes selectAttributes = new HTMLAttributes();
         selectAttributes.setName(RequestUtils.THESAURUS_PARAMNAME);
        if (isWithJQuery()) {
            selectAttributes.setId("ID_JQ_SELECT_" + appelantId);
        }
        startSelect(selectAttributes);
        for (int i = 0; i < thesaurusCount; i++) {
            Thesaurus thesaurus = basedefiches.getThesaurus(i);
            startOption(thesaurus.getSubsetKey().getSubsetName(), false);
            escape(ThesaurusUtils.getThesaurusIntitule(thesaurus, workingLangInteger));
            endOption();
        }
        endSelect();
        endP();
        BdfHtmlUtils.endForm(this, "global_submit_ok");
        end();
    }
}
