/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.sphere;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.sphere.Redacteur;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class RedacteurAdminFormHtmlProducer extends BdfHtmlProducer implements SphereHtmlConstants {

    private Redacteur redacteur;
    private BdfUser redacBdfUser;

    public RedacteurAdminFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, Redacteur redacteur) {
        init(bdfContext, bdfUser);
        BdfHtmlUtils.addTestJavascript(this);
        this.redacteur = redacteur;
        if (redacteur.getRedacteurKey().equals(bdfUser.getRedacteurKey())) {
            redacBdfUser = bdfUser;
        } else {
            redacBdfUser = redacBdfUser = new BdfUser(bdfServer, redacteur.getRedacteurKey());
        }
    }

    public void printHtml() {
        start();
        SphereHtmlUtils.printToolbar(this, REDACTEURADMINFORM_PAGE, redacteur);
        printCommandMessage();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Sphere");
        commandBox.setCommandFamily("USR");
        commandBox.setPage(REDACTEURADMINFORM_PAGE);
        SphereCommandBoxUtils.printRedacteurChangeBox(this, commandBox, redacteur, bdfServer);
        if (redacteur.isActif()) {
            CommandBox roleCommandBox = new CommandBox();
            roleCommandBox.setFormAction("Sphere");
            roleCommandBox.setCommandFamily("ROL");
            roleCommandBox.setPage(REDACTEURADMINFORM_PAGE);
            SphereCommandBoxUtils.printRedacteurRoleBox(this, roleCommandBox, redacBdfUser);
            SphereCommandBoxUtils.printLangBox(this, commandBox, redacBdfUser, bdfServer, formatLocale);
            SphereCommandBoxUtils.printRedacteurPasswordBox(this, commandBox, redacteur);
            SphereCommandBoxUtils.printTemplatesBox(this, commandBox, redacBdfUser);

        } else {
            startP();
            startEm();
            localize("sphere_info_redacteuractif_no");
            endEm();
            endP();
        }
        end();
    }

}
