/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.sphere;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.html.catalogs.GlobalCatalog;
import fr.exemole.bdfserver.response.BdfConstants;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.BasedefichesUtils;
import net.mapeadores.basedefiches.sphere.Sphere;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class SphereMetadataFormHtmlProducer extends BdfHtmlProducer implements SphereHtmlConstants {

    private Sphere sphere;

    public SphereMetadataFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, Sphere sphere) {
        init(bdfContext, bdfUser);
        BdfHtmlUtils.addTestJavascript(this);
        addJavascriptFiles(GlobalCatalog.BDF_JAVASCRIPT);
        setCssThemeFile("sphere.css");
        this.sphere = sphere;
    }

    public void printHtml() {
        start();
        startH1();
        append("[");
        append(sphere.getSubsetKey().toString());
        append("]");
        if (isWithJQuery()) {
            BdfHtmlUtils.printTiret(this);
            BdfHtmlUtils.printChangeSubsetSelect(this, sphere, SPHEREMETADATAFORM_PAGE);
        }
        endH1();
        printCommandMessage();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Sphere");
        commandBox.setCommandFamily("SPH");
        commandBox.setPage(SPHEREMETADATAFORM_PAGE);
        SphereCommandBoxUtils.printSphereIntituleBox(this, commandBox, sphere, bdfServer);
        if (BasedefichesUtils.isRemoveable(sphere)) {
            commandBox.setErrorPage(SPHEREMETADATAFORM_PAGE);
            commandBox.setPage(BdfConstants.MESSAGE_PAGE);
            SphereCommandBoxUtils.printSphereRemoveBox(this, commandBox, sphere);
        }
        end();
    }

}
