/* BdfServer_Commands
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.response;

import net.mapeadores.basedefiches.tableexport.*;
import fr.exemole.bdfserver.*;
import fr.exemole.bdfserver.users.*;
import fr.exemole.bdfserver.balayages.*;
import net.mapeadores.basedefiches.scrutariexport.*;
import net.mapeadores.basedefiches.selection.*;
import net.mapeadores.basedefiches.sqlexport.SqlExportDef;
import net.mapeadores.basedefiches.tableexport.thesaurus.*;
import net.mapeadores.basedefiches.thesaurus.*;


/**
 *
 * @author Vincent Calame
 */
public class ExportationResponseParameters extends BdfResponseParameters {

    public static final short STREAMFORM_PAGE = 1;
    public static final short SCRUTARIEXPORTINDEX_PAGE = 6;
    public static final short SCRUTARIEXPORTCREATION_PAGE = 7;
    public static final short SCRUTARIEXPORTFORM_PAGE = 8;
    public static final short SCRUTARIEXPORTRUN_PAGE = 9;
    public static final short SCRUTARIEXPORTREMOVE_PAGE = 10;
    public static final short SQLEXPORTINDEX_PAGE = 11;
    public static final short SQLEXPORTCREATION_PAGE = 12;
    public static final short SQLEXPORTFORM_PAGE = 13;
    public static final short SQLRUN_PAGE = 14;
    public static final short SQLEXPORTREMOVE_PAGE = 15;
    public static final short BALAYAGEERROR_PAGE = 16;
    public static final short BALAYAGE_PAGE = 17;
    public static final short BALAYAGEINDEX_PAGE = 18;
    public static final short THESAURUSFORM_PAGE = 19;
    public static final short THESAURUSTABLE_SXC_CONTENTSTREAM = 20;
    public static final short CORPUSTABLE_ODS_CONTENTSTREAM = 21;
    private ScrutariExportDef scrutariExportDef;
    private SqlExportDef sqlExportDef;
    private AbregeFicheSortedList abregeFicheSortedList;
    private Thesaurus thesaurus;
    private ThesaurusTableExport thesaurusTableExport;
    private SubsetTableExport[] corpusTableExportArray;
    private Balayage balayage;
    private String mode;

    public ExportationResponseParameters(BdfServer bdfServer, BdfUser bdfUser) {
        super(bdfServer, bdfUser);
    }

    public SubsetTableExport[] getCorpusTableExportArray() {
        return corpusTableExportArray;
    }

    public void setCorpusTableExportArray(SubsetTableExport[] corpusTableExportArray) {
        this.corpusTableExportArray = corpusTableExportArray;
    }

    public ScrutariExportDef getScrutariExportDef() {
        return scrutariExportDef;
    }

    public void setScrutariExportDef(ScrutariExportDef scrutariExportDef) {
        this.scrutariExportDef = scrutariExportDef;
    }

    public SqlExportDef getSqlExportDef() {
        return sqlExportDef;
    }

    public void setSqlExportDef(SqlExportDef sqlExportDef) {
        this.sqlExportDef = sqlExportDef;
    }

    public AbregeFicheSortedList getAbregeFicheSortedList() {
        return abregeFicheSortedList;
    }

    public void setAbregeFicheSortedList(AbregeFicheSortedList abregeFicheSortedList) {
        this.abregeFicheSortedList = abregeFicheSortedList;
    }

    public Thesaurus getThesaurus() {
        return thesaurus;
    }

    public void setThesaurus(Thesaurus thesaurus) {
        this.thesaurus = thesaurus;
    }

    public ThesaurusTableExport getThesaurusTableExport() {
        return thesaurusTableExport;
    }

    public void setThesaurusTableExport(ThesaurusTableExport thesaurusTableExport) {
        this.thesaurusTableExport = thesaurusTableExport;
    }

    public Balayage getBalayage() {
        return balayage;
    }

    public void setBalayage(Balayage balayage) {
        this.balayage = balayage;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

}
