/* BdfServer_Commands
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.response;

import net.mapeadores.basedefiches.thesaurus.*;
import fr.exemole.bdfserver.users.*;
import fr.exemole.bdfserver.*;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusResponseParameters extends BdfResponseParameters {

    public static final short MOTCLE_PAGE = 1;
    public static final short ADVANCED_PAGE = 2;
    public static final short NVIDTHS_PAGE = 3;
    public static final short NVMTCLBYIDALPHA_PAGE = 4;
    public static final short MOVECONFIRMATION_PAGE = 6;
    public static final short MERGECONFIRMATION_PAGE = 7;
    public static final short THESAURUS_PAGE = 8;
    public static final short COMPLETETRANSFERCONFIRMATION_PAGE = 10;
    public static final short CLEANINGCONFIRMATION_PAGE = 11;
    public static final short MOTCLEINDEXATION_PAGE = 12;
    public static final short THESAURUSCREATIONFORM_PAGE = 13;
    public static final short THESAURUSFORM_PAGE = 14;
    public static final short PONDERATION_PAGE = 15;
    public static final short IDALPHASORT_PAGE = 16;
    public static final short COMPARAISON_PAGE = 17;
    public static final short RECOUVREMENT_PAGE = 18;
    public static final short COMMANDS_PAGE = 22;
    private int thesaurusLangInteger;
    private Thesaurus thesaurus;
    private Motcle motcle;
    private boolean majLinkNeeded;

    public ThesaurusResponseParameters(BdfServer bdfServer, BdfUser bdfUser, int thesaurusLangInteger) {
        super(bdfServer, bdfUser);
        this.thesaurusLangInteger = thesaurusLangInteger;
    }

    public int getThesaurusLangInteger() {
        return thesaurusLangInteger;
    }

    public void setThesaurus(Thesaurus thesaurus) {
        this.thesaurus = thesaurus;
    }

    public Thesaurus getThesaurus() {
        return thesaurus;
    }

    public Motcle getMotcle() {
        return motcle;
    }

    public void setMotcle(Motcle motcle) {
        this.motcle = motcle;
        this.thesaurus = motcle.getThesaurus();
    }

    public boolean isMajLinkNeeded() {
        if (hasErrorMessage()) {
            return false;
        }
        return majLinkNeeded;
    }

    public void setMajLinkNeeded(boolean majLinkNeeded) {
        this.majLinkNeeded = majLinkNeeded;
    }

}
