/* BdfServer_DirectoryStorage - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf;

import java.io.File;


/**
 *
 * @author Vincent Calame
 */
public class BdfDirectoriesConversion {

    private BdfDirectoriesConversion() {
    }

    public static void checkConversion(File directory) {
        convertChrono(directory);
    }

    /**
     * Nouveau nommage des fichiers de la chronologie.
     * Passage de la 0.9.8.5 à la 0.9.8.6
     */
    private static void convertChrono(File directory) {
        File basedefichesDir = new File(directory, "basedefiches");
        File oldChrono = new File(basedefichesDir, "corpus_datation");
        File newChrono = new File(basedefichesDir, "chrono");
        if (!oldChrono.exists()) {
            return;
        }
        File[] liste = oldChrono.listFiles();
        for (int i = 0; i < liste.length; i++) {
            File f = liste[i];
            String name = f.getName();
            if (name.endsWith("_x.xml")) {
                String newname = "corpus_" + name.substring(0, name.length() - 6) + ".xml";
                f.renameTo(new File(oldChrono, newname));
            }
        }
        oldChrono.renameTo(newChrono);
    }

}
