/* BdfServer_DirectoryStorage - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import net.mapeadores.basedefiches.impl.DocumentDataSource;


/**
 *
 * @author Vincent Calame
 */
public class DirectoryDocumentDataSource implements DocumentDataSource {

    private BdfDirectories bdfDirectories;

    public DirectoryDocumentDataSource(BdfDirectories bdfDirectories) {
        this.bdfDirectories = bdfDirectories;
    }

    public InputStream getInputStream(int idsubset, String extension) {
        DocumentDirectory documentDirectory = DocumentDirectory.getDocumentDirectory(bdfDirectories, idsubset);
        return documentDirectory.getInputStream(extension);
    }

    public boolean deleteVersion(int idsubset, String extension) {
        DocumentDirectory documentDirectory = DocumentDirectory.getDocumentDirectory(bdfDirectories, idsubset);
        return documentDirectory.delete(extension);
    }

    public boolean deleteDocument(int idsubset) {
        DocumentDirectory documentDirectory = DocumentDirectory.getDocumentDirectory(bdfDirectories, idsubset);
        return documentDirectory.delete();
    }

    public long saveVersion(int idsubset, String extension, InputStream inputStream) {
        DocumentDirectory documentDirectory = DocumentDirectory.getDocumentDirectory(bdfDirectories, idsubset);
        return documentDirectory.saveInputStream(extension, inputStream);
    }

    public boolean linkTo(int idsubset, String extension, File destination, boolean symbolicLink) throws IOException {
        DocumentDirectory documentDirectory = DocumentDirectory.getDocumentDirectory(bdfDirectories, idsubset);
        return documentDirectory.linkTo(extension, destination, symbolicLink);
    }

}
