/* BdfServer_DirectoryStorage - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf;

import fr.exemole.bdfserver.storage.directory.jdbm.BasedefichesJdbm;
import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;
import net.mapeadores.basedefiches.impl.FicheDataSource;


/**
 *
 * @author Vincent Calame
 */
public class JdbmFicheDataSource implements FicheDataSource {

    private BdfDirectories bdfDirectories;
    private BasedefichesJdbm basedefichesJdbm;

    public JdbmFicheDataSource(BdfDirectories bdfDirectories, BasedefichesJdbm basedefichesJdbm) {
        this.bdfDirectories = bdfDirectories;
        this.basedefichesJdbm = basedefichesJdbm;
    }

    public Fiche getFiche(AbregeFiche abregeFiche, boolean ficheComplete) {
        return basedefichesJdbm.getFiche(abregeFiche, ficheComplete);
    }

    public void removeFiche(AbregeFiche abregeFiche) {
        FicheStorageFile ssf = FicheStorageFile.getFicheStorageFile(bdfDirectories, abregeFiche);
        ssf.delete();
        basedefichesJdbm.removeFiche(abregeFiche);
        basedefichesJdbm.commit();
    }

    public void saveFiche(AbregeFiche abregeFiche, Fiche fiche) {
        FicheStorageFile.saveFiche(bdfDirectories, abregeFiche, fiche);
        basedefichesJdbm.updateFiche(abregeFiche, fiche, true);
        basedefichesJdbm.commit();
    }

}
