/* BdfServer_DirectoryStorage - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import net.mapeadores.basedefiches.xml.BasedefichesXmlErrorHandler;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class LogBasedefichesXmlErrorHandler implements BasedefichesXmlErrorHandler {

    private MutableProcessLog mutableResultLog;

    public LogBasedefichesXmlErrorHandler(MutableProcessLog mutableResultLog) {
        this.mutableResultLog = mutableResultLog;
    }

    public void unknownTagWarning(String tagName) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("WARNING");
        rsl.setKey("unknownTag");
        rsl.setObject(tagName);
    }

    public void wrongElementValueError(String tagName, String value) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongElementValue");
        rsl.setObject(tagName + " = " + value);
    }

    public void emptyElementError(String tagName) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("emptyElement");
        rsl.setObject(tagName);
    }

    public void wrongLangAttributeError(String tagName, String value) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongLangAttribute");
        rsl.setObject(tagName + " = " + value);
    }

    public void wrongIntegerAttributeError(String tagName, String attributeName, String attributeValue) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongIntegerAttribute");
        rsl.setObject(tagName + " / " + attributeName + " / " + attributeValue);
    }

    public void emptyAttributeError(String tagName, String attributeName) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("emptyAttribute");
        rsl.setObject(tagName + " / " + attributeName);
    }

    public void wrongTypeAttributeError(String tagName, String type) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongTypeAttribute");
        rsl.setObject(tagName + " / " + type);
    }

    public void wrongDateAttributeError(String tagName, String attributeName, String date) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongDateAttribute");
        rsl.setObject(tagName + " / " + attributeName + " / " + date);
    }

    protected ProcessLogItem newLogItemInstance() {
        return mutableResultLog.newLogItemInstance();
    }

}
