/* BdfServer_DirectoryStorage - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import net.mapeadores.basedefiches.corpus.metadata.FieldKey;
import net.mapeadores.basedefiches.xml.CorpusMetadataXmlErrorHandler;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class LogCorpusMetadataXmlErrorHandler extends LogBasedefichesXmlErrorHandler implements CorpusMetadataXmlErrorHandler {

    public LogCorpusMetadataXmlErrorHandler(MutableProcessLog mutableResultLog) {
        super(mutableResultLog);
    }

    public void fieldKeyDoublonError(FieldKey fieldKey) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("fieldKeyDoublon");
        rsl.setObject(fieldKey);
    }

    public void wrongFicheItemTypeError(FieldKey fieldKey, String ficheItemType) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongFicheItemType");
        rsl.setObject(fieldKey);
    }

    public void missingFieldKeyAttributeError(String tagName) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("missingFieldKeyAttribute");
        rsl.setObject(tagName);
    }

    public void wrongFieldKeyAttributeError(String tagName, String fieldKeyAttribute) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongFieldKeyAttribute");
        rsl.setObject(tagName + " / " + fieldKeyAttribute);
    }

    public void unknownCorpusFieldWarning(String tagName, FieldKey fieldKey) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("WARNING");
        rsl.setKey("unknownCorpusField");
        rsl.setObject(tagName + " / " + fieldKey.toString());
    }

    public void norelevantOptionWarning(FieldKey fieldKey, String optionName) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("WARNING");
        rsl.setKey("norelevantOption");
        rsl.setObject(fieldKey.toString() + " / " + optionName);
    }

    public void wrongOptionValueError(FieldKey fieldKey, String optionName, String optionValue) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongOptionValue");
        rsl.setObject(fieldKey.toString() + " / " + optionName + " / " + optionValue);
    }

    public void unknownOptionNameWarning(String optionName) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("unknownOptionName");
        rsl.setObject(optionName);
    }

    public void missingValueElementsError(FieldKey fieldKey, String optionName) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("missingValueElements");
        rsl.setObject(fieldKey.toString() + " / " + optionName);
    }

}
