/* BdfServer_DirectoryStorage - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import net.mapeadores.basedefiches.xml.SphereXmlErrorHandler;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class LogSphereXmlErrorHandler extends LogBasedefichesXmlErrorHandler implements SphereXmlErrorHandler {

    public LogSphereXmlErrorHandler(MutableProcessLog mutableResultLog) {
        super(mutableResultLog);
    }

    public void wrongIdsphereError(String idsphere) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongIdsphereError");
        rsl.setObject(idsphere);
    }

    public void redacteurDoublonError(String idsphere) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("redacteurDoublonError");
        rsl.setObject(idsphere);
    }

    public void wrongAddrSpecError(String idsphere, String addrSpec) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongAddrSpecError");
        rsl.setObject(idsphere + " / " + addrSpec);
    }

}
