/* @@@@@APPLICATION@@@@@ - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import net.mapeadores.basedefiches.xml.sqlexport.SqlExportXmlErrorHandler;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class LogSqlExportXmlErrorHandler implements SqlExportXmlErrorHandler {

    private MutableProcessLog mutableResultLog;

    public LogSqlExportXmlErrorHandler(MutableProcessLog mutableResultLog) {
        this.mutableResultLog = mutableResultLog;
    }

    public void unknownTagWarning(String tagName) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("WARNING");
        rsl.setKey("unknownTag");
        rsl.setObject(tagName);
    }

    public void emptyAttributeError(String tagName, String attributeName) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("emptyAttribute");
        rsl.setObject(tagName + " / " + attributeName);
    }

    private ProcessLogItem newLogItemInstance() {
        return mutableResultLog.newLogItemInstance();
    }

}
