/* BdfServer_DirectoryStorage - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import net.mapeadores.basedefiches.xml.ThesaurusXmlErrorHandler;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class LogThesaurusXmlErrorHandler extends LogBasedefichesXmlErrorHandler implements ThesaurusXmlErrorHandler {

    public LogThesaurusXmlErrorHandler(MutableProcessLog mutableResultLog) {
        super(mutableResultLog);
    }

    public void motcleDoublonError(int idths, String idalpha) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("motcleDoublon");
        if (idalpha != null) {
            rsl.setObject("idths = " + idths + " / idalpha = " + idalpha);
        } else {
            rsl.setObject(idths);
        }
    }

    public void idalphaParseError(String idalpha) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("idalphaParse");
        rsl.setObject(idalpha);
    }

    public void wrongLangArrayError(String langs) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongLangArray");
        rsl.setObject(langs);
    }

}
