/* BdfServer_DirectoryStorage - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.conversion_0_20;

import java.util.HashMap;
import java.util.Map;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.corpus.metadata.FieldKey;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.w3c.dom.Element;


/**
 *
 * @author Vincent Calame
 */
public class AlbumKeyDOMReader {

    private Map<FieldKey, SubsetKey> map = new HashMap<FieldKey, SubsetKey>();

    public AlbumKeyDOMReader() {
    }

    public void read(Element element_xml) {
        NodeList liste = element_xml.getChildNodes();
        for (int i = 0; i < liste.getLength(); i++) {
            Node nd = liste.item(i);
            if (nd.getNodeType() == Node.ELEMENT_NODE) {
                Element el = (Element) nd;
                String tagname = el.getTagName();
                if (tagname.equals("options")) {
                    initOptions(el);
                }
            }
        }
    }

    public Map<FieldKey, SubsetKey> getMap() {
        return map;
    }

    private void initOptions(Element element_xml) {
        NodeList liste = element_xml.getChildNodes();
        for (int i = 0; i < liste.getLength(); i++) {
            Node nd = liste.item(i);
            if (nd.getNodeType() == Node.ELEMENT_NODE) {
                Element el = (Element) nd;
                String tagname = el.getTagName();
                if (tagname.equals("option")) {
                    String name = el.getAttribute("name");
                    if (name.equals("albumKey")) {
                        FieldKey fieldKey = FieldKey.build(el.getAttribute("field-key"));
                        SubsetKey subsetKey = SubsetKey.build(el.getAttribute("value"));
                        map.put(fieldKey, subsetKey);
                    }
                }
            }
        }
    }

}
