/* BdfServer_DirectoryStorage - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.extension;

import fr.exemole.bdfserver.storage.BdfExtensionStorage;
import fr.exemole.bdfserver.storage.BdfStorageException;
import java.io.File;


/**
 *
 * @author Vincent Calame
 */
public class DirectoryBdfExtensionStorage implements BdfExtensionStorage {

    private File configDirectory;
    private File dataDirectory;

    public DirectoryBdfExtensionStorage(File configDirectory, File dataDirectory) {
        this.configDirectory = configDirectory;
        this.dataDirectory = dataDirectory;
    }

    public File getConfigDirectory(String extensionName) {
        File dir = new File(configDirectory, extensionName);
        if ((dir.exists()) && (!dir.isDirectory())) {
            throw new BdfStorageException(dir.getAbsolutePath() + " is not a directory");
        }
        return dir;
    }

    public File getDataDirectory(String extensionName) {
        File dir = new File(dataDirectory, extensionName);
        if (!dir.exists()) {
            dir.mkdirs();
        } else if (!dir.isDirectory()) {
            throw new BdfStorageException(dir.getAbsolutePath() + " is not a directory");
        }
        
        return dir;
    }

}
