/* BdfServer_DirectoryStorage - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.jdbm;

import net.mapeadores.basedefiches.corpus.fiche.Section;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;


/**
 *
 * @author Vincent Calame
 */
public class CorpsFiche {

    private Fiche fiche;

    public CorpsFiche(Fiche fiche) {
        this.fiche = fiche;
    }

    public Fiche getFiche() {
        return fiche;
    }

    public void appendCorpsTo(Fiche otherFiche) {
        int sectionCount = fiche.getSectionCount();
        for (int i = 0; i < sectionCount; i++) {
            Section section = fiche.getSection(i);
            otherFiche.appendSection(section.getFieldKey(), section);
        }
    }

    public void setCorpsTo(Fiche otherFiche) {
        int sectionCount = fiche.getSectionCount();
        for (int i = 0; i < sectionCount; i++) {
            Section section = fiche.getSection(i);
            otherFiche.setSection(section.getFieldKey(), section);
        }
    }

}
