/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import fr.exemole.bdfserver.beans.TableExportParametersBean;
import java.io.Serializable;
import net.mapeadores.basedefiches.selection.SelectionConstants;
import net.mapeadores.basedefiches.selection.SelectionUtils;
import net.mapeadores.util.localisation.LocalisationInfoBean;


/**
 *
 * @author Vincent Calame
 */
public final class BdfUserBean implements Serializable {

    private XslTemplateBean[] xslTemplateBeanArray;
    private String[] streamTransformerKeyArray;
    private FicheSelectOptionsBean defaultFicheSelectOptionsBean;
    private short abregeFicheSortType = SelectionConstants.NONE_SORTTYPE;
    private TableExportParametersBean tableExportParametersBean;
    private LocalisationInfoBean localisationInfoBean;

    public BdfUserBean() {
    }

    public XslTemplateBean[] getXslTemplateBeanArray() {
        return xslTemplateBeanArray;
    }

    public void setXslTemplateBeanArray(XslTemplateBean[] xslTemplateBeanArray) {
        this.xslTemplateBeanArray = xslTemplateBeanArray;
    }

    public String[] getStreamTransformerKeyArray() {
        return streamTransformerKeyArray;
    }

    public void setStreamTransformerKeyArray(String[] streamTransformerKeyArray) {
        this.streamTransformerKeyArray = streamTransformerKeyArray;
    }

    public FicheSelectOptionsBean getDefaultFicheSelectOptionsBean() {
        return defaultFicheSelectOptionsBean;
    }

    public void setDefaultFicheSelectOptionsBean(FicheSelectOptionsBean defaultFicheSelectOptionsBean) {
        this.defaultFicheSelectOptionsBean = defaultFicheSelectOptionsBean;
    }

    public short getAbregeFicheSortType() {
        return abregeFicheSortType;
    }

    public void setAbregeFicheSortType(short abregeFicheSortType) {
        if (!SelectionUtils.isValidSortType(abregeFicheSortType)) {
            throw new IllegalArgumentException("abregeFicheSortType is not valid");
        }
        this.abregeFicheSortType = abregeFicheSortType;
    }

    public TableExportParametersBean getTableExportParametersBean() {
        return tableExportParametersBean;
    }

    public void setTableExportParametersBean(TableExportParametersBean tableExportParametersBean) {
        this.tableExportParametersBean = tableExportParametersBean;
    }

    public LocalisationInfoBean getLocalisationInfoBean() {
        return localisationInfoBean;
    }

    public void setLocalisationInfoBean(LocalisationInfoBean localisationInfoBean) {
        this.localisationInfoBean = localisationInfoBean;
    }

}
