/* BdfServer_DirectoryStorage - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import fr.exemole.bdfserver.storage.BdfStorageException;
import fr.exemole.bdfserver.users.BdfUserDef;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import net.mapeadores.basedefiches.sphere.RedacteurKey;
import org.exolab.castor.xml.Unmarshaller;


/**
 *
 * @author Vincent Calame
 */
public class CastorUtils {

    public static Object decodeBean(File file, Class c) {
        if (!file.exists()) {
            return null;
        }
        try {
            Reader reader = new InputStreamReader(new FileInputStream(file), "UTF-8");
            return Unmarshaller.unmarshal(c, reader);
        } catch (Exception e) {
            return null;
        }
    }

    public static BdfUserDef toBdfUserDef(File file, RedacteurKey redacteurKey) {
        BdfUserBean bdfUserBean = (BdfUserBean) CastorUtils.decodeBean(file, BdfUserBean.class);
        if (bdfUserBean != null) {
            return BdfUserBeanStorage.toBdfUserDef(bdfUserBean, redacteurKey);
        } else {
            return null;
        }

    }

    public static void fillManager(File file, Object beanableManager) {
        ManagerBean managerBean = (ManagerBean) decodeBean(file, ManagerBeanStorage.getBeanClass(beanableManager));
        if (managerBean != null) {
            ManagerBeanStorage.fillManager(beanableManager, managerBean);
        }
    }

}
