/* BdfServer_Get - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.htmlproducers.bdfcontent;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.get.instructions.bdfcontent.BdfContentConstants;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.users.BdfUser;
import java.util.Map;
import java.util.SortedMap;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.langinteger.LangIntegerLocalisation;

/**
 *
 * @author Vincent Calame
 */
public class IsoHtmlProducer extends BdfHtmlProducer {

    private SortedMap<String, String> localisationMap;
    private String titleKey;

    public IsoHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, String name) {
        init(bdfContext, bdfUser);
        if (name.equals(BdfContentConstants.LANGUAGES)) {
            localisationMap = LangIntegerLocalisation.getLanguageMap(formatLocale);
            titleKey = "global_subset_langue";
        } else if (name.equals(BdfContentConstants.COUNTRIES)) {
            localisationMap = LangIntegerLocalisation.getCountryMap(formatLocale);
            titleKey = "global_subset_pays";
        }
        setReversePath("..");
        setCssThemeFile("affichage.css");
        localizeTitle(titleKey, null);
    }

    public void printHtml() {
        start();
        HTMLAttributes imgAtt = new HTMLAttributes();
        imgAtt.setSrc("../theme/icons/16x16/" + titleKey + ".png");
        imgAtt.setWidth("16");
        imgAtt.setHeight("16");
        imgAtt.setAlt("");
        startH1();
        appendImg(imgAtt);
        space();
        localize(titleKey);
        endH1();
        startTable();
        for (Map.Entry<String, String> entree : localisationMap.entrySet()) {
            startRow();
            startCell();
            escape(entree.getKey());
            endCell();
            startCell();
            escape(entree.getValue());
            endCell();
            endRow();
        }
        endTable();
        end();
    }
}
