/* BdfServer_Get - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.htmlproducers.pioche;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.get.instructions.pioche.PiocheConstants;
import fr.exemole.bdfserver.get.instructions.pioche.PiocheParameters;
import fr.exemole.bdfserver.get.jsonproducers.pioche.PiocheJsonConstants;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.catalogs.PiocheCatalog;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.SubsetKey;


/**
 *
 * @author Vincent Calame
 */
public class RedacteurPiocheHtmlProducer extends BdfHtmlProducer implements PiocheHtmlConstants, PiocheConstants {

    private PiocheParameters piocheParameters;
    private String param;

    public RedacteurPiocheHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, PiocheParameters piocheParameters) {
        init(bdfContext, bdfUser);
        this.piocheParameters = piocheParameters;
        SubsetKey defaultSphereKey = (SubsetKey) piocheParameters.getParam();
        if (defaultSphereKey != null) {
            param = defaultSphereKey.toString();
        }
        setCssThemeFile("pioche.css");
        addJqueryExtensions("form");
        addJavascriptFiles(PiocheCatalog.PIOCHE_JAVASCRIPT_CORE);
        addJavascriptFiles(PiocheCatalog.PIOCHE_JAVASCRIPT_RECHERCHE);
        localizeTitle("pioche_title_redacteur", null);
    }

    public void printHtml() {
        String wanted = IDALPHAKEY_INTKEY_WANTED;
        int total = getTotal();
        start();
        PiocheHtmlUtils.printScriptVar(this, piocheParameters, total, " = ", wanted);
        PiocheHtmlUtils.printRechercheDiv(this, piocheParameters, PiocheJsonConstants.REDACTEUR_JSON, "", param);
        PiocheHtmlUtils.printSelectZone(this, piocheParameters, total);
        PiocheHtmlUtils.printButtonDiv(this);
        end();
    }

    private int getTotal() {
        int count = 0;
        int sphereCount = basedefiches.getSphereCount();
        for (int i = 0; i < sphereCount; i++) {
            count = count + basedefiches.getSphere(i).size();
        }
        return count;
    }

}
