/* BdfServer_Get - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.instructions.bdfcontent;


/**
 *
 * @author Vincent Calame
 */
public class FilePathInfo {

    private String baseName;
    private String extension;

    private FilePathInfo(String baseName, String extension) {
        this.baseName = baseName;
        this.extension = extension;
    }

    public String getBaseName() {
        return baseName;

    }

    public String getExtension() {
        return extension;
    }

    public static FilePathInfo getSimpleFile(String filePath) {
        int idx = filePath.indexOf('/');
        if (idx != -1) {
            return null;
        }
        int idx2 = filePath.indexOf('.');
        if ((idx2 < 1) || (idx2 > (filePath.length() - 2))) {
            return null;
        }
        String baseName = filePath.substring(0, idx2);
        String extension = filePath.substring(idx2 + 1);
        return new FilePathInfo(baseName, extension);
    }

}
