/* BdfServer_Get - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.instructions.bdfcontent;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.get.htmlproducers.bdfcontent.IsoHtmlProducer;
import fr.exemole.bdfserver.instruction.BdfInstruction;
import fr.exemole.bdfserver.instruction.BdfInstructionConstants;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.html.HtmlProducer;
import net.mapeadores.util.servlets.ResponseHandler;
import net.mapeadores.util.servlets.handlers.HtmlResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public class IsoInstruction implements BdfInstruction, BdfInstructionConstants {

    private BdfContext bdfContext;
    private String filePath;

    public IsoInstruction(BdfContext bdfContext, String filePath) {
        this.bdfContext = bdfContext;
        this.filePath = filePath;
    }

    public short getBdfUserNeed() {
        return MANDATORY_BDFUSER;
    }

    public ResponseHandler runInstruction(BdfUser bdfUser) {
        FilePathInfo filePathInfo = FilePathInfo.getSimpleFile(filePath);
        if (filePathInfo == null) {
            return null;
        }
        if (!filePathInfo.getExtension().equals("html")) {
            return null;
        }
        String baseName = filePathInfo.getBaseName();
        HtmlProducer htmlProducer = null;
        if (baseName.equals(BdfContentConstants.LANGUAGES)) {
            htmlProducer = new IsoHtmlProducer(bdfContext, bdfUser, baseName);
        } else if (baseName.equals(BdfContentConstants.COUNTRIES)) {
            htmlProducer = new IsoHtmlProducer(bdfContext, bdfUser, baseName);
        }
        if (htmlProducer == null) {
            return null;
        }
        return new HtmlResponseHandler(htmlProducer);
    }

}
