/* BdfServer_Get - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.instructions.pioche;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import net.mapeadores.basedefiches.Subset;


/**
 *
 * @author Vincent Calame
 */
public class PiocheParameters implements PiocheConstants {

    private String appelant;
    private List<Subset> subset;
    private int limite;
    private short getType;
    private Object param;
    private String motcleSelectOptionsString;
    private Map<String, Object> parameterMap = new HashMap<String, Object>();

    public PiocheParameters() {
    }

    public String getAppelant() {
        return appelant;
    }

    public void setAppelant(String appelant) {
        this.appelant = appelant;
    }

    public List<Subset> getSubsetList() {
        return subset;
    }

    public void setSubsetList(List<Subset> subset) {
        this.subset = subset;
    }

    public Object getParam() {
        return param;
    }

    public void setParam(Object param) {
        this.param = param;
    }

    public int getLimite() {
        return limite;
    }

    public void setLimite(int limite) {
        this.limite = limite;
    }

    public short getGetType() {
        return getType;
    }

    public void setGetType(short getType) {
        this.getType = getType;
    }

    public String getMotcleSelectOptionsString() {
        return motcleSelectOptionsString;
    }

    public void setMotcleSelectOptionsString(String motcleSelectOptionsString) {
        this.motcleSelectOptionsString = motcleSelectOptionsString;
    }

    public Object getParameter(String paramName) {
        return parameterMap.get(paramName);
    }

    public void putParameter(String paramName, Object paramValue) {
        parameterMap.put(paramName, paramValue);
    }

}
