/* BdfServer_Get - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.streamproducers.bdfcontent;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import net.mapeadores.basedefiches.album.AlbumUtils;
import net.mapeadores.basedefiches.album.Illustration;
import net.mapeadores.basedefiches.album.metadata.AlbumDim;
import net.mapeadores.util.io.IOUtils;
import net.mapeadores.util.io.StreamProducer;
import net.mapeadores.util.servlets.HttpAccessException;


/**
 *
 * @author Vincent Calame
 */
public class IllustrationStreamProducer implements StreamProducer {

    private Illustration illustration;
    private AlbumDim albumDim;
    private short specialDim;

    public IllustrationStreamProducer(Illustration illustration, AlbumDim albumDim) {
        this.illustration = illustration;
        this.albumDim = albumDim;
    }

    public IllustrationStreamProducer(Illustration illustration, short specialDim) {
        this.illustration = illustration;
        this.albumDim = null;
        this.specialDim = specialDim;
    }

    public String getMimeType() {
        return AlbumUtils.getMimeType(illustration.getFormatType());
    }

    public String getCharset() {
        return null;
    }

    public void writeStream(OutputStream outputStream) throws IOException {
        InputStream inputStream = null;
        if (albumDim != null) {
            inputStream = illustration.getInputStream(albumDim);
        } else {
            inputStream = illustration.getInputStream(specialDim);
        }
        if (inputStream == null) {
            throw new HttpAccessException(HttpAccessException.INTERNAL_ERROR, "no inputstream for " + AlbumUtils.toFileName(illustration));
        }
        IOUtils.copy(inputStream, outputStream);
        inputStream.close();
    }

}
