/* BdfServer_Get - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.streamproducers.bdfcontent;

import java.io.IOException;
import net.mapeadores.util.text.lexie.LexieMap;
import net.mapeadores.util.text.lexie.xml.LexieMapXMLWriter;
import net.mapeadores.util.xml.XmlProducer;


/**
 *
 * @author Vincent Calame
 */
public class LexieMapXmlProducer implements XmlProducer {

    private LexieMap lexieMap;

    public LexieMapXmlProducer(LexieMap lexieMap) {
        this.lexieMap = lexieMap;
    }

    public void writeXml(Appendable appendable) throws IOException {
        LexieMapXMLWriter writer = new LexieMapXMLWriter();
        writer.setAppendable(appendable);
        writer.setIndentLength(0);
        writer.appendXMLDeclaration();
        writer.appendLexieMap(lexieMap);
    }

}
