/* BdfServer_Html - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.html.catalogs;

/*
 * Deux types de classe :
 *- celles de mise en forme (commençant par FF_) et définies dans les Css
 *- celles servant de repère à JQuery (commençant par JQ_FF)
 *
 *Par ailleurs, les identifiants commencent par ID_FF et les classes introduites
 * par JQuery par jq_FF (et sont en minuscules)
 */

/**
 *
 * @author Vincent Calame
 */
public interface FicheFormCatalog {

    public final static String FICHEFORM_JAVASCRIPT_LIB =
            "ficheform_utils.js, ficheform_core.js, ficheform_piocheitem.js, ficheform_thesaurusinclude.js, ficheform_corpusinclude.js, ficheform_texte.js, ficheform_mandatory.js, ficheform_labelinput.js, ficheform_association.js, ficheform_geocodage.js, ficheform_albuminclude.js, ficheform_init.js";
    public final static String FF_SOUSBLOC = "FF_Sousbloc";
    public final static String FF_TEXTFIELD = "FF_TextField";
    public final static String FF_TEXTFIELD_INTITULE = "FF_TextField_Intitule";
    public final static String FF_TEXTFIELD_DEUXPOINTS = "FF_TextField_Deuxpoints";
    public final static String FF_TEXTFIELD_CHAMP = "FF_TextField_Champ";
    public final static String FF_ITEMFIELD = "FF_ItemField";
    public final static String FF_ITEMFIELD_INTITULE = "FF_ItemField_Intitule";
    public final static String FF_ITEMFIELD_DEUXPOINTS = "FF_ItemField_Deuxpoints";
    public final static String FF_ITEMFIELD_CHAMP = "FF_ItemField_Champ";
    public final static String FF_IFRAME = "FF_IFrame";
    public final static String FF_IFRAME_INTITULE = "FF_IFrame_Intitule";
    public final static String FF_IFRAME_CONTENU = "FF_IFrame_Contenu";
    public final static String FF_NOTEDITABLE = "FF_NotEditable";
    public final static String FF_NOTEDITABLE_INTITULE = "FF_NotEditable_Intitule";
    public final static String FF_NOTEDITABLE_DEUXPOINTS = "FF_NotEditable_Deuxpoints";
    public final static String FF_NOTEDITABLE_CHAMP_CLASS = "FF_NotEditable_Champ";
    public final static String FF_COMMENT_CLASS = "FF_Comment";
    public final static String FF_CHECKBOX_CLASS = "FF_Checkbox";
    public final static String FF_XSMALL = "FF_XSmall";
    public final static String FF_SMALL = "FF_Small";
    public final static String FF_MEDIUM = "FF_Medium";
    public final static String FF_LARGE = "FF_Large";
    public final static String FF_COMPLET = "FF_Complet";
    public final static String FF_NEXT = "FF_Next";
    public final static String FF_SOUSBLOC_INTITULE = "FF_Sousbloc_Intitule";
    public final static String FF_ILLUSTRATION_DIV = "FF_Illustration_Div";
    public final static String FF_ILLUSTRATION_URI = "FF_Illustration_Uri";
    public final static String FF_ILLUSTRATION_IMG = "FF_Illustration_Img";
    public final static String JQ_FF_LANGUE = "JQ_FF_LANGUE";
    public final static String JQ_FF_PAYS = "JQ_FF_PAYS";
    public final static String JQ_FF_SPHERE = "JQ_FF_SPHERE";
    public final static String JQ_FF_GEOCODAGE = "JQ_FF_GEOCODAGE";
    public final static String JQ_FF_THESAURUSINCLUDE = "JQ_FF_THESAURUSINCLUDE";
    public final static String JQ_FF_CORPUSINCLUDE = "JQ_FF_CORPUSINCLUDE";
    public final static String JQ_FF_LIAGE = "JQ_FF_LIAGE";
    public final static String JQ_FF_ASSOCIATION = "JQ_FF_ASSOCIATION";
    public final static String JQ_FF_WITHPOIDS = "JQ_FF_WITHPOIDS";
    public final static String JQ_FF_TEXTE = "JQ_FF_TEXTE";
    public final static String JQ_FF_MANDATORY = "JQ_FF_MANDATORY";
    public final static String JQ_FF_INTITULE = "JQ_FF_INTITULE";
    public final static String JQ_FF_LABELINPUT = "JQ_FF_LABELINPUT";
    public final static String JQ_FF_INPUTSOUSBLOC = "JQ_FF_INPUTSOUSBLOC";
    public final static String JQ_FF_LISTSOUSBLOC = "JQ_FF_LISTSOUSBLOC";
    public final static String JQ_FF_POIDS = "JQ_FF_POIDS";
    public final static String JQ_FF_LABELTEXT = "JQ_FF_LABELTEXT";
    public final static String JQ_FF_ALBUMINCLUDE = "JQ_FF_ALBUMINCLUDE";
    public final static String JQ_FF_ILLUSTRATIONLIST = "JQ_FF_ILLUSTRATIONLIST";
    public final static String JQ_FF_ILLUSTRATIONINPUT = "JQ_FF_ILLUSTRATIONINPUT";
    public final static String JQ_FF_ILLUSTRATION = "JQ_FF_ILLUSTRATION";
    public final static String JQ_FF_TEXTEBLOC = "JQ_FF_TEXTEBLOC";
    public final static String JQ_FF_ILLUSTRATION_IMG = "JQ_FF_ILLUSTRATION_IMG";
    public final static String JQ_FF_ILLUSTRATION_URI = "JQ_FF_ILLUSTRATION_URI";
    public final static String ID_FF_OUTILS_PREFIX = "ID_FF_OUTILS_";
    public final static String ID_FF_BLOC_PREFIX = "ID_FF_BLOC_";
    public final static String ID_FF_CHAMP_PREFIX = "ID_FF_CHAMP_";
    public final static String ID_FF_ILLUSTRATION_PREFIX = "ID_FF_ILLUSTRATION_";
}

