function BDF () {

}

BDF.InvisibleCssClass = "Invisible";

BDF.deploy = function (key) {
    var deployBlock = $("#DEPLOYBLOCK_" + key);
    var deployIcon = $("#DEPLOYICON_" + key);
    var hasToDeploy = BDF.isInvisible(deployBlock);
    BDF.setVisible(deployBlock, hasToDeploy);
    deployIcon.empty();
    if (hasToDeploy) {
        deployIcon.append("-");
    } else {
        deployIcon.append("+");
    }
    var deployDefault = $("#DEPLOYDEFAULT_" + key);
    if (deployDefault.length > 0) {
         BDF.setVisible($("#DEPLOYDEFAULT_" + key), !hasToDeploy);
    }
}

BDF.deployFromCheck = function (checkBox, blockId) {
    var visible = checkBox.checked;
    var block = $("#" + blockId);
    BDF.setVisible(block, visible);
    return visible;
}

BDF.deployFromInvertCheck = function (checkBox, blockId) {
    var visible = !checkBox.checked;
    var block = $("#" + blockId);
    BDF.setVisible(block, visible);
    return visible;
}

BDF.ChangeSubset = function (select, page) {
    var name = select.name;
    var option = select.options[select.selectedIndex];
    var url = "";
    if (name == "corpus") {
        url = "Corpus?corpus=";
    }
    else if (name == "thesaurus") {
        url = "Thesaurus?thesaurus=";
    }
    else if (name == "sphere") {
        url = "Sphere?sphere=";
    }
    url = url + option.value;
    if (page.length > 0) {
        url = url + "&page=" + page;
    }
    window.location = url;
}

BDF.isInvisible = function (jqElement) {
    return jqElement.hasClass(BDF.InvisibleCssClass);
}

BDF.setVisible = function (jqElement, visible) {
    if (visible) {
        jqElement.show("fast", function () {$(this).removeClass(BDF.InvisibleCssClass);});
    }
    else {
        jqElement.hide("fast", function () {$(this).addClass(BDF.InvisibleCssClass);});
    }
}