function FF_CorpusInclude () {

}

FF_CorpusInclude.init = function () {
    FF_CorpusInclude.initCorpus();
    FF_CorpusInclude.initLiage();
};

FF_CorpusInclude.initLiage = function () {
    var iconName = "pioche_fiche_all";
    var blocList = $("div.JQ_FF_LIAGE");
    var ln = blocList.length;
    for(var i = 0; i < ln; i++) {
        var el = blocList.get(i);
        var blocKey = FF_Utils.getBlocKey(el);
        var inputDiv = "<div class=\"ff_OutilsItem jq_FF_OUTILSITEM\">"
        + FF_Core.getIconTool32x16(iconName + ".png","global_link_pioche_fiche_all","FF_CorpusInclude.pioche", "'" + blocKey + "',''")
        + "</div>";
        $(el).children("div.JQ_FF_INPUTSOUSBLOC").append(inputDiv);
        FF_CorpusInclude.initListSousbloc(el);
    }
};

FF_CorpusInclude.initCorpus = function () {
    var iconName = "pioche_fiche_one";
    var blocList = $("div.JQ_FF_CORPUSINCLUDE");
    var ln = blocList.length;
    for(var i = 0; i < ln; i++) {
        var el = blocList.get(i);
        var blocKey = FF_Utils.getBlocKey(el);
        var subsetName =  FF_Utils.getSubsetName(blocKey, "corpus");
        var appendScript = "<div class=\"ff_OutilsItem jq_FF_OUTILSITEM\">"
        + FF_Core.getIconTool32x16(iconName + ".png", "corpus_" + subsetName,"FF_CorpusInclude.pioche", "'" + blocKey + "','" + subsetName + "'")
        + "</div>";
        $(el).children("div.JQ_FF_INPUTSOUSBLOC").append(appendScript);
        if ($(el).find("div.JQ_FF_LISTSOUSBLOC span.JQ_FF_POIDS").length > 0) {
            FF_CorpusInclude.initListSousbloc(el);
        }
    }
};

FF_CorpusInclude.initListSousbloc = function (element) {
    var listDiv = "<div class=\"ff_OutilsItem jq_FF_OUTILSITEM\">"
    + FF_CorpusInclude.getPoidsIcon("on", element.id)
    + "</div>";
    var listSousbloc = $(element).children("div.JQ_FF_LISTSOUSBLOC");
    if (listSousbloc.find("label").length > 0) {
        listSousbloc.append(listDiv);
    }
};

FF_CorpusInclude.pioche = function (blocKey, subsets) {
    var limite = FF_Core.getLimite(blocKey);
    if (limite == null) {
        limite = -1;
    }
    var appelant = "ID_FF_CHAMP_" + blocKey;
    var url = "Get?type=pioche&page=fiche&subsets=" + subsets + "&appelant=" + appelant + "&limite=" + limite;
    var param = FF_Core.getParam(blocKey);
    if (param != null) {
        url = url + "&param=" + param;
    }
    var piocheSelect = FF_Core.getMotcleSelectOptions(blocKey);
    if (piocheSelect != null) {
        url = url + "&motcleselectoptions=" + encodeURI(piocheSelect);
    }
    FF_Utils.openDialog(url,"pioche_" + blocKey, 430,510);
};

FF_CorpusInclude.getPoidsIcon = function (state, id) {
    var fonction = "";
    if (state == "on") fonction="FF_CorpusInclude.affichagePoids";
    else fonction = "FF_CorpusInclude.validationPoids";
    var iconName = "form_poids_";
    var txt = FF_Core.getIconTool32x16(iconName + state + ".png","global_link_poids_" + state,fonction, "'" + id + "'");
    return txt;
};

FF_CorpusInclude.affichagePoids = function (id) {
    var jqEl = $("#" + id);
    jqEl.find("div.JQ_FF_LISTSOUSBLOC div.jq_FF_OUTILSITEM").empty().append(FF_CorpusInclude.getPoidsIcon("off",id));
    var checkBoxList = jqEl.find("div.JQ_FF_LISTSOUSBLOC input");
    for(var i = 0; i < checkBoxList.length; i++) {
        var checkBox = checkBoxList.get(i);
        var poids = FF_Utils.getPoids(checkBox.value);
        var parentBloc = $(checkBox).parent().parent();
        parentBloc.find("label").after(parentBloc.find("span.JQ_FF_LABELTEXT"));
        parentBloc.find("span.JQ_FF_POIDS").empty().append("<input type=\"text\" value=\"" + poids + "\" size=\"3\">");
    }
};

FF_CorpusInclude.validationPoids = function (id) {
    var jqEl = $("#" + id);
    jqEl.find("div.JQ_FF_LISTSOUSBLOC div.jq_FF_OUTILSITEM").empty().append(FF_CorpusInclude.getPoidsIcon("on",id));
    var textInputList = jqEl.find("div.JQ_FF_LISTSOUSBLOC span.JQ_FF_POIDS input");
    for(var i = 0; i < textInputList.length; i++) {
        var textInput = textInputList.get(i);
        var value = $.trim(textInput.value);
        var textSpan = $(textInput).parent();
        var parentBloc = $(textSpan).parent().parent();
        var checkBox = parentBloc.find("label input").get(0);
        if (FF_Utils.checkPoids(value)) {
            FF_CorpusInclude.updateCheckBox(checkBox, value);
        }
        parentBloc.find("label").append(parentBloc.find("span.JQ_FF_LABELTEXT"));
        textSpan.empty().append(FF_Utils.getPoidsString(checkBox.value));
    }
};

FF_CorpusInclude.updateCheckBox = function (checkBox,poids) {
    var currentValue = checkBox.value;
    var idx = currentValue.indexOf("<");
    if (idx > -1) {
        currentValue = currentValue.substring(0, idx);
    }
    if (poids > 1) {
        checkBox.value = currentValue + "<" + poids + ">";
    } else  {
        checkBox.value = currentValue;
    }
};





