function SLC_Fiche() {

}

SLC_Fiche.displayDetailDivFS =function (source,id) {
    if (id == "_motscles") {
        var name = source.name;
        var suffix = name.substring(name.lastIndexOf("_") + 1);
        id = "FS_thesaurusList_" + suffix;
        SLC_Fiche.checkPiocheurGlobal(source, suffix);
    }
    else {
        id = "FS_" + id;
    }
    var displayBlock = document.getElementById(id);
    var display = source.checked;
    if (source.value == "1") display = !display;
    var newDisplay;
    if (display) {
        newDisplay="block";
    }
    else {
        newDisplay="none";
    }
    displayBlock.style.display= newDisplay;
}

SLC_Fiche.checkPiocheurGlobal = function (source, suffix) {
    var all = source.checked;
    if (source.value != "1") all = !all;
    if (all) {
        SLC_Fiche.updatePiocheur(suffix,"");
    }
    else {
        var subsets = SLC_Fiche.getSubsets(suffix);
        SLC_Fiche.updatePiocheur(suffix,subsets);
    }
}

SLC_Fiche.checkPiocheurSelection = function (source) {
    var name = source.name;
    var suffix = name.substring(name.lastIndexOf("_") + 1);
    var subsets = SLC_Fiche.getSubsets(suffix);
    if (subsets == "_null") {
        alert(SLC_Core.getLoc("global_err_motcle_selection"));
    }
    SLC_Fiche.updatePiocheur(suffix, subsets);
}

SLC_Fiche.updatePiocheur = function (suffix, subsets) {
    var appelantId = "motcle_input_" + suffix;
    var image = $("#ID_JQ_TOOL_" + appelantId + " img");
    if (subsets.length == 0) {
        SLC_Core.setSubsets(appelantId, null);
        image.attr("title", SLC_Core.getLoc("global_link_pioche_motcle_all"));
    }
    else {
        SLC_Core.setSubsets(appelantId, subsets);
        image.attr("title", SLC_Core.getLoc("global_link_pioche_motcle_selection"));
    }
}

SLC_Fiche.getSubsets = function (suffix) {
    var motcleSelection = document.getElementsByName("motcle_selection_" + suffix);
    var subsets = "";
    for(var i = 0; i < motcleSelection.length;i++) {
        var element = motcleSelection[i];
        if (element.options != null) {
            for(var j = 0; j < element.options.length;j++) {
                var option = element.options[j];
                if (option.selected) {
                    subsets = subsets + option.value + ",";
                }
            }
        }
        else {
            if (element.checked) {
                subsets = subsets + element.value + ",";
            }
        }
    }
    if (subsets.length == 0) {
        return "_null";
    }
    else {
        return subsets.substring(0, subsets.length - 1);
    }
}

SLC_Fiche.displayThesaurusSelect = function (suffix) {
    var elLink = document.getElementById("FS_thesaurusSelectLink_" + suffix);
    var elSelect = document.getElementById("FS_thesaurusSelect_" + suffix);
    elLink.style.display="none";
    elSelect.style.display="block";
}

SLC_Fiche.addNewSelection = function () {
    var elMode = document.getElementById("FS_motsclesMode");
    elMode.style.display="block";
    var elDiv = document.getElementById("FS_motsclesFieldSets");
    var array = elDiv.getElementsByTagName("fieldset");
    var copySelect;
    var suffixMax = 0;
    for(var i = 0; i < array.length;i++) {
        var id = array[i].id;
        var idx = id.lastIndexOf("_");
        var suffix = id.substring(idx+1);
        if (suffix == "nnn") {
            copySelect = array[i];
        }
        else {
            suffixMax = Math.max(suffixMax,suffix);
        }
    }
    var clone = copySelect.cloneNode(true);
    suffix = suffixMax + 1;
    SLC_Fiche.replaceLegend(clone,suffix);
    SLC_Fiche.replaceInElement(clone,suffix);
    clone.style.display="block";
    elDiv.insertBefore(clone,copySelect);
    var appelantId = "motcle_input_" + suffix;
    SLC_Pioche.add(appelantId,"ID_JQ_TOOL_motcle_input_" + suffix);
    SLC_Core.setCategory(appelantId,"motcle");
    SLC_Core.setLimite(appelantId,-1);
    SLC_Core.setTitleKey(appelantId,"global_link_pioche_motcle_all");
    SLC_Pioche.initPioche(appelantId);
}

SLC_Fiche.replaceLegend  = function (clone,suffix) {
    var legend = clone.getElementsByTagName("legend")[0];
    var legendText = legend.firstChild.data;
    legend.firstChild.data = SLC_Fiche.replaceSuffix(legendText,suffix);
}

SLC_Fiche.replaceInElement = function (el,suffix) {
    if ((el.id) && (el.id.length > 0)) {
        el.id = SLC_Fiche.replaceSuffix(el.id,suffix);
    }
    if ((el.name) && (el.name.length > 0)) {
        el.name = SLC_Fiche.replaceSuffix(el.name,suffix);
    }
    if ((el.href) && (el.href.length > 0)) {
        el.href = SLC_Fiche.replaceSuffix(el.href,suffix);
    }
    var children = el.childNodes;
    for(var i = 0; i < children.length;i++) {
        var node = children[i];
        if (node.nodeType == 1) {
            SLC_Fiche.replaceInElement(node,suffix);
        }
    }
}

SLC_Fiche.replaceSuffix = function (s, suffix) {
    return s.replace("nnn", suffix);
}
