/* BdfServer_Interaction - Copyright (c) 2006-2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.instruction;

import fr.exemole.bdfserver.users.BdfUserConstants;
import fr.exemole.bdfserver.users.BdfUserUtils;
import net.mapeadores.util.servlets.MultiPartParser;
import net.mapeadores.util.servlets.CommandRequestMap;
import javax.servlet.http.HttpServletRequest;


/**
 *
 * @author Vincent Calame
 */
public class BdfRequestMap extends CommandRequestMap implements BdfUserConstants {

    public final static String BDF_IDSPHERE_PARAMETER = "bdf-idsphere";
    public final static String BDF_SPHERE_PARAMETER = "bdf-sphere";
    public final static String BDF_PASSWORD_PARAMETER = "bdf-password";
    public final static String BDF_SCREENWIDTH_PARAMETER = "bdf-screenwidth";
    public final static String BDF_JQUERY_PARAMETER = "bdf-jquery";

    public BdfRequestMap(HttpServletRequest request) {
        super(request);
        init(request);
    }

    public BdfRequestMap(HttpServletRequest request, MultiPartParser multiPartParser) {
        super(request, multiPartParser);
    }

    private void init(HttpServletRequest request) {
    }

    public SessionParameters getSessionParameters() {
        return new SessionParameters();
    }


    public class SessionParameters {

        String bdfIdsphere;
        String bdfSphere;
        String bdfPassword;
        private boolean withJQuery = false;
        private short screenWidth;

        SessionParameters() {
            String jqueryString = null;
            bdfIdsphere = request.getParameter(BDF_IDSPHERE_PARAMETER);
            bdfSphere = request.getParameter(BDF_SPHERE_PARAMETER);
            bdfPassword = request.getParameter(BDF_PASSWORD_PARAMETER);
            screenWidth = BdfUserUtils.checkScreenWidth(request.getParameter(BDF_SCREENWIDTH_PARAMETER));
            jqueryString = request.getParameter(BDF_JQUERY_PARAMETER);
            if (jqueryString != null) {
                if (jqueryString.equals("1")) {
                    withJQuery = true;
                }
            }
        }

        public String getBdfIdsphere() {
            return bdfIdsphere;
        }

        public String getBdfSphere() {
            return bdfSphere;
        }

        public String getBdfPassword() {
            return bdfPassword;
        }

        public short getScreenWidth() {
            return screenWidth;
        }

        public boolean isWithJQuery() {
            return withJQuery;
        }

    }

}
