/* BdfServer_Interaction - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.session;

import net.mapeadores.util.localisation.ResourceLocalisation;


/**
 *
 * @author Vincent Calame
 */
public class LoginException extends Exception {

    private String loginErrorKey, defaultSphere, defaultIdsphere;
    /**
     * Erreur sur le mot de passe
     */
    public static String PASSWORD_ERROR = "password";
    /**
     * Erreur sur l'identifiant
     */
    public static String IDSPHERE_ERROR = "idsphere";
    /**
     * Erreur sur la sphère
     */
    public static String SPHERE_ERROR = "sphere";
    public static String INACTIF_ERROR = "inactif";
    /**
     * Erreur sur un paramètre manquant
     */
    public static String UNDEFINED_ERROR = "undefined";
    public static String EXIT_ERROR = "exit";

    public LoginException(String loginErrorKey) {
        this.loginErrorKey = loginErrorKey;
        defaultSphere = "";
        defaultIdsphere = "";
    }

    public String getDefaultSphere() {
        return defaultSphere;
    }

    public String getDefaultIdsphere() {
        return defaultIdsphere;
    }

    public String getLoginErrorKey() {
        return loginErrorKey;
    }

    public String getMessage(ResourceLocalisation resourceLocalisation) {
        if (loginErrorKey.equals(EXIT_ERROR)) {
            return "";
        }
        return resourceLocalisation.toString("login_err_" + loginErrorKey, null);
    }

}
