/* OdLib_Io - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.opendocument.io;


import net.mapeadores.util.io.IOUtils;
import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.io.IOException;
import java.io.OutputStream;


/**
 *
 * @author Vincent Calame
 */
public class ByteArrayZipEntrySource implements ZipEntrySource {
    private byte[] byteArray;
    
    public ByteArrayZipEntrySource(byte[] byteArray) {
        this.byteArray = byteArray;
    }
    
     public void writeEntry(OutputStream outputStream) throws IOException {
        InputStream inputStream = new ByteArrayInputStream(byteArray);
        IOUtils.copy(inputStream, outputStream);
        inputStream.close();
    }
    
}
