/* OdLib_Io - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.opendocument.io;


import net.mapeadores.util.exceptions.NestedTransformerException;
import java.io.IOException;
import java.io.OutputStream;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamResult;

/**
 *
 * @author Vincent Calame
 */
public class TransformZipEntrySource implements ZipEntrySource {
    private Transformer transformer;
    private Source transformerSource;
    
    public TransformZipEntrySource(Transformer transformer, Source transformerSource) {
        this.transformer = transformer;
        this.transformerSource = transformerSource;
    }
    
    public void writeEntry(OutputStream outputStream) throws IOException {
        try {
            transformer.transform(transformerSource, new StreamResult(outputStream));
        } catch(TransformerException te) {
            Throwable thr = te.getCause();
            if ((thr != null) && (thr instanceof IOException)) {
                throw (IOException) thr;
            }
            else {
                throw new NestedTransformerException(te);
            }
        }
    }
    
}
