/* ScrutariDataExport - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.dataexport.xml;

import net.scrutari.dataexport.api.*;
import java.util.*;


/**
 *
 * @author Vincent Calame
 */
public class XmlMotcleExport extends XmlBuilder implements MotcleExport {

    private String motcleId;
    private Map<String, String> libelleMap = new LinkedHashMap<String, String>();

    public void reinit(String motcleId) {
        this.motcleId = motcleId;
        this.libelleMap.clear();
    }

    public void setLibelle(String lang, String libelleValue) {
        libelleMap.put(lang, libelleValue);
    }

    public void writeXML(XmlWriter xmlWriter) {
        xmlWriter.openTagWithAttribute("motcle", "motcle-id", motcleId);
        for (Map.Entry<String, String> entry : libelleMap.entrySet()) {
            xmlWriter.addLibElement(entry.getKey(), entry.getValue());
        }
        xmlWriter.closeTag("motcle");
    }

}
