/* UtilLib - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.attr;

import net.mapeadores.util.text.StringUtils;


/**
 *
 * @author Vincent Calame
 */
public final class NameSpaceString {

    private static final NameSpaceString EMPTY_NAMESPACE = new NameSpaceString("");
    private String s;

    private NameSpaceString(String s) {
        this.s = s;
    }

    @Override
    public String toString() {
        return s;
    }

    public static NameSpaceString newInstance(CharSequence charSequence) {
        return newInstance(charSequence, false);
    }

    public static NameSpaceString newInstance(CharSequence charSequence, boolean intern) {
        if (charSequence == null) {
            return EMPTY_NAMESPACE;
        }
        String s = StringUtils.cleanString(charSequence);
        if (s.length() == 0) {
            return EMPTY_NAMESPACE;
        }
        if (intern) {
            s = s.intern();
        }
        return new NameSpaceString(s);
    }

}
