/* UtilLib - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.format;


/**
 *
 * @author Vincent Calame
 */
public interface FormatDef {

    public Object getParameterValue(String paramName);

    public int getFormatPatternCount();

    /**
     * Peut-être nul pour indiquer que c'est le gabarit par défaut qui doit être appliqué (ou la gabarit précédent dans la liste)
     */
    public String getFormatPattern(int i);

    public int getInnerSeparatorCount();

    public InnerSeparator getInnerSeparator(int i);

    public int getSourceSeparatorCount();

    public SourceSeparator getSourceSeparator(int i);


    public interface InnerSeparator {

        public int getSourceIndex();

        public String getSeparator();

    }


    public interface SourceSeparator {

        /**
         * getSourceIndex1() < getSourceIndex2()
         */
        public int getSourceIndex1();

        public int getSourceIndex2();

        public String getSeparator();

    }

}
