/* UtilLib - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;

import java.util.HashMap;
import java.util.Map;


/**
 *
 * @author Vincent Calame
 */
public class CommandBox {

    private String commandString;
    private String commandKey;
    private Map<String, String> hiddenAttributesMap;
    private String page;
    private String errorPage;
    private String formAction;
    private String commandFamily;
    private boolean multipart = false;

    public CommandBox() {
    }

    public CommandBox(CommandBox commandBox) {
        this.commandString = commandBox.commandString;
        this.commandKey = commandBox.commandKey;
        if (commandBox.hiddenAttributesMap != null) {
            this.hiddenAttributesMap = new HashMap<String, String>(commandBox.hiddenAttributesMap);
        }
        this.page = commandBox.page;
        this.errorPage = commandBox.errorPage;
        this.formAction = commandBox.formAction;
        this.commandFamily = commandBox.commandFamily;
        this.multipart = commandBox.multipart;
    }

    private CommandBox(CommandBox commandBox, String commandString, String commandKey) {
        this.commandString = commandString;
        this.commandKey = commandKey;
        if (commandBox.hiddenAttributesMap != null) {
            this.hiddenAttributesMap = new HashMap<String, String>(commandBox.hiddenAttributesMap);
        }
        this.page = commandBox.page;
        this.errorPage = commandBox.errorPage;
        this.formAction = commandBox.formAction;
        this.commandFamily = commandBox.commandFamily;
        this.multipart = commandBox.multipart;
    }

    public CommandBox(String commandString, String commandKey) {
        this(commandString, commandKey, null);
    }

    public CommandBox(String commandString, String commandKey, String page) {
        this.commandString = commandString;
        this.commandKey = commandKey;
        this.page = page;
    }

    public CommandBox derive(String commandString, String commandKey) {
        return new CommandBox(this, commandString, commandKey);
    }

    public String getCommandString() {
        return commandString;
    }

    public void setCommandString(String commandString) {
        this.commandString = commandString;
    }

    public String getCommandKey() {
        return commandKey;
    }

    public void setCommandKey(String commandKey) {
        this.commandKey = commandKey;
    }

    public Map<String, String> getHiddenAttributesMap() {
        return hiddenAttributesMap;
    }

    public void putHiddenAttribute(String name, String value) {
        if (hiddenAttributesMap == null) {
            hiddenAttributesMap = new HashMap<String, String>();
        }
        hiddenAttributesMap.put(name, value);
    }

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getErrorPage() {
        return errorPage;
    }

    public void setErrorPage(String errorPage) {
        this.errorPage = errorPage;
    }

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getCommandFamily() {
        return commandFamily;
    }

    public void setCommandFamily(String commandFamily) {
        this.commandFamily = commandFamily;
    }

    public boolean isMultipart() {
        return multipart;
    }

    public void setMultipart(boolean multipart) {
        this.multipart = multipart;
    }

}
