/* UtilLib - Copyright (c) 2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;


/**
 *
 * @author Vincent Calame
 */
public abstract class InputListPrinter {

    public final static short VALUE_YES = 1;
    public final static short VALUE_NO = 2;
    public final static short VALUE_NEW = 3;
    private int maxStringLength = 0;
    private boolean withEmptyValue = true;
    private HTMLAttributes selectedLabelAttributes;
    private int listSize;
    protected HtmlPrinter htmlPrinter;

    public InputListPrinter(HtmlPrinter htmlPrinter) {
        this.htmlPrinter = htmlPrinter;
    }

    public void setMaxStringLength(int maxStringLength) {
        this.maxStringLength = maxStringLength;
    }

    public abstract void start(short valueType);

    public abstract void add(String value, String libelle, int profondeur, boolean selected);

    public abstract void end();

    protected void printLib(String lib) {
        if ((maxStringLength < 1) || (lib.length() <= maxStringLength)) {
            htmlPrinter.escape(lib);
        } else {
            htmlPrinter.escape(lib.substring(0, maxStringLength));
            htmlPrinter.append("\u2026");
        }

    }

    public boolean isWithEmptyValue() {
        return withEmptyValue;
    }

    public void setWithEmptyValue(boolean withEmptyValue) {
        this.withEmptyValue = withEmptyValue;
    }

    public HTMLAttributes getSelectedLabelAttributes() {
        return selectedLabelAttributes;
    }

    public void setSelectedLabelAttributes(HTMLAttributes selectedLabelAttributes) {
        this.selectedLabelAttributes = selectedLabelAttributes;
    }

    public int getListSize() {
        return listSize;
    }

    public void setListSize(int listSize) {
        this.listSize = listSize;
    }

}
