/* UtilLib - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;


/**
 *
 * @author Vincent Calame
 */
public class RadioPrinter extends InputListPrinter {

    HTMLAttributes labelAttributes;
    HTMLAttributes inputAttributes;
    private boolean premier = true;
    String racineId = null;

    public RadioPrinter(HtmlPrinter htmlPrinter, HTMLAttributes labelAttributes, HTMLAttributes radioAttributes) {
        super(htmlPrinter);
        this.labelAttributes = labelAttributes;
        this.inputAttributes = radioAttributes.copy();
        inputAttributes.setType("radio");
        String racineId = radioAttributes.getId();
    }

    public void start(short valueType) {
        if (isWithEmptyValue()) {
            addEmptyValue((valueType != VALUE_YES));
        }
    }

    public void add(String value, String libelle, int profondeur, boolean selected) {
        if (premier) {
            premier = false;
        } else {
            htmlPrinter.appendBr();
        }
        HTMLAttributes lattr = labelAttributes;
        if ((selected) && (getSelectedLabelAttributes() != null)) {
            lattr = getSelectedLabelAttributes();
        }
        htmlPrinter.startLabel(lattr);
        if (racineId != null) {
            inputAttributes.setId(racineId + "_" + value);
        }
        inputAttributes.setValue(value);
        inputAttributes.setChecked(selected);
        htmlPrinter.appendInput(inputAttributes);
        printLib(libelle);
        htmlPrinter.endLabel();
    }

    public void end() {
    }

    private void addEmptyValue(boolean emptyValueSelected) {
        add("", "---", 1, emptyValueSelected);
    }

}
