/* UtilLib - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;


/**
 *
 * @author Vincent Calame
 */
public class SelectPrinter extends InputListPrinter {

    private HTMLAttributes selectAttributes;

    public SelectPrinter(HtmlPrinter htmlPrinter, HTMLAttributes selectAttributes) {
        super(htmlPrinter);
        this.selectAttributes = selectAttributes;
    }

    public void start(short valueType) {
        htmlPrinter.startSelect(selectAttributes);
        if (isWithEmptyValue()) {
            addEmptyValue((valueType != VALUE_YES));
        } else {
            if (valueType == VALUE_NO) {
                addEmptyValue(true);
            }
        }
    }

    public void end() {
        htmlPrinter.endSelect();
    }

    public void add(String value, String libelle, int profondeur, boolean selected) {
        htmlPrinter.startOption(value, selected);
        for (int i = 2; i <= profondeur; i++) {
            htmlPrinter.doublespace();
        }
        htmlPrinter.escape(libelle);
        htmlPrinter.endOption();
    }

    private void addEmptyValue(boolean emptyValueSelected) {
        htmlPrinter.startOption("", emptyValueSelected);
        htmlPrinter.append("---");
        htmlPrinter.endOption();
    }

}
