/* UtilLib - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.localisation;

import net.mapeadores.util.text.StringUtils;
import java.util.ResourceBundle;


/**
 *
 * @author Vincent Calame
 */
public class ResourceItem {

    private String resourceKey;
    private Object value;

    public ResourceItem(String resourceKey) {
        this.resourceKey = resourceKey;
    }

    public ResourceItem(String resourceKey, Object value) {
        this.resourceKey = resourceKey;
        this.value = value;
    }

    public String getResourceKey() {
        return resourceKey;
    }

    public Object getValue() {
        return value;
    }

    public String toString(ResourceBundle resourceBundle) {
        return StringUtils.getMessage(resourceBundle, resourceKey, value);
    }

}
