/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.logging;

import java.util.Set;
import java.util.List;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public class ProcessLogUtils {

    private ProcessLogUtils() {
    }

    public static String toString(ProcessLog processLog) {
        StringBuilder buf = new StringBuilder();
        try {
            append(buf, processLog);
        } catch (IOException ioe) {
        }
        return buf.toString();
    }

    public static void append(Appendable buf, ProcessLog processLog) throws IOException {
        Set<String> set = processLog.getProcessSourceURISet();
        boolean premier = true;
        for (String processSourceURI : set) {
            List<ProcessLogItem> list = processLog.getProcessLogItemList(processSourceURI);
            if (list.size() > 0) {
                if (premier) {
                    premier = false;
                } else {
                    buf.append("\n\n");
                }
                buf.append("[[");
                buf.append(processSourceURI);
                buf.append("]]");
                for (ProcessLogItem rli : list) {
                    buf.append("\n      ");
                    buf.append(rli.toString());
                }
            }
        }
    }

}
