/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.logging;

import java.io.File;
import java.net.URL;


/**
 *
 * @author Vincent Calame
 */
public class ProcessURI {

    private String processURIString;

    protected ProcessURI(String processURIString) {
        this.processURIString = processURIString;
    }

    public String getProcessURIString() {
        return processURIString;
    }

    public static ProcessURI fromFile(File f) {
        return new ProcessURI(f.getPath());
    }

    public static ProcessURI fromURL(URL url) {
        return new ProcessURI(url.toString());
    }

    public static ProcessURI fromString(String s) {
        return new ProcessURI(s);
    }

    public String toString() {
        return processURIString;
    }

}
