/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.primitives;

import net.mapeadores.util.common.GeoCommon;
import net.mapeadores.util.langinteger.LangIntegerLocalisation;
import java.util.Locale;


/**
 *
 * @author Vincent Calame
 */
public class PrimL10nUtils implements GeoCommon {

    private PrimL10nUtils() {
    }

    public static String getLib(DegreSexagesimal degreSexagesimal, Locale locale, boolean latitude) {
        StringBuilder buf = new StringBuilder();
        buf.append(degreSexagesimal.toString(false, " "));
        buf.append(" ");
        short type = 0;
        boolean positif = degreSexagesimal.isPositif();
        if (latitude) {
            if (positif) {
                type = NORTH;
            } else {
                type = SOUTH;
            }
        } else {
            if (positif) {
                type = EAST;
            } else {
                type = WEST;
            }
        }
        buf.append(LangIntegerLocalisation.getCardinalDirection(type, false, locale));
        return buf.toString();
    }

}
