/* UtilLib - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.primitives;


/**
 *
 * @author  Vincent Calame
 */
public class PrimUtils {

    static long MASK_INT2 = 0x00000000FFFFFFFFL;

    /** Creates a new instance of PrimUtils */
    private PrimUtils() {
    }

    public static long toLong(int int1, int int2) {
        long long1 = (long) int1;
        long long2 = (long) int2;
        long1 = long1 << 32;
        long2 = long2 & MASK_INT2;
        return long1 | long2;
    }

    public static Long toLongObject(int int1, int int2) {
        return new Long(toLong(int1, int2));
    }

    public static int getInt1(long l) {
        return (int) (l >>> 32);
    }

    public static int getInt2(long l) {
        return (int) l;
    }

    public static boolean equalsInt1(long l, int i) {
        return (getInt1(l) == i);
    }

    public static boolean equalsInt2(long l, int i) {
        return (getInt2(l) == i);
    }

}
