/* UtilLib - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.primitives.io;

import java.io.DataInput;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public class DataInputPrimitivesReader implements PrimitivesReader {

    DataInput dataInput;

    public DataInputPrimitivesReader(DataInput dataInput) {
        this.dataInput = dataInput;
    }

    public int readInt() throws IOException {
        return dataInput.readInt();
    }

    public short readShort() throws IOException {
        return dataInput.readShort();
    }

    public boolean readBoolean() throws IOException {
        return dataInput.readBoolean();
    }

    public String readString() throws IOException {
        return dataInput.readUTF();
    }

    public char readChar() throws IOException {
        return dataInput.readChar();
    }

    public double readDouble() throws IOException {
        return dataInput.readDouble();
    }

    public long readLong() throws IOException {
        return dataInput.readLong();
    }

    public byte readByte() throws IOException {
        return dataInput.readByte();
    }

    public float readFloat() throws IOException {
        return dataInput.readFloat();
    }

}
