/* UtilLib - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.sxio;

import java.io.File;
import java.io.InputStream;
import java.io.FileInputStream;
import java.io.OutputStream;
import java.io.IOException;


/**
 *
 * @author  Vincent Calame
 */
public class InputStreamSXStylesSource implements SXStylesSource {

    String encoding;
    File file;
    InputStream inputStream;

    /** Creates a new instance of InputStreamSXStylesSource */
    public InputStreamSXStylesSource(File file, String encoding) {
        this.encoding = encoding;
        this.file = file;
    }

    public String getEncoding() {
        return encoding;
    }

    public void writeStyles(OutputStream outputStream) throws SXIOException {
        try {
            if (inputStream == null) {
                if (file != null) {
                    inputStream = new FileInputStream(file);
                }
            }
            int n;
            byte[] buffer = new byte[1004];
            while ((n = inputStream.read(buffer)) != -1) {
                outputStream.write(buffer, 0, n);
            }
            inputStream.close();
        } catch (IOException ioe) {
            throw new SXIOException(ioe);
        }

    }

}
