/* UtilLib - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.sxio;

import java.io.OutputStream;
import java.io.ByteArrayInputStream;
import java.io.IOException;


/**
 *
 * @author  Vincent Calame
 */
public class StringSXContentSource implements SXContentSource {

    String formatName;
    String contentBody;

    /** Creates a new instance of StringSXContentSource */
    public StringSXContentSource(String formatName, String contentBody) {
        this.formatName = formatName;
        this.contentBody = contentBody;
    }

    public String getFormatName() {
        return formatName;
    }

    public String getEncoding() {
        return "UTF-8";
    }

    public void writeContent(OutputStream outputStream) throws SXIOException {
        try {
            ByteArrayInputStream input = new ByteArrayInputStream(contentBody.getBytes(getEncoding()));
            int n;
            byte[] buffer = new byte[1004];
            while ((n = input.read(buffer)) != -1) {
                outputStream.write(buffer, 0, n);
            }
            input.close();
        } catch (IOException ioe) {
            throw new SXIOException(ioe);
        }
    }

    public boolean needDeclaration() {
        return true;
    }

    public boolean needRootElement() {
        return true;
    }

}
