/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.insertpattern.api;


/**
 *
 * @author Vincent Calame
 */
public class InsertionUnit implements InsertionUnitType {

    private int index;
    private short type;
    private String clause;
    private boolean unique;
    private boolean onElse;
    private String string;
    private Instruction[] instructionArray;
    private Object customObject;

    InsertionUnit(int index, String s) {
        this.index = index;
        this.string = s;
        this.type = APPEND_STRING;
    }

    InsertionUnit(int index, Instruction[] instructionArray) {
        this.index = index;
        this.instructionArray = instructionArray;
        this.type = DO_INSERTION;
    }

    InsertionUnit(int index, short type) {
        this.index = index;
        this.type = type;
    }

    void setUnique(boolean unique) {
        this.unique = unique;
    }

    void setOnElse(boolean onElse) {
        this.onElse = onElse;
    }

    void setClause(String clause) {
        this.clause = clause;
    }

    public int getIndex() {
        return index;
    }

    public short getType() {
        return type;
    }

    public String getString() {
        return string;
    }

    public Instruction[] getInstructionArray() {
        return instructionArray;
    }

    public boolean isUnique() {
        return unique;
    }

    public boolean isOnElse() {
        return onElse;
    }

    public String getClause() {
        return clause;
    }

    public void setCustomObject(Object customObject) {
        this.customObject = customObject;
    }

    public Object getCustomObject() {
        return customObject;
    }

}
