/* UtilLib - Copyright (c) 2007-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.insertpattern.api;


/**
 *
 * @author Vincent Calame
 */
public interface InstructionErrorHandler {

    public static final String INVALID_ASCII_CHARACTER = "invalidAsciiCharacter";
    public static final String INVALID_SEPARATOR_CHARACTER = "invalidSeparatorCharacter";
    public static final String INVALID_END_CHARACTER = "invalidEndCharacter";
    public static final String INVALID_INSTRUCTION_BOUNDARY_CHARACTER = "invalidInstructionBoundaryCharacter";
    public static final String INVALID_EMPTY_QUOTED_KEY_CHARACTER = "invalidEmptyQuotedKeyCharacter";
    public static final String WARNING_UNEXPECTED_ELSE = "unexpectedElse";
    public static final String WARNING_UNEXPECTED_FI = "unexpectedFi";
    public static final String WARNING_UNEXPECTED_ELIF = "unexpectedElif";

    public void characterError(char carac, String key, int row, int col);

    public void warning(String key, int row, int col);

}
