/* UtilLib - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.insertpattern.impl;

import net.mapeadores.util.text.insertpattern.api.Instruction;
import net.mapeadores.util.text.insertpattern.api.Argument;
import java.util.Collection;


/**
 *
 * @author Vincent Calame
 */
class ImplInstruction implements Instruction {

    Argument[] argumentArray;

    ImplInstruction(Collection<Argument> col) {
        int size = col.size();
        if (size == 0) {
            throw new IllegalArgumentException();
        }
        argumentArray = new Argument[size];
        int p = 0;
        for (Argument argument : col) {
            argumentArray[p] = argument;
            p++;
        }
    }

    public int getLength() {
        return argumentArray.length;
    }

    public Argument getArgument(int i) {
        return argumentArray[i];

    }

}
