/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.terme;


/**
 *
 * @author  Vincent Calame
 */
public interface TermeDomainEditor {

    public int getNewCode(Object owner);

    /**
     * Pour désactiver, il suffit d'avoir terme == null.
     * Envoie des exceptions de type MISSING_CODE, DISABLE_CODE et NOTCORRESPONDING_CODE
     */
    public void setTerme(int code, Terme terme, Object owner) throws IllegalOwnerException, IllegalCodeException;

    public TermeDomain getTermeDomain();

    /**
     * Supprime toute référence à l'objet owner. Cette suppression est définitive. Les codes utilisés ne sont plus attribués.
     */
    public void removeOwner(Object owner);

    /**
     * Envoie des exceptions de type DISABLED_CODE ou MISSING_CODE.
     */
    public boolean checkOwner(Object owner, int code) throws IllegalCodeException;

}
