/* UtilLib_Servlet - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.servlets;

import java.util.*;
import net.mapeadores.util.logging.*;
import net.mapeadores.util.localisation.*;


/**
 *
 * @author Vincent Calame
 */
public class ErrorCommandTest implements CommandTest {

    CommandMessage errorMessage;

    private ErrorCommandTest(CommandMessage errorMessage) {
        this.errorMessage = errorMessage;
    }

    public boolean mayBeDone() {
        return false;
    }

    public CommandMessage getCommandMessage() {
        return errorMessage;
    }

    public static ErrorCommandTest newInstance(CommandMessage errorMessage) {
        if (!errorMessage.isErrorMessage()) {
            throw new IllegalArgumentException("errorMessage.isErrorMessage() != false");
        }
        return new ErrorCommandTest(errorMessage);

    }

    public static ErrorCommandTest newSimpleErrorInstance(String messageKey, Object messageValue) {
        return new ErrorCommandTest(CommandMessage.error(messageKey, messageValue));
    }

    public static ErrorCommandTest newMultiErrorInstance(String messageKey, List<ResourceItem> resourceItemList) {
        return new ErrorCommandTest(CommandMessage.error(new ResourceItem(messageKey), resourceItemList));
    }

}
