/* UtilLib_Servlet - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.servlets;


/**
 *
 * @author Vincent Calame
 */
public class HttpAccessException extends RuntimeException {

    public final static int NOT_FOUND = 404;
    public final static int FORBIDDEN_ACCESS = 403;
    public final static int INTERNAL_ERROR = 500;
    private int httpType;
    private String message;

    public HttpAccessException(int httpType) {
        this.httpType = httpType;
    }

    public HttpAccessException(int httpType, String message) {
        this.httpType = httpType;
        this.message = message;
    }

    public int getHttpType() {
        return httpType;
    }

    @Override
    public String getMessage() {
        return message;
    }

}
